module.exports= function(){
    const AdService = require('../../services/admin/AdServices')
    const AdServiceObject = new AdService()

  
    this.listAdsController= async (req, callBack) =>{
        const response ={}
        const listAdsService = await AdServiceObject.listAdsService(req)
        // console.log("addAdController", req)

        if(listAdsService.error){
            response.error = true
            response.statusCode= listAdsService.statusCode
            response.message = listAdsService.message
        }else{
            response.error=listAdsService.error
            response.statusCode=listAdsService.statusCode
            response.message = listAdsService.message
            response.totalPages=listAdsService.totalPages
            response.data = listAdsService.data

        }
        callBack(response)
    }


    this.viewAdController= async (req, callBack) =>{
        const response ={}
        const viewAdService = await AdServiceObject.viewAdService(req)
        // console.log("addAdController", req)

        if(viewAdService.error){
            response.error = true
            response.statusCode= viewAdService.statusCode
            response.message = viewAdService.message
        }else{
            response.error=viewAdService.error
            response.statusCode=viewAdService.statusCode
            response.message = viewAdService.message
            response.totalPages=viewAdService.totalPages
            response.data = viewAdService.data

        }
        callBack(response)
    }

    
    this.postAddController= async (req, callBack) =>{
        const response ={}
        const postAddService = await AdServiceObject.postAddService(req)
        // console.log("addAdController", req)

        if(postAddService.error){
            response.error = true
            response.statusCode= postAddService.statusCode
            response.message = postAddService.message
        }else{
            response.error=postAddService.error
            response.statusCode=postAddService.statusCode
            response.message = postAddService.message
            response.data = postAddService.data
        }
        callBack(response)
    }
 
    this.editAdController= async (req, callBack) =>{
        const response ={}
        const editAdService = await AdServiceObject.editAdService(req)
        // console.log("addAdController", req)

        if(editAdService.error){
            response.error = true
            response.statusCode= editAdService.statusCode
            response.message = editAdService.message
        }else{
            response.error=editAdService.error
            response.statusCode=editAdService.statusCode
            response.message = editAdService.message
            response.data = editAdService.data
        }
        callBack(response)
    }

     
    this.deleteAdController= async (req, callBack) =>{
        const response ={}
        const deleteAdService = await AdServiceObject.deleteAdService(req)
        // console.log("addAdController", req)

        if(deleteAdService.error){
            response.error = true
            response.statusCode= deleteAdService.statusCode
            response.message = deleteAdService.message
        }else{
            response.error=deleteAdService.error
            response.statusCode=deleteAdService.statusCode
            response.message = deleteAdService.message
            response.data = deleteAdService.data
        }
        callBack(response)
    }
    
    this.listAllUsersController= async (req, callBack) =>{
        const response ={}
        const listAllUsersService = await AdServiceObject.listAllUsersService(req)
        // console.log("addAdController", req)

        if(listAllUsersService.error){
            response.error = true
            response.statusCode= listAllUsersService.statusCode
            response.message = listAllUsersService.message
        }else{
            response.error=listAllUsersService.error
            response.statusCode=listAllUsersService.statusCode
            response.message = listAllUsersService.message
            response.totalPages=listAllUsersService.totalPages
            response.data = listAllUsersService.data
        }
        callBack(response)
    }

    this.assignAdController= async (req, callBack) =>{
        const response ={}
        const assignAdService = await AdServiceObject.assignAdService(req)
        // console.log("addAdController", req)

        if(assignAdService.error){
            response.error = true
            response.statusCode= assignAdService.statusCode
            response.message = assignAdService.message
        }else{
            response.error=assignAdService.error
            response.statusCode=assignAdService.statusCode
            response.message = assignAdService.message
            response.data = assignAdService.data
        }
        callBack(response)
    }

     // adAnalytics
     this.adAnalyticsController= async (req, callBack) =>{
        const response ={}
        const adAnalyticsService = await AdServiceObject.adAnalyticsService(req)
        // console.log("adAnalyticsController", req)

        if(adAnalyticsService.error){
            response.error = true
            response.statusCode= adAnalyticsService.statusCode
            response.message = adAnalyticsService.message
        }else{
            response.error=adAnalyticsService.error
            response.statusCode=adAnalyticsService.statusCode
            response.message = adAnalyticsService.message
            response.data = adAnalyticsService.data

        }
        callBack(response)
    }
}