module.exports = function () {
    var PinoyPreneursService = require('../../services/admin/PinoyPreneursService')
    var PinoyPreneursServiceObject = new PinoyPreneursService()
   
   
    
    this.getPinoyPreneursController = async (req, callback) => {
        var response = {}
      
        var PinoyPreneurs = await PinoyPreneursServiceObject.GetPinoyPreneursService(req)
        if (PinoyPreneurs.error) {
            response.error = true
            response.status = PinoyPreneurs.statusCode
            response.message = PinoyPreneurs.message
        } else {
            response.error = PinoyPreneurs.error
            response.status = PinoyPreneurs.statusCode
            response.totalPages = PinoyPreneurs.totalPages

            response.message = PinoyPreneurs.message
            response.data = PinoyPreneurs.data
          
        }
        callback(response)
    }
  
    
    this.getOnePinoyPreneursController = async (req, callback) => {
        var response = {}
      
        var PinoyPreneurs = await PinoyPreneursServiceObject.GetOnePinoyPreneurService(req)
        if (PinoyPreneurs.error) {
            response.error = true
            response.status = PinoyPreneurs.statusCode
            response.message = PinoyPreneurs.message
        } else {
            response.error = PinoyPreneurs.error
            response.status = PinoyPreneurs.statusCode

            response.message = PinoyPreneurs.message
            response.data = PinoyPreneurs.data
            response.PinoyPreneurProducts = PinoyPreneurs.PinoyPreneurProducts

        }
        callback(response)
    }
  
    this.GetUserEmailIdController = async (req, callback) => {
        var response = {}
      
        var PinoyPreneurs = await PinoyPreneursServiceObject.GetUserEmailIdService(req)
        if (PinoyPreneurs.error) {
            response.error = true
            response.status = PinoyPreneurs.statusCode
            response.message = PinoyPreneurs.message
            response.data = PinoyPreneurs.data
        } else {
            response.error = PinoyPreneurs.error
            response.status = PinoyPreneurs.statusCode
            response.message = PinoyPreneurs.message
            response.data = PinoyPreneurs.data

        }
        callback(response)
    }

    this.addPinoyPreneursController = async (req, callback) => {
        var response = {}
      

        var PinoyPreneurs = await PinoyPreneursServiceObject.addPinoyPreneurService(req)
        if (PinoyPreneurs.error) {
            response.error = true
            response.statusCode = PinoyPreneurs.statusCode
            response.message = PinoyPreneurs.message
        } else {
        
            response.error = PinoyPreneurs.error
            response.statusCode = PinoyPreneurs.statusCode
            response.message = PinoyPreneurs.message
            response.data = PinoyPreneurs.data
            // }
        }
        callback(response)
    }

  
    this.editPinoyPreneurController = async (req, callback) => {
        var response = {}
        try {
            var editPinoyPreneurService = await PinoyPreneursServiceObject.editPinoyPreneurService(req)
            if (editPinoyPreneurService.error) {
                response.error = true
                response.statusCode = editPinoyPreneurService.statusCode
                response.message = editPinoyPreneurService.message
            } else {
                response.error = editPinoyPreneurService.error
                response.statusCode = editPinoyPreneurService.statusCode
                response.message = editPinoyPreneurService.message
                response.data = editPinoyPreneurService.result
            }
            callback(response)
        } catch (e) {
            // console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }

    this.addPinoyPreneurProductController = async (req, callback) => {
        var response = {}
        try {
            var addPinoyPreneurProductService = await PinoyPreneursServiceObject.addPinoyPreneurProductService(req)
            if (addPinoyPreneurProductService.error) {
                response.error = true
                response.statusCode = addPinoyPreneurProductService.statusCode
                response.message = addPinoyPreneurProductService.message
            } else {
                response.error = addPinoyPreneurProductService.error
                response.statusCode = addPinoyPreneurProductService.statusCode
                response.message = addPinoyPreneurProductService.message
                response.data = addPinoyPreneurProductService.data
            }
            callback(response)
        } catch (e) {
            // console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }

    this.deletePinoyPreneurProductController = async (req, callback) => {
        var response = {}
        var deletePinoyPreneurProductService = await PinoyPreneursServiceObject.deletePinoyPreneurProductService(req)
        if (deletePinoyPreneurProductService.error ) {
            response.error = true
            response.statusCode = deletePinoyPreneurProductService.status
            response.message = deletePinoyPreneurProductService.message
        } else {
            response.error = false
            response.statusCode = deletePinoyPreneurProductService.statusCode
            response.message = deletePinoyPreneurProductService.message

            response.result = deletePinoyPreneurProductService.result
        }
        callback(response)
    }

    this.hideUnhidePinoyPreneurController = async (req, callback) => {
        var response = {}
        var hideUnhidePinoyPreneurService = await PinoyPreneursServiceObject.hideUnhidePinoyPreneurService(req)
        if (hideUnhidePinoyPreneurService.error ) {
            response.error = true
            response.statusCode = hideUnhidePinoyPreneurService.status
            response.message = hideUnhidePinoyPreneurService.message
        } else {
            response.error = false
            response.statusCode = hideUnhidePinoyPreneurService.statusCode
            response.message = hideUnhidePinoyPreneurService.message

            response.result = hideUnhidePinoyPreneurService.result
        }
        callback(response)
    }


    
}
