module.exports= function(){
    const AdService = require('../../services/web/AdServices')
    const AdServiceObject = new AdService()

    this.getAdController= async (req, callBack) =>{
        const response ={}
        const getAdService = await AdServiceObject.getAdService(req)
        // console.log("getAdController", req)

        if(getAdService.error){
            response.error = true
            response.statusCode= getAdService.statusCode
            response.message = getAdService.message
        }else{
            response.error=getAdService.error
            response.statusCode=getAdService.statusCode
            response.message = getAdService.message
            response.data = getAdService.data

        }
        callBack(response)
    }
    
    this.adClickController= async (req, callBack) =>{
        const response ={}
        const adClickService = await AdServiceObject.adClickService(req)
        // console.log("adClickController", req)

        if(adClickService.error){
            response.error = true
            response.statusCode= adClickService.statusCode
            response.message = adClickService.message
        }else{
            response.error=adClickService.error
            response.statusCode=adClickService.statusCode
            response.message = adClickService.message
            response.data = adClickService.data

        }
        callBack(response)
    }
   
}
