module.exports = function () {
    var HomeService = require('../../services/web/HomeService')
    // require('../utils/error.js')()
    var homeServiceObject = new HomeService()

    const STRINGS = require('../../strings.json')


    this.HomePageArticlesListController = async (req, callback) => {
        var response = {}
        try {
            var HomePageArticlesListService = await homeServiceObject.HomePageArticlesListService(req)
            if (HomePageArticlesListService.error) {
                response.error = true
                response.statusCode = HomePageArticlesListService.statusCode
                response.message = HomePageArticlesListService.message
            } else {
                response.error = HomePageArticlesListService.error
                response.statusCode = HomePageArticlesListService.statusCode
                response.message = HomePageArticlesListService.message
                response.totalPages = HomePageArticlesListService.totalPages
                response.data = HomePageArticlesListService.data
            }
            callback(response)
        } catch (e) {
            // console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }


    this.HomePageNewPinoysListController = async (req, callback) => {
        var response = {}
        try {
            var HomePageNewPinoysListService = await homeServiceObject.HomePageNewPinoysListService(req)
            if (HomePageNewPinoysListService.error) {
                response.error = true
                response.statusCode = HomePageNewPinoysListService.statusCode
                response.message = HomePageNewPinoysListService.message
            } else {
                response.error = HomePageNewPinoysListService.error
                response.statusCode = HomePageNewPinoysListService.statusCode
                response.message = HomePageNewPinoysListService.message
                response.totalPages = HomePageNewPinoysListService.totalPages
                response.data = HomePageNewPinoysListService.data
            }
            callback(response)
        } catch (e) {
            // console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }

    this.shoutOutsListController = async (req, callback) => {
        var response = {}
        try {
            var shoutOutsListService = await homeServiceObject.shoutOutsListService(req)
            if (shoutOutsListService.error) {
                response.error = true
                response.statusCode = shoutOutsListService.statusCode
                response.message = shoutOutsListService.message
            } else {
                response.error = shoutOutsListService.error
                response.statusCode = shoutOutsListService.statusCode
                response.message = shoutOutsListService.message
                response.data = shoutOutsListService.data
            }
            callback(response)
        } catch (e) {
            // console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }




    this.postVoteForSurveyController = async (req, callback) => {
        var response = {}
        try {
            var postVoteForSurveyService = await homeServiceObject.postVoteForSurveyService(req)
            if (postVoteForSurveyService.error) {
                response.error = true
                response.statusCode = postVoteForSurveyService.statusCode
                response.message = postVoteForSurveyService.message
            } else {
                response.error = postVoteForSurveyService.error
                response.statusCode = postVoteForSurveyService.statusCode
                response.message = postVoteForSurveyService.message
                response.data = postVoteForSurveyService.data
            }
            callback(response)
        } catch (e) {
            console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }

    this.UserSurveyListController = async (req, callback) => {
        var response = {}
        try {
            var UserSurveyListService = await homeServiceObject.UserSurveyListService(req)
            if (UserSurveyListService.error) {
                response.error = true
                response.statusCode = UserSurveyListService.statusCode
                response.message = UserSurveyListService.message
            } else {
                response.error = UserSurveyListService.error
                response.statusCode = UserSurveyListService.statusCode
                response.message = UserSurveyListService.message
                response.data = UserSurveyListService.data
            }
            callback(response)
        } catch (e) {
            console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }


    this.getOneSurveyController = async (req, callback) => {
        var response = {}
        try {
            var getOneSurveyService = await homeServiceObject.getOneSurveyService(req)
            if (getOneSurveyService.error) {
                response.error = true
                response.statusCode = getOneSurveyService.statusCode
                response.message = getOneSurveyService.message
            } else {
                response.error = getOneSurveyService.error
                response.statusCode = getOneSurveyService.statusCode
                response.message = getOneSurveyService.message
                response.data = getOneSurveyService.data
            }
            callback(response)
        } catch (e) {
            console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }


    this.GoodVibesListController = async (req, callback) => {
        var response = {}
        try {
            var GoodVibesListService = await homeServiceObject.GoodVibesListService(req)
            if (GoodVibesListService.error) {
                response.error = true
                response.statusCode = GoodVibesListService.statusCode
                response.message = GoodVibesListService.message
            } else {
                response.error = GoodVibesListService.error
                response.statusCode = GoodVibesListService.statusCode
                response.message = GoodVibesListService.message
                response.data = GoodVibesListService.data
            }
            callback(response)
        } catch (e) {
            console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }

    this.userGlobalSearchController = async (req, callback) => {
        var response = {}
        try {
            var userGlobalSearchService = await homeServiceObject.userGlobalSearchService(req)
            if (userGlobalSearchService.error) {
                response.error = true
                response.statusCode = userGlobalSearchService.statusCode
                response.message = userGlobalSearchService.message
            } else {
                response.error = userGlobalSearchService.error
                response.statusCode = userGlobalSearchService.statusCode
                response.message = userGlobalSearchService.message
                response.totalPages = userGlobalSearchService.totalPages
                response.data = userGlobalSearchService.data
            }
            callback(response)
        } catch (e) {
            console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }

    this.HomePagePinoypreneursListController = async (req, callback) => {
        var response = {}
        try {
            var HomePagePinoypreneursListService = await homeServiceObject.HomePagePinoypreneursListService(req)
            if (HomePagePinoypreneursListService.error) {
                response.error = true
                response.statusCode = HomePagePinoypreneursListService.statusCode
                response.message = HomePagePinoypreneursListService.message
            } else {
                response.error = HomePagePinoypreneursListService.error
                response.statusCode = HomePagePinoypreneursListService.statusCode
                response.message = HomePagePinoypreneursListService.message
                response.data = HomePagePinoypreneursListService.data
            }
            callback(response)
        } catch (e) {
            console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }


    this.HomePageJobCentreListController = async (req, callback) => {
        var response = {}
        try {
            var HomePageJobCentreListService = await homeServiceObject.homePageJobCentreListService(req)
            if (HomePageJobCentreListService.error) {
                response.error = true
                response.statusCode = HomePageJobCentreListService.statusCode
                response.message = HomePageJobCentreListService.message
            } else {
                response.error = HomePageJobCentreListService.error
                response.statusCode = HomePageJobCentreListService.statusCode
                response.message = HomePageJobCentreListService.message
                response.data = HomePageJobCentreListService.data
            }
            callback(response)
        } catch (e) {
            console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }


    this.HomePageBuyanihanListController = async (req, callback) => {
        var response = {}
        try {
            var HomePageBuyanihanListService = await homeServiceObject.HomePageBuyanihanListService(req)
            if (HomePageBuyanihanListService.error) {
                response.error = true
                response.statusCode = HomePageBuyanihanListService.statusCode
                response.message = HomePageBuyanihanListService.message
            } else {
                response.error = HomePageBuyanihanListService.error
                response.statusCode = HomePageBuyanihanListService.statusCode
                response.message = HomePageBuyanihanListService.message
                response.data = HomePageBuyanihanListService.data
            }
            callback(response)
        } catch (e) {
            console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }

    this.homePageBazaarCityListController = async (req, callback) => {
        var response = {}
        try {
            var homePageBazaarCityListService = await homeServiceObject.homePageBazaarCityListService(req)
            if (homePageBazaarCityListService.error) {
                response.error = true
                response.statusCode = homePageBazaarCityListService.statusCode
                response.message = homePageBazaarCityListService.message
            } else {
                response.error = homePageBazaarCityListService.error
                response.statusCode = homePageBazaarCityListService.statusCode
                response.message = homePageBazaarCityListService.message
                response.data = homePageBazaarCityListService.data
            }
            callback(response)
        } catch (e) {
            console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }



    this.homePagePnationCalendarListController = async (req, callback) => {
        var response = {}
        try {
            var homePagePnationCalendarListDao = await homeServiceObject.homePagePnationCalendarListService(req)
            if (homePagePnationCalendarListDao.error) {
                response.error = true
                response.statusCode = homePagePnationCalendarListDao.statusCode
                response.message = homePagePnationCalendarListDao.message
            } else {
                response.error = homePagePnationCalendarListDao.error
                response.statusCode = homePagePnationCalendarListDao.statusCode
                response.message = homePagePnationCalendarListDao.message
                response.data = homePagePnationCalendarListDao.data
            }
            callback(response)
        } catch (e) {
            console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }


}