module.exports = function () {
    var categoryModal = require('../../modal/admin/categoryModal')
    
this.addCategoryDao = async (data) => {

    var response = {}
    return new Promise(function (resolve, reject) {
      const categoryModals = new categoryModal(data)
      categoryModals.save(function (error, result) {

        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  this.getCategoryDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      categoryModal.find({is_active:1}, function (error, result) {
        if (error) {
          response.error = true
        } else {
          response.error = false
          response.result = result
        }
        resolve(response)
      })
    })
  }
 


this.getTotalCategoryListCountDao = async (data) => {
  var response = {}
  return new Promise(function (resolve, reject) {
    categoryModal.find({
              is_active: 1,
             
          })
          .count()
          .then((result) => {
              response.error = false
              response.result = result
              // console.log(result);
              resolve(response)

          })
          .catch((error) => {
              response.error = true
              resolve(response)

              console.log(error);
          });
  })
}

  
  this.deleteCategoryDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
        categoryModal.deleteOne({
        _id: data.category_id
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }

  this.editCategoryDao = async (data) => {
   
    var response = {}
    return new Promise(function (resolve, reject) {
        categoryModal.updateMany({
        _id: data.category_id
        }, {
          $set: {
            category_name: data.category_name,
           
          }
          
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }
  
  
 
 
}



