module.exports = function () {
    var videosFeedsModal = require('../../modal/admin/videosFeedModel')
    
   
this.addVideosFeedDao = async (data) => {

    var response = {}
    return new Promise(function (resolve, reject) {
      const videosFeedsModals = new videosFeedsModal(data)
      videosFeedsModals.save(function (error, result) {

        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }
  this.getTotalVideoFeedsListCountDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      videosFeedsModal.find({
                is_active: 1,
               
            })
            .count()
            .then((result) => {
                response.error = false
                response.result = result
                // console.log(result);
                resolve(response)

            })
            .catch((error) => {
                response.error = true
                resolve(response)

                console.log(error);
            });
    })
}
  this.getVideosFeedDao = async (data) => {

    var response = {}
    return new Promise(function (resolve, reject) {
        videosFeedsModal.find({is_active:1}).sort({"updatedAt":-1})
        .skip(data.pageNumber > 0 ? ((data.pageNumber - 1) * RowsPerpage) : 0)
        .limit(RowsPerpage)
        .then((result) => {
            response.error = false
            response.result = result
            // console.log(result);
            resolve(response)
  
        })
        .catch((error) => {
            response.error = true
            resolve(response)
  
            console.log(error);
        });
  })
  }
 

  this.deleteVideosFeedDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
        videosFeedsModal.deleteOne({
        _id: data.videosFeeds_id
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }

  this.editArticleDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
        videosFeedsModal.updateOne({
        _id: data.videosFeeds_id
        }, {
          $set: {
            title: data.title,
            video_url:data.video_url,
            
          }
          
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }
  
  
 
 
}



