const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const donasyanSchema = new Schema({


    uid: {
        type: String,
        default: null
    },
    item_name: {
        type: String,
        default: null,
        required: false
    },
    purpose_to_add: {
        type: String,
        default: null,
        required: false
    },
    enter_your_price: {
        type: String,
        default: null,
        required: false
    },
    is_this_price: {
        type: String,
        default: null,
        required: false
    },
    post_images: {
        type: Array,
        default: [],
        required: false
    },
    post_description: {
        type: String,
        default: null
    },
    number_of_likes: {
        type: Number,
        default: 0,
    },
    number_of_comments: {
        type: Number,
        default: 0
    },
    category: {
        type: String,
        default: null
    },

    //profile details
    full_name: {
        type: String,
        default: null
    },
    profile_photo: {
        type: String,
        default: null
    },
    location: {
        type: String,
        default: null
    },
    geolocation: {
        type: String,
        default: null
    },
    is_active: {
        type: Number,
        default: 0
    },
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    }
})

const donasyan = mongoose.model('donasyanposts', donasyanSchema)
module.exports = donasyan