const mongoose = require('mongoose')
const Schema = mongoose.Schema;

const groupChatLikeModel = new Schema({
    
    // chatId: {
    //     type: mongoose.Schema.Types.ObjectId,
    //     ref: 'groupChatDetails',
    //     required: true
    // },
    messageId: {
        type: mongoose.Schema.Types.ObjectId,
        ref: 'groupChatMessages',
        required: true
    },
    senderUid: {
        type: String,
        ref: 'userProfile',
        required: true
      },
    reaction: {
        type: String,
        default: null
    },

    is_active: {
        type: Number,
        default: 0
    },

}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },
})

const groupChatLike = mongoose.model('groupChatLike', groupChatLikeModel)
module.exports = groupChatLike