const mongoose=require('mongoose')
const Schema=mongoose.Schema;

const createGroupChat=new Schema({
    groupName:{
        type:String,
        default:null
    },
    groupDescription:{
        type:String,
        default:null
    },
    groupImage:{
        type:String,
        default:null
    },
    lastMessage:{
        type:String,
        default:null
    },
    lastMessageTime:{
        type: Date,
        default: Date.now
    },
    lastMessageMediatype:{
        type:String,
        default:null
    },
    lastMessageMediaUrl:{
        type:String,
        default:null
    },
    is_active: {
        type: Number,
        default: 0
    },

}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },
})

const GroupChat=mongoose.model('groupChatDetails',createGroupChat)
module.exports=GroupChat