const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const referredUser = new Schema({
    uid: {
        type: String,
        default: null
    },
    referral_code: {
        type: String,
        default: null

    },
    is_active: {
        type: Number,
        default: 0
    },
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },

}, {
    versionKey: false
})

const referredUserDetails = mongoose.model('referredUsers', referredUser)
module.exports = referredUserDetails