const mongoose=require('mongoose');
const Schema=mongoose.Schema;

const userCouponSchema= new Schema({
    uid: {
        type: String,
        default: null
    },

    coupon_id: {
        type: String,
        default: null
    },
    user_coupon_id: {
        type: String,
        default: null
    },
    claim_count: {
        type: Number,
        default: 0
    },
    downloaded_count: {
        type: Number,
        default: 1
    },
   
    is_active: {
        type: Number,
        default: 0
    },

}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },

})

const userCouponSchemaDetails = mongoose.model('userCouponSchema', userCouponSchema)
module.exports = userCouponSchemaDetails