//to connect the app with mongo db
const mongoose = require('mongoose');
const userProfile = require('./MyProfileModal');
//create schema
const conversationSchema = mongoose.Schema(
  {
    users: [
      {
        type: String,
        // ref: 'userProfile',
      },
    ],
    latestMessage: {
      type: String,
      ref: 'Message',
    },
    latestMessageTime: {
      type: Date,
      default: Date.now
    },
    lastMessageMediatype: {
      type: String,
      default: null
    },
    lastMessageMediaUrl: {
      type: String,
      default: null
    },
  },
  { timestamps: true }
);

//create model
exports.Conversation = mongoose.model('Conversation', conversationSchema);