module.exports = function (app, validator) {
    const {
      check,
      validationResult
    } = require('express-validator')
    var userPath = '/admin'
    // require('../../utils/error.js')()
  
    var categoryController = require('../../controller/admin/CategoryController')
    require('dotenv').config()
    var categoryControllerObject = new categoryController()

    
    app.post(userPath + '/addPinoyPreneursCategory',app.Verifyauth, 
   
    (request, response, next) => {
    
      const errors = validationResult(request)
      if (!errors.isEmpty()) {
        var errorArray =errors.array()
        var errorResponse = {}
        errorResponse.error = true
        errorResponse.message = errorArray[0].msg
        response.status(404);
        return response.send(errorResponse)
      }
      categoryControllerObject.addCategoryController(request, function (results) {
        if(results.error){
          response.status(results.statusCode);
          return response.send(results)
      }else{
          return response.send(results)
      }      })
    })

    app.post(userPath + '/getPinoyPreneursCategoryList',app.Verifyauth, (request,response)=>{
      const errors=validationResult(request)
      if(!errors.isEmpty()){
        var errorArray =errors.array()
        var errorResponse = {}
        errorResponse.error = true
        errorResponse.message = errorArray[0].msg
        response.status(404);
        return response.send(errorResponse)
      }
      categoryControllerObject.getCategoryController(request, function (results) {
        if(results.error){
          response.status(results.statusCode);
          return response.send(results)
      }else{
          return response.send(results)
      }        })
  })

 

  app.post(userPath + '/deletePinoyPreneursCategoryList',app.Verifyauth, [
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    categoryControllerObject.deleteCategoryController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })

  app.post(userPath + '/editPinoyPreneursCategoryList',app.Verifyauth, [
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    categoryControllerObject.editCategoryController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })

 
  
}