module.exports = function (app) {
    const {
        check,
        validationResult
    } = require('express-validator')
    var userPath ='/admin'
    const addCouponController = require('../../controller/admin/CouponsController')
    require('dotenv').config()
    const couponControllerObject = new addCouponController()


    app.post(userPath + '/listAdminCoupons',  app.Verifyauth,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        couponControllerObject.listCouponsController(request, function (results) {
            console.log("listCouponsController",results)
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/viewAdminCoupon',  app.Verifyauth,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        couponControllerObject.viewCouponController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/userLogsAdminCoupon',  app.Verifyauth,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        couponControllerObject.userLogsAdminCouponController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


}