
module.exports = function(app) {
    const {
        check,validationResult
    } =require('express-validator')
    var userPath ='/admin'
    var FoodTripController =require ('../../controller/admin/FoodTripController')
    require('dotenv').config()
    var FoodTripControllerObject= new FoodTripController()



    app.post(userPath + "/ListfoodTrip" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        FoodTripControllerObject.listFoodTripController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }    })
    })


    app.post(userPath + "/getOnefoodTrip" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        FoodTripControllerObject.getOneFoodTripController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }    })
    })
    app.post(userPath + "/editfoodTrip" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        FoodTripControllerObject.editFoodTripController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }    })
    })
    
    app.post(userPath + "/deleteOnefoodTrip" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        FoodTripControllerObject.deleteOneFoodTripController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }    })
    })


    app.post(userPath + "/hideUnhidefoodTrip" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        FoodTripControllerObject.hideUnhideFoodTripController(request, function(results){
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }    })
    })
    
}