module.exports = function (app) {
    const {
        check,
        validationResult
    } = require('express-validator')
    var userPath ='/admin'
    const JobCentresController = require('../../controller/admin/jobCentresController')
    require('dotenv').config()
    const JobCentresControllerObject = new JobCentresController()


    app.post(userPath + '/listJobCentre',  app.Verifyauth,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        JobCentresControllerObject.listJobCentreController(request, function (results) {
            // console.log("listCouponsController",results)
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/viewJobCentre',  app.Verifyauth,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        JobCentresControllerObject.viewJobCentresController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/editJobCentre',  app.Verifyauth,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        JobCentresControllerObject.editJobCentresController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })

    
    app.post(userPath + '/deleteJobCentre',  app.Verifyauth,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        JobCentresControllerObject.deleteJobCentresController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


}