module.exports = function (app) {
    const {
        check,
        validationResult
    } = require('express-validator')
    const userPath = '/web'
    const AdController = require('../../controller/web/AdController')
    require('dotenv').config()
    const AdObject = new AdController()

    app.post(userPath + '/ad', (request, response) => {
        // console.log('AdObject',request.body);

        const errors = validationResult(request)
        if (!errors.isEmpty()) {
            const errorArray = errors.array()
            const errorResponse = {}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        AdObject.getAdController(request, function (results) {
        // console.log('requestad',results);
            if (results.error) {
                response.status(results.statusCode);
                return response.send(results)
            } else {
                return response.send(results)
            }
        })
    })

    app.post(userPath + '/adClick', (request, response) => {
        // console.log('AdObject',request.body);

        const errors = validationResult(request)
        if (!errors.isEmpty()) {
            const errorArray = errors.array()
            const errorResponse = {}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        AdObject.adClickController(request, function (results) {
        // console.log('requestad',results);
            if (results.error) {
                response.status(results.statusCode);
                return response.send(results)
            } else {
                return response.send(results)
            }
        })
    })

   
}