const { request } = require('express')
const { cloudinary } = require('../../utils/cloudinary')
const puppeteer = require('puppeteer');
const contact = require('../../modal/web/ContactModal')
var moment = require('moment');


const template = (data) => {
  const date=new Date()
  // console.log("datasTemplate")
  return `<!DOCTYPE html>
  <html lang="en">
  
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Agreement</title>
  </head>
  
  <body style="padding: 0px; margin: 0px">
    <div style="
            height: 250px;
            width: 100%;
            
            background-size: 100% 100%;
            position: relative;
          ">
  
      <img src="https://res.cloudinary.com/mykapitbahay/image/upload/v1675920641/Untitled_design_52_qksigf.png"
        style="width:100%;height:100%" alt="Red dot" />
  
      <div style="
              position: absolute;
              top: 50%;
              left: 50%;
              transform: translate(-50%, -50%);
            ">
        <div style="
                display: flex;
                flex-direction: column;
                color: #ffffff;
                text-align: left;
              ">
          <p style="font-size: 16px; margin: 5px; color:black; font-weight: bold;">
            <svg style="
                    user-select: none;
                    width: 1em;
                    height: 1em;
                    display: inline-block;
                    fill: currentColor;
                    flex-shrink: 0;
                    transition: fill 200ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
                    margin-right: 16px;
                  " focusable="false" aria-hidden="true" viewBox="0 0 24 24" data-testid="MailIcon">
              <path
                d="M20 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 4-8 5-8-5V6l8 5 8-5v2z">
              </path>
            </svg>
            marketing@mykapitbahay.com
          </p>
          <p style="font-size: 16px; margin: 5px; color:black; font-weight: bold;">
            <svg style="
                    user-select: none;
                    width: 1em;
                    height: 1em;
                    display: inline-block;
                    fill: currentColor;
                    flex-shrink: 0;
                    transition: fill 200ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
                    margin-right: 16px;
                  " focusable="false" aria-hidden="true" viewBox="0 0 24 24" data-testid="CallIcon">
              <path
                d="M20.01 15.38c-1.23 0-2.42-.2-3.53-.56-.35-.12-.74-.03-1.01.24l-1.57 1.97c-2.83-1.35-5.48-3.9-6.89-6.83l1.95-1.66c.27-.28.35-.67.24-1.02-.37-1.11-.56-2.3-.56-3.53 0-.54-.45-.99-.99-.99H4.19C3.65 3 3 3.24 3 3.99 3 13.28 10.73 21 20.01 21c.71 0 .99-.63.99-1.18v-3.45c0-.54-.45-.99-.99-.99z">
              </path>
            </svg>
            647 563 7319, 647 780 9166
          </p>
        </div>
      </div>
    </div>
    <div style="display: flex; align-items: center; justify-content: center">
      <div style="width: 85%">
        <p style="
                margin-bottom: 20px;
                margin-top: 40px;
                text-align: center;
                line-height: normal;
              ">
          <b><span lang="EN-PH" style="font-size: 16pt; font-family: Avenir; color: #0D7615">Contract For Exhibit Space
              And Event Regulations<o:p></o:p></span></b>
        </p>
  
        <table cellspacing="0" cellpadding="0" style="width: 100%" style="border-collapse: collapse; border: none">
          <tbody>
            <tr>
              <td width="111.75pt" style="border: solid black 1pt; padding: 0in 5.4pt 0in 5.4pt">
                <p style="margin: 30px; line-height: normal">
                  <span lang="EN-PH" style="font-family: Avenir">Company Name<o:p></o:p></span>
                </p>
              </td>
              <td style="
                      border: solid black 1pt;
                      border-left: none;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                ${data.company_name}
              </td>
            </tr>
            <tr>
              <td width="111.75pt" style="
                      border: solid black 1pt;
                      border-top: none;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                <p style="margin: 30px; line-height: normal">
                  <span lang="EN-PH" style="font-family: Avenir">Contact Name<o:p></o:p></span>
                </p>
              </td>
              <td style="
                      border-top: none;
                      border-left: none;
                      border-bottom: solid black 1pt;
                      border-right: solid black 1pt;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                ${data.contact_Name}
              </td>
            </tr>
            <tr>
              <td width="111.75pt" style="
                      border: solid black 1pt;
                      border-top: none;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                <p style="margin: 30px; line-height: normal">
                  <span lang="EN-PH" style="font-family: Avenir">Business Name<o:p></o:p></span>
                </p>
              </td>
              <td style="
                      border-top: none;
                      border-left: none;
                      border-bottom: solid black 1pt;
                      border-right: solid black 1pt;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                ${data.business_name}
              </td>
            </tr>
            <tr>
              <td width="111.75pt" style="
                      border: solid black 1pt;
                      border-top: none;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                <p style="margin: 30px; line-height: normal">
                  <span lang="EN-PH" style="font-family: Avenir">Mobile Number<o:p></o:p></span>
                </p>
              </td>
              <td style="
                      border-top: none;
                      border-left: none;
                      border-bottom: solid black 1pt;
                      border-right: solid black 1pt;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                ${data.mobile_number}
              </td>
            </tr>
            <tr>
              <td width="111.75pt" style="
                      border: solid black 1pt;
                      border-top: none;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                <p style="margin: 30px; line-height: normal">
                  <span lang="EN-PH" style="font-family: Avenir">Email address<o:p></o:p></span>
                </p>
              </td>
              <td style="
                      border-top: none;
                      border-left: none;
                      border-bottom: solid black 1pt;
                      border-right: solid black 1pt;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                ${data.email_address}
              </td>
            </tr>
            <tr>
              <td width="111.75pt" style="
                      border: solid black 1pt;
                      border-top: none;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                <p style="margin: 30px; line-height: normal">
                  <span lang="EN-PH" style="font-family: Avenir">Website<o:p></o:p></span>
                </p>
              </td>
              <td style="
                      border-top: none;
                      border-left: none;
                      border-bottom: solid black 1pt;
                      border-right: solid black 1pt;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                ${data.website}
              </td>
            </tr>
            <tr>
              <td width="111.75pt" style="
                      border: solid black 1pt;
                      border-top: none;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                <p style="margin: 30px; line-height: normal">
                  <span lang="EN-PH" style="font-family: Avenir">Products/Services<o:p></o:p></span>
                </p>
              </td>
              <td style="
                      border-top: none;
                      border-left: none;
                      border-bottom: solid black 1pt;
                      border-right: solid black 1pt;
                      padding: 0in 5.4pt 0in 5.4pt;
                    ">
                ${data.products_services}
              </td>
            </tr>
          </tbody>
        </table>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">The Company or Individual named above (hereafter called the
            vendor/exhibitor) hereby contracts for a booth at the “Fiesta de Mayo” to be held at the Street Eats, 500
            Progress Avenue Scarborough, ON M1P 2K2 on Friday May 26, 2023 to Sunday May 28, 2023. Contract terms and
            conditions:
            <o:p></o:p>
          </span>
        </p>
  
        <br />
        <br />
        <br />
        <br />
        <br />
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">A. Exhibitor Type<o:p></o:p></span></b>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            ${data.exhibitor_type == 'Corporate' ? `
            <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
              x="0px" y="0px" viewBox="0 0 490 490" style="enable-background: new 0 0 490 490; width: 1rem"
              xml:space="preserve">
              <polygon points="452.253,28.326 197.831,394.674 29.044,256.875 0,292.469 207.253,461.674 490,54.528 " />
            </svg>
            `: `<svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg"
              xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 180.607 180.607"
              style="enable-background: new 0 0 180.607 180.607; width: 1rem" xml:space="preserve">
              <path d="M180.607,10.607l-79.696,79.697l79.696,79.697L170,180.607l-79.696-79.696l-79.696,79.696L0,170.001l79.696-79.697L0,10.607
    L10.607,0.001l79.696,79.696L170,0.001L180.607,10.607z" />
            </svg>` } Corporate <o:p></o:p></span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            ${data.exhibitor_type == 'FoodPremium' ? `
            <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
              x="0px" y="0px" viewBox="0 0 490 490" style="enable-background: new 0 0 490 490; width: 1rem"
              xml:space="preserve">
              <polygon points="452.253,28.326 197.831,394.674 29.044,256.875 0,292.469 207.253,461.674 490,54.528 " />
            </svg>
            `: `<svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg"
              xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 180.607 180.607"
              style="enable-background: new 0 0 180.607 180.607; width: 1rem" xml:space="preserve">
              <path d="M180.607,10.607l-79.696,79.697l79.696,79.697L170,180.607l-79.696-79.696l-79.696,79.696L0,170.001l79.696-79.697L0,10.607
                        L10.607,0.001l79.696,79.696L170,0.001L180.607,10.607z" />
            </svg>` } Food Premium (vendors that sell multiple dishes classified as wet and dry food)*<o:p></o:p></span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            ${data.exhibitor_type == 'Food/Non-Food' ? `
            <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
              x="0px" y="0px" viewBox="0 0 490 490" style="enable-background: new 0 0 490 490; width: 1rem"
              xml:space="preserve">
              <polygon points="452.253,28.326 197.831,394.674 29.044,256.875 0,292.469 207.253,461.674 490,54.528 " />
            </svg>
            `: `<svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg"
              xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 180.607 180.607"
              style="enable-background: new 0 0 180.607 180.607; width: 1rem" xml:space="preserve">
              <path d="M180.607,10.607l-79.696,79.697l79.696,79.697L170,180.607l-79.696-79.696l-79.696,79.696L0,170.001l79.696-79.697L0,10.607
                        L10.607,0.001l79.696,79.696L170,0.001L180.607,10.607z" />
            </svg>` } Food/Non-Food (dry/pre-packed food vendors and non-food small business vendors)*<o:p></o:p></span>
        </p>
        <p style="margin-bottom: 0in; line-height: normal">
        <span lang="EN-PH" style="font-family: Avenir; font-style: italic;">
          <o:p>*Applies also to food trucks.</o:p>
        </span>
        <br/>
      </p>
  
        <!--   
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir">
                <o:p>&nbsp;</o:p>
              </span>
            </p>
  
            <p style="margin-bottom: 0in; line-height: normal; color:red">
              <b
                ><span lang="EN-PH" style="font-family: Avenir"
                  >ALL FOOD VENDORS:<o:p></o:p></span
              ></b>
            </p>
    
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >Since this is an outdoor event, please register early at Toronto Public Health. 
                TPH turns off the registration a week before the event. No TPH form, no booth space. This is also a reminder so that when you are in the event and a food inspector visits your booth, they do not have to order a closure of your booth since you have all the forms required and followed the regulations.                
                <o:p></o:p
              ></span>
            </p>
     -->
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">B. Included in the Fee<o:p></o:p></span></b>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1. 10 x 10 booth
            space.<span>&nbsp; </span>
            <o:p></o:p>
          </span>
        </p>
  
  
        <!-- <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >2 <o:p></o:p
              ></span>
            </p> -->
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2. Allows vendor to
            display all advertising & marketing materials within its booth perimeters.
            <o:p></o:p>
          </span>
        </p>
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3. Allows vendor to
            sell its product(s) within the booth perimeters.
            <o:p></o:p>
          </span>
        </p>
  
  
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">C. Booth Assignment <o:p></o:p></span></b>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1. Booth will be
            assigned on a first pay first assigned basis.<span>&nbsp; </span>
            <o:p></o:p>
          </span>
        </p>
  
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2. Festival organizers
            have pre-assigned booths for its sponsors and reserves the right to assign the vendor/exhibitor booths as it
            best determines for the event.
            <o:p></o:p>
          </span>
        </p>
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">3. Booth Fee: <o:p></o:p></span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span style="font-family: Avenir; font-weight: bold; color:black;"> $2,499+HST Corporate Vendors
            <o:p></o:p>
          </span>
        </p>
        <p style="margin-bottom: 0in; line-height: normal">
          <span style="font-family: Avenir; font-weight: bold; color:black;"> $1,499+ HST Food Premium
            <o:p></o:p>
          </span>
        </p>
        <p style="margin-bottom: 0in; line-height: normal">
          <span style="font-family: Avenir; font-weight: bold; color:black;"> $999+ HST Dry/Pre-packed Food and Small Business Non-Food
            <o:p></o:p>
          </span>
        </p>
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">Submit with a signed contract or see payment method.
            <o:p></o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">4. Payment Method. </span><span lang="EN-PH"
            style="font-family: Avenir"> </span>
        </p>
        <p style="margin-bottom: 0in; line-height: normal;">
          <span lang="EN-PH" style="font-family: Avenir">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Payment can be made
            via cash or email money transfer to<span style="font-family: Avenir; font-weight: bold; color:black;"> finance@mykapitbahay.com.</span> MyKapitbahay.com will send a paper receipt once
            payment is received and a confirmation of booth assignment based on availability at the time of payment and
            options chosen by the vendor.
            <o:p></o:p>
          </span>
        </p>
  
  
  
        <!-- <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir">
                <o:p>&nbsp;</o:p>
              </span>
            </p>
    
            <p style="margin-bottom: 0in; line-height: normal">
              <b
                ><span lang="EN-PH" style="font-family: Avenir"
                  >C.<span>&nbsp; </span>Booth Assignment<o:p></o:p></span
              ></b>
            </p>
    
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >1. Booth will be assigned on a first pay first assigned basis.
                <o:p></o:p
              ></span>
            </p>
    
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >2. Festival organizers have pre-assigned booths for its sponsors and reserves the right to assign the vendor/exhibitor booths as it best determines for the event.<o:p></o:p
              ></span>
            </p>
    
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >3. Booth Fee:  <o:p></o:p
              ></span>
            </p>
  
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >CORPORATE: $2,499 <o:p></o:p
              ></span>
            </p>
  
            
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >SMALL BUSINESS OWNER FOOD: $1,499 <o:p></o:p
              ></span>
            </p>
  
            
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >SMALL BUSINESS OWNER DRY GOODS: $999 <o:p></o:p
              ></span>
            </p>
  
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >4. Payment Method. </span
              ><span lang="EN-PH" style="font-family: Avenir"
                > Payment must be sent via email money transfer to :</span
              >
            </p>
  
            <p style="margin-bottom: 0in; line-height: normal; color:red">
              <span lang="EN-PH" style="font-family: Avenir"
                >Company Email Address: sparctoronto@gmail.com
                <o:p></o:p
              ></span>
            </p>
            <p style="margin-bottom: 0in; line-height: normal; color:red">
              <span lang="EN-PH" style="font-family: Avenir"
                >Default Password: fiestademayo
                <o:p></o:p
              ></span>
            </p>
    
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir">
                <o:p>&nbsp;</o:p>
              </span>
            </p> -->
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">D. Excluded in the Fee<o:p></o:p></span></b>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">Tent, tables, chairs, power, wifi, extra lighting, equipment,
            dollies, insurance, and other material requirements.
            <o:p></o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <!-- <p style="margin-bottom: 0in; line-height: normal">
              <b
                ><span lang="EN-PH" style="font-family: Avenir"
                  >E. Tent/Table/Chair Rental<o:p></o:p></span
              ></b>
            </p>
    
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >Vendors can order tents, tables and chairs by filling out the number below:<o:p></o:p
              ></span>
            </p>
  
            <p style="margin-bottom: 0in; line-height: normal">
              <b
                ><span lang="EN-PH" style="font-family: Avenir"
                  >1. Booth Fee:
                  <o:p></o:p></span
              ></b>
            </p>
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >Corporate: $ 2,499.00 + HST
                <o:p></o:p
              ></span>
            </p>
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >Food Premium : $1,499.00 + HST
                <o:p></o:p
              ></span>
            </p>
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >Food/Non-Food : $999.00 + HST
                <o:p></o:p
              ></span>
            </p> -->
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">E. Tent/Table/Chair Fee:
              <o:p></o:p>
            </span></b>
        </p>
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">Vendors can order tents, tables and chairs by filling out the
            number below:
            <o:p></o:p>
          </span>
        </p>
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Booth Package - $135 x
            ${data.option1} = $${135*data.option1} + HST
            <o:p></o:p>
          </span>
        </p>
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Extra Table 6ft long
            $15 x ${data.option2} = $${15*data.option2} + HST
            <o:p></o:p>
          </span>
        </p>
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Extra Chair $3 x
            ${data.option3} = $${3*data.option3} + HST
            <o:p></o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir"> Booth Package rental fee includes a 10 x 10 tent, 6 feet table
            and 2 chairs for 3 days. Payment of tent, table and chairs can be paid with the booth space. Vendors can bring
            their own tent, tables and chairs. Vendors can opt to source their own equipment and supplies from other
            providers.
            <o:p></o:p>
          </span>
        </p>
  
        <!--          
  
            <p style="margin-bottom: 0in; line-height: normal">
              <b
                ><span lang="EN-PH" style="font-family: Avenir"
                  >F.  Booth Assignment                  <o:p></o:p></span
              ></b>
            </p>
    
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >1. Booth space will be assigned on a first pay first assigned basis.
                <o:p></o:p
              ></span>
            </p>
  
            <p style="margin-bottom: 0in; line-height: normal">
              <span lang="EN-PH" style="font-family: Avenir"
                >2. Festival organizers have pre-assigned booths for its sponsors and reserves the right to assign the vendor/exhibitor booths as it best determines for the event.
                <o:p></o:p
              ></span>
            </p> -->
  
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">F. Set-up and Take-down<o:p></o:p></span></b>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir"> Vendor’s set-up – Friday, May 26, 2023 - 2pm - GATES OPEN: 4pm.
            <o:p></o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">Vendor take-down - Sunday, May 28, 2023 - 11pm
  
            <o:p></o:p>
          </span>
        </p>
  
        <!--            
            <p style="margin-bottom: 0in; line-height: normal">
              <b
                ><span lang="EN-PH" style="font-family: Avenir">
                  <o:p>&nbsp;</o:p>
                </span></b
              >
            </p>
     -->
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">G. Parking
              <o:p></o:p>
            </span></b>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">Each tent will be given a spot at the vendor parking spot on a
            first come, first served basis. An area for off-loading will be assigned also.
            <o:p></o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <a name="_heading=h.gjdgxs"></a><span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">H. Cancellation Policy
              <o:p></o:p>
            </span></b>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">Cancellation must be done in writing and email to: </span><span
            lang="EN-PH"><a href="mailto:marketing@mykapitbahay.com"><span
                style="font-family: Avenir; color: blue">marketing@mykapitbahay.com.</span></a></span><span lang="EN-PH"
            style="font-family: Avenir">. <o:p></o:p></span>
        </p>
  
        <p style="
                margin-top: 0in;
                margin-right: 0in;
                margin-bottom: 0in;
                margin-left: 0.5in;
                text-indent: -0.25in;
                line-height: normal;
              ">
          <!--[if !supportLists]--><span lang="EN-PH" style="font-family: 'Noto Sans Symbols'"><span>●<span
                style="font: 7pt 'Times New Roman'">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              </span></span></span>
          <!--[endif]--><span lang="EN-PH" style="font-family: Avenir">Cancellation on or before April 5, 2023 – 50% of
            payment will be refunded.
          </span>
        </p>
  
        <p style="
                margin-top: 0in;
                margin-right: 0in;
                margin-bottom: 0in;
                margin-left: 0.5in;
                text-indent: -0.25in;
                line-height: normal;
              ">
          <!--[if !supportLists]--><span lang="EN-PH" style="font-family: 'Noto Sans Symbols'"><span>●<span
                style="font: 7pt 'Times New Roman'">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              </span></span></span>
          <!--[endif]--><span lang="EN-PH" style="font-family: Avenir">After April 5, 2023 – No refund. </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">I. Loss or Damage<o:p></o:p></span></b>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">MyKapitbahay is not responsible for the loss or damage to any of
            the goods or property brought to the event by the vendor.
            <o:p></o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">J. Subletting
              <o:p></o:p>
            </span></b>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">The exhibitor will use exclusively the contracted space and will
            not sublet, resell or permit the use of any part to any individual, business or organization. The vendor may
            not use the designated space to promote products or events other than those sold or organized by their
            company, without prior approval from event organizers.
            <o:p></o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">K. Liability Insurance <o:p></o:p></span></b>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">Each vendor shall carry insurance in connection with his/her
            individual booth covering liability for personal injury, property damage, fire, theft and worker’s
            compensation and shall protect, indemnity and hold MyKapitbahay.com Canada Inc harmless. MyKapitbahay.com
            Canada Inc. carries public liability insurance for liabilities arising from common areas of the exhibits
            including installation, dismantling and general operation of the event. Common areas include entrances, aisles
            and restrooms. <o:p></o:p></span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">L. Penalty <o:p></o:p></span></b>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">Any vendor will be held liable for any infraction that may cause
            closure of the event.
            <o:p></o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b><span lang="EN-PH" style="font-family: Avenir">M. Regulations
              <o:p></o:p>
            </span></b>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">Vendor agrees to comply with the rules and regulations set forth
            by the Street Eats in the use of its facilities including the requirements from the Ontario Department of
            Health with regards to food vendors or any provider of health supplements or other health related products.
            Vendors are solely responsible for complying with all laws, ordinances and regulations pertaining to customs,
            health, fire prevention, public safety and all applicable laws of the Province of Ontario and Canada while
            participating in the event.
  
            Mykapitbahay will send out the registration for Toronto Public Health for all food vendors three weeks prior
            to the event.
  
            <o:p></o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">By signing and submitting this application, the vendor
            acknowledges that he/she has read and agrees to comply with all terms of the Contract for Exhibit Space and
            Show Regulations. The vendor’s signature on this Contract shall constitute acceptance of, and will abide by
            all the provisions set forth herein. <o:p></o:p></span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <b
            ><span lang="EN-PH" style="font-family: Avenir"
              >AUTHORIZED SIGNATURE:<o:p></o:p></span
          ></b>
        </p>
        <p style="margin-bottom: 0in; line-height: normal">
          <b
            ><span lang="EN-PH" style="font-family: Avenir"
              >MyKapitbahay.com Canada Inc.
              <span
                >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span
              >For Vendor: <o:p></o:p></span
          ></b>
        </p>
  
      
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir"
            >${data.my_kapitbahay_name}<span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>${data.vendor_name}<o:p
            ></o:p
          ></span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir"
            >${data.my_kapitbahay_signature}<span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>${data.vendor_signature}<o:p
            ></o:p
          ></span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir">
            <o:p>&nbsp;</o:p>
          </span>
        </p>
  
        <p style="margin-bottom: 0in; line-height: normal">
          <span lang="EN-PH" style="font-family: Avenir"
            >
            ${ date.toLocaleString('en-US', {
              timeZone: 'America/New_York'})} <span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </span>${ date.toLocaleString('en-US', {
              timeZone: 'America/New_York',
            })}<o:p
            ></o:p
          ></span>
        </p>
  
        <br />
        <br />
        <br />
        <p style="text-align:center">
          <span lang="EN-PH" style="font-family: Avenir">MyKapitbahay.com Canada Inc.<br /></span>
          <span lang="EN-PH" style="font-family: Avenir">895 Don Mills Road Suite 900 Toronto, ON M3C 1W3 </span><br />
          <span lang="EN-PH" style="font-family: Avenir">marketing@mykapitbahay.com | 1.888.833.9155 | mykapitbahay.com
          </span>
        </p>
      </div>
    </div>
  </body>
  
  </html>
  `
}
const FindPrice = (booth) => {
  switch (booth) {
    case 'A':
      return 3500;
    case 'B':
      return 2900;
    case 'C':
      return 2400;
    case 'D':
      return 1200;
    case 'E':
      return 3500;
    case 'F':
      return 4500;
    default:
      return 0;
  }
};


const tasteOfManila = (data) => {
  const date=new Date()
  console.log("datasTemplate",data)
  return `<!DOCTYPE html>
  <html lang="en">
    <head>
      <meta charset="UTF-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <link
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css"
        rel="stylesheet"
        integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD"
        crossorigin="anonymous"
      />
      <title>VENDOR CONTRACT FOR EXHIBIT SPACE AND EVENT REGULATIONS</title>
    </head>
    <body class="">
    <div style="
            height: 250px;
            width: 100%;
            
            background-size: 100% 100%;
            position: relative;
          ">
  
      <img src="https://res.cloudinary.com/mykapitbahay/image/upload/v1679647098/tasteofmaila_rutjtx.png"
        style="width:100%;height:100%" alt="Red dot" />
  
      
    </div>
      <h6 class="text-center fw-bold" style="color:rgb(72, 41, 122); margin-top:50px;">
        VENDOR CONTRACT FOR EXHIBIT SPACE AND EVENT REGULATIONS
      </h6>
      <br />
      <br />
      <p>
        This Sponsorship Contract for Exhibit Space and Event Regulations
        (“CONTRACT”) which consists of these Basic Terms and the Standard Event
        Sponsorship Terms and Conditions (“STANDARD TERMS”) attached hereto, shall
        hereafter be referred to as the CONTRACT.
      </p>
      <p>
        SOCIETY OF PHILIPPINE ARTISTS, RECREATION AND COMMUNITY (SPARC), a
        non-profit organization federally registered in Canada, with address at
        895 Don Mills Road Suite 900 Two Morneau Shepell Toronto, ON M3C 1W3,
        represented herein by its Executive Director, DANILO BALUYOT;
      </p>
      <p>
        TASTE OF MANILA INC. (TOM), a corporation federally registered in Canada,
        with address at 8 Ivanhoe Crescent Scarborough ON M1R 3G9, represented
        herein by its Chief Executive Officer, ROLANDO MANGANTE;
      </p>
      <h6 class="text-center fw-bold">AND</h6>
      <br />
      <table class="table table-bordered">
        <tr>
          <td width="20%">Company Name</td>
          <td>${data.company_name}</td>
        </tr>
        <tr>
          <td>Contact Name</td>
          <td>${data.contact_Name}</td>
        </tr>
        <tr>
          <td>Business Name</td>
          <td>${data.business_name}</td>
        </tr>
        <tr>
          <td>Mobile Number</td>
          <td>${data.mobile_number}</td>
        </tr>
        <tr>
          <td>Email address</td>
          <td>${data.email_address}</td>
        </tr>
        <tr>
          <td>Website</td>
          <td>${data.website}</td>
        </tr>
        <tr>
          <td>Products/Services</td>
          <td>${data.products_services}</td>
        </tr>
      </table>
  
      <!-- RECITALS -->
  
      <br />
      <h6 class="text-center fw-bold" style="color:rgb(72, 41, 122);">RECITALS</h6>
      <br />
      <p>
        SPARC, as a main organizer of Taste of Manila 2023 festival to be held in
        August 19-20, 2023 (“EVENT”), is incharge of selling corporate and booth
        sponsorships for the EVENT, such that all payments will be paid to and
        collected by SPARC. All on-ground event values offered in the sponsorship
        packages (“EVENT VALUES'') will be fulfilled by SPARC during the EVENT
        DATE.
      </p>
      <p>
        SPARC have agreed to grant VENDOR the EVENT VALUES in accordance with the
        specific VENDOR PACKAGE availed by VENDOR, in accordance with the terms
        and conditions of this CONTRACT.
      </p>
      <p>As such, it is agreed as follows:</p>
  
      <!-- BASIC TERMS -->
  
      <br />
      <h6 class="text-center fw-bold" style="color:rgb(72, 41, 122);">BASIC TERMS</h6>
      <br />
  
      <!-- EVENT INFORMATION -->
  
      <h6 class="fw-bold">1. EVENT INFORMATION</h6>
      <table class="mx-4">
        <tr>
          <td class="text-nowrap align-top" width="30%">EVENT :</td>
          <td>TASTE OF MANILA 2023</td>
        </tr>
        <tr>
          <td class="text-nowrap align-top" width="30%">EVENT DATE:</td>
          <td>19-20 August 2023, Saturday and Sunday</td>
        </tr>
        <tr>
          <td class="text-nowrap align-top" width="30%">EVENT VENUE:</td>
          <td class="text-wrap">
            Along Bathurst St. starting from the corner of Wilson St. up to
            Bathurst St and York Downs Dr. North York, ON or on such a venue as
            solely determined by SPARC and TOM.
          </td>
        </tr>
      </table>
  
      <!-- VENDOR PACKAGE -->
  
      <br />
      <h6 class="fw-bold">2. VENDOR PACKAGE:</h6>
      <br />
      <!-- A -->
      <table class="table table-bordered">
        <tr>
          <td class="align-middle">
            <h6 class="fw-bold align-middle">A. FoodPrime</h6>
          </td>
          <td class="align-middle" align="right">
            <h6 class="fw-bold align-middle">$3,500 + HST</h6>
          </td>
        </tr>
      </table>
      <ul>
        <li>2 days participation as a vendor</li>
        <li>10 x 10 booth space</li>
        <li>Mention of company on press releases and social media promotions</li>
        <li>
          Listing of your company name on mykapitbahay.com under PinoyPreneur
          category
        </li>
        <li>On-stage mention of company name</li>
        <li>
          Set-up/maintenance/strike of TOM site equipment, site cleaning, waste
          management and designated onsite Marketplace Director
        </li>
        <li>
          Vendor is responsible to clean up your worksite during and after the
          Festival closes
        </li>
        <li>Tent, chairs and tables can be provided at a cost</li>
        <li>
          An extra 10x10 booth space is going to be charged additional cost.
        </li>
        <li>
          Invite to the following events - Flag Raising Ceremony at the Little
          Manila Parkette, Motorcade in Filipino areas, Small Business Owner
          Seminar, Sponsors and Vendors Gala Night.
        </li>
      </ul>
  
      <!-- B -->
      <table class="table table-bordered">
        <tr>
          <td class="align-middle">
            <h6 class="fw-bold align-middle">B. FoodBasic</h6>
          </td>
          <td class="align-middle" align="right">
            <h6 class="fw-bold align-middle">$2,900 + HST</h6>
          </td>
        </tr>
      </table>
      <ul>
        <li>2 days participation as a vendor</li>
        <li>10 x 10 booth space</li>
        <li>Mention of company on press releases and social media promotions</li>
        <li>
          Listing of your company name on mykapitbahay.com under PinoyPreneur
          category
        </li>
        <li>On-stage mention of company name</li>
        <li>
          Set-up/maintenance/strike of TOM site equipment, site cleaning, waste
          management and designated onsite Marketplace Director
        </li>
        <li>
          Vendor is responsible to clean up your worksite during and after the
          Festival closes
        </li>
        <li>Tent, chairs and tables can be provided at a cost</li>
        <li>
          An extra 10x10 booth space is going to be charged additional cost.
        </li>
        <li>
          Invite to the following events - Flag Raising Ceremony at the Little
          Manila Parkette, Motorcade in Filipino areas, Small Business Owner
          Seminar, Sponsors and Vendors Gala Night.
        </li>
      </ul>
  
      <!-- C -->
      <table class="table table-bordered">
        <tr>
          <td class="align-middle">
            <h6 class="fw-bold align-middle">C. Trade/ProductExhibitors-Prime</h6>
          </td>
          <td class="align-middle" align="right">
            <h6 class="fw-bold align-middle">$2,400 + HST</h6>
          </td>
        </tr>
      </table>
      <ul>
        <li>2 days participation as a vendor</li>
        <li>10 x 10 booth space</li>
        <li>Mention of company on press releases and social media promotions</li>
        <li>
          Listing of your company name on mykapitbahay.com under PinoyPreneur
          category
        </li>
        <li>On-stage mention of company name</li>
        <li>
          Set-up/maintenance/strike of TOM site equipment, site cleaning, waste
          management and designated onsite Marketplace Director
        </li>
        <li>
          Vendor is responsible to clean up your worksite during and after the
          Festival closes
        </li>
        <li>Tent, chairs and tables can be provided at a cost</li>
        <li>
          An extra 10x10 booth space is going to be charged additional cost.
        </li>
        <li>
          Invite to the following events - Flag Raising Ceremony at the Little
          Manila Parkette, Motorcade in Filipino areas, Small Business Owner
          Seminar, Sponsors and Vendors Gala Night.
        </li>
      </ul>
  
      <!-- D -->
      <table class="table table-bordered">
        <tr>
          <td class="align-middle">
            <h6 class="fw-bold align-middle">D. Trade/ProductExhibitors</h6>
          </td>
          <td class="align-middle" align="right">
            <h6 class="fw-bold align-middle">$1,200 + HST</h6>
          </td>
        </tr>
      </table>
      <ul>
        <li>2 days participation as a vendor</li>
        <li>10 x 10 booth space</li>
        <li>Mention of company on press releases and social media promotions</li>
        <li>
          Listing of your company name on mykapitbahay.com under PinoyPreneur
          category
        </li>
        <li>
          Set-up/maintenance/strike of TOM site equipment, site cleaning, waste
          management and designated onsite Marketplace Director
        </li>
        <li>
          Vendor is responsible to clean up your worksite during and after the
          Festival closes
        </li>
        <li>Additional chairs and tables can be provided at a cost</li>
        <li>
          An extra 10 x 10 booth space is going to be charged additional cost
        </li>
        <li>
          Invite to the following events - Flag Raising Ceremony at the Little
          Manila Parkette, Motorcade in Filipino areas, Small Business Owner
          Seminar, Sponsors and Vendors Gala Night.
        </li>
      </ul>
  
      <!-- E -->
      <table class="table table-bordered">
        <tr>
          <td class="align-middle">
            <h6 class="fw-bold align-middle">E. CorporateBooth(Non-Sponsor)</h6>
          </td>
          <td class="align-middle" align="right">
            <h6 class="fw-bold align-middle">$3,500 + HST</h6>
          </td>
        </tr>
      </table>
      <ul>
        <li>2 days participation as a vendor</li>
        <li>10 x 10 booth space</li>
        <li>Mention of company on press releases and social media promotions</li>
        <li>
          Listing of your company name on mykapitbahay.com under PinoyPreneur
          category
        </li>
        <li>On-stage mention of company name</li>
        <li>
          Set-up/maintenance/strike of TOM site equipment, site cleaning, waste
          management and designated onsite Marketplace Director
        </li>
        <li>
          Vendor is responsible to clean up your worksite during and after the
          Festival closes
        </li>
        <li>Tent, chairs and tables can be provided at a cost</li>
        <li>
          An extra 10x10 booth space is going to be charged additional cost.
        </li>
        <li>
          Invite to the following events - Flag Raising Ceremony at the Little
          Manila Parkette, Motorcade in Filipino areas, Small Business Owner
          Seminar, Sponsors and Vendors Gala Night.
        </li>
      </ul>
  
      <!-- F -->
      <table class="table table-bordered">
        <tr>
          <td class="align-middle">
            <h6 class="fw-bold align-middle">F. Food Truck</h6>
          </td>
          <td class="align-middle" align="right">
            <h6 class="fw-bold align-middle">$4,500 + HST</h6>
          </td>
        </tr>
      </table>
      <ul>
        <li>2 days participation as a vendor</li>
        <li>Assigned area specifically for food trucks</li>
        <li>Mention of company on press releases and social media promotions</li>
        <li>
          Listing of your company name on mykapitbahay.com under PinoyPreneur
          category
        </li>
        <li>On-stage mention of company name</li>
        <li>
          Set-up/maintenance/strike of TOM site equipment, site cleaning, waste
          management and designated onsite Marketplace Director
        </li>
        <li>
          Vendor is responsible to clean up your worksite during and after the
          Festival closes
        </li>
        <li>Tent, chairs and tables can be provided at a cost</li>
        <li>
          An extra 10x10 booth space is going to be charged additional cost.
        </li>
        <li>
          nvite to the following events - Flag Raising Ceremony at the Little
          Manila Parkette, Motorcade in Filipino areas, Small Business Owner
          Seminar, Sponsors and Vendors Gala Night.
        </li>
      </ul>
  
      <!-- G -->
      <table class="table table-bordered">
        <tr>
          <td class="align-middle">
            <h6 class="fw-bold align-middle">
              G. Optional : Tent Rental (x1) including 1x6ft table, 2xfoldingchais
              (delivered, set-up)
            </h6>
          </td>
          <td class="align-middle" align="right">
            <h6 class="fw-bold align-middle">$175.00 + HST</h6>
          </td>
        </tr>
      </table>
  
      <!-- H -->
      <table class="table table-bordered">
        <tr>
          <td class="align-middle">
            <h6 class="fw-bold align-middle">
              H. Optional : Extra Table Rental - 8ft long (x1) (delivered, set-up)
            </h6>
          </td>
          <td class="align-middle" align="right">
            <h6 class="fw-bold align-middle">$20.00 + HST</h6>
          </td>
        </tr>
      </table>
  
      <!-- I -->
      <table class="table table-bordered">
        <tr>
          <td class="align-middle">
            <h6 class="fw-bold align-middle">
              I. Optional : Chair Rental (x2) (delivered)
            </h6>
          </td>
          <td class="align-middle" align="right">
            <h6 class="fw-bold align-middle">$10.00 + HST</h6>
          </td>
        </tr>
      </table>
  
      <!-- VENDOR ORDER -->
      <br />
      <h6 class="fw-bold">3. VENDOR ORDER:</h6>
      <br />
  
      <table class="table table-bordered">
        <thead>
          <tr>
            <th align="center">Booth Type</th>
            <th align="center">Unit Price</th>
            <th align="center">Quantity</th>
            <th align="center">Total</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>1. Booth - ${data.BoothName}</td>
            <td align="center">$${FindPrice(data.BoothName)}</td>
            <td align="center">${data.Booth}</td>
            <td align="center">$${data.Booth*FindPrice(data.BoothName)}</td>
          </tr>
          <tr>
            <td>2. Tent</td>
            <td align="center">$175</td>
            <td align="center">${data.Tent}</td>
            <td align="center">$${175*data.Tent}</td>
          </tr>
          <tr>
            <td>3. Table</td>
            <td align="center">$20</td>
            <td align="center">${data.Table}</td>
            <td align="center">$${20*data.Table}</td>
          </tr>
          <tr>
            <td>4. Chairs</td>
            <td align="center">$5</td>
            <td align="center">${data.Chairs}</td>
            <td align="center">$${5*data.Chairs}</td>
          </tr>
          <tr>
            <td>5. Mandatory Cleaning Deposit (food vendors)</td>
            <td align="center">$400</td>
            <td align="center">${data.CleaningDeposit}</td>
            <td align="center">$${400*data.CleaningDeposit}</td>
          </tr>
          <tr>
            <td></td>
            <td align="center"></td>
            <td>Sub-Total</td>
            <td>$${(data.Booth*FindPrice(data.BoothName))+(175*data.Tent)+(20*data.Table)+(5*data.Chairs)+(400*data.CleaningDeposit)}</td>
          </tr>
          <tr>
            <td></td>
            <td align="center"></td>
            <td>HST (13%)</td>
            <td>$${((data.Booth*FindPrice(data.BoothName))+(175*data.Tent)+(20*data.Table)+(5*data.Chairs)+(400*data.CleaningDeposit))*0.13}</td>
          </tr>
          <tr>
            <td></td>
            <td align="center"></td>
            <td>Grand Total</td>
            <td>$${((data.Booth*FindPrice(data.BoothName))+(175*data.Tent)+(20*data.Table)+(5*data.Chairs)+(400*data.CleaningDeposit))+(((data.Booth*FindPrice(data.BoothName))+(175*data.Tent)+(20*data.Table)+(5*data.Chairs)+(400*data.CleaningDeposit))*0.13)}</td>
          </tr>
        </tbody>
      </table>
      <span>
        Any additional requirements will be charged with additional fees.
      </span>
  
      <!-- PAYMENT TERMS -->
  
      <br />
      <br />
      <h6 class="fw-bold">4. PAYMENT TERMS:</h6>
      <ol type="A">
        <li>
          Payment is due upon signing of the Agreement, which maybe payable by
          certified cheque or money order or email money transfer. We do not
          accept CASH PAYMENT. Email money transfer can be done through
          <a href="mailto:info@sparccanada.ca">
            <strong>info@sparccanada.ca</strong>
          </a>
          using password: TASTE2023
        </li>
        <li>
          All cheques must be payable to “SOCIETY OF PHILIPPINE ARTISTS,
          RECREATION AND COMMUNITY” for the full amount of the sponsorship
          package. Cheques can be couriered c/o Danilo Baluyot 895 Don Mills Road
          Unit 900, Two Morneau Shepell Bldg, Don Mills Road Toronto, ON M3C 1W3.
        </li>
        <li>
          Email money transfer can be done through
          <a href="mailto:info@sparccanada.ca">
            <strong>info@sparccanada.ca</strong>
          </a>
          . Pw:TASTE2023
        </li>
        <li>
          Payment terms can be 50% upon signing with a completed contract on file
          and 50% on or before June 15, 2023.
        </li>
      </ol>
  
      <!-- REFUND POLICY -->
  
      <br />
      <span>
        <h6 class="fw-bold d-inline-block">5. REFUND POLICY:</h6>
        Our refund policy is as follows:
      </span>
      <br />
      <ol type="A">
        <li>
          Cancellation on or before June 15, 2023 - 50% refund of the payment made
        </li>
        <li>Cancellation after June 15, 2023 - norefund</li>
      </ol>
  
      <!-- BOOTH ASSIGNMENT -->
  
      <br />
      <h6 class="fw-bold">6. BOOTH ASSIGNMENT:</h6>
      <ol type="A">
        <li>
          Only vendors that paid the booth and signed the contract will be
          assigned a booth.
        </li>
        <li>
          Booth vendors may request a booth number but the organizers have the
          right to place the booth vendor strategically according to type of
          vendor (premier vs. basic) and product type (example, bbq vendor vs.
          clothing and apparel vendor).
        </li>
      </ol>
  
      <!-- EVENT PROVISIONS -->
  
      <br />
      <h6 class="fw-bold">7. EVENT PROVISIONS:</h6>
      <span>Vendor agrees to comply with the following obligations:</span>
      <ol type="A">
        <li>
          All vendors and exhibitors agree to maintain order and cleanliness in
          and outside of their rented space. Food vendors must: a. Always keep
          their location clean and orderly; b. Not leave oil drippings on the
          surface of the festival site (street). A penalty of $200 will be charged
          to the vendor/exhibitor for any oil drips on the surface of the festival
          site, garbage left on site.
        </li>
        <li>
          SUBLETTING/BOOTHSHARING. Sub-letting of booth space to another vendor
          without prior written approval from SPARC and TOM is strictly
          prohibited, and will result in closure of the booth.
        </li>
        <li>
          Food vendors will be assigned a specific street location closest to
          their booth location, for loading and unloading purposes only. Illegal
          parking is strictly prohibited. Vendors and exhibitors will be solely
          liable for any illegal parking tickets or towing that may be incurred.
        </li>
        <li>
          Improper handling of food may lead to food poisoning or other health
          hazards. As such, a food vendor is required, by way of a continuing
          obligation and as a condition to its participation at the event as
          allowed by SPARC and TOM, to abide by the terms set forth in this
          Agreement, and as may be required by the event organizers, and city
          government.
        </li>
        <li>
          SPARC and TOM reserve the right to make any changes as to the details of
          the Event. These changes will be communicated to Vendors via email
          within a reasonable time.
        </li>
        <li>
          All vendors and exhibitors are expected to exercise full cooperation and
          courtesy towards organizers, staff and festival volunteers. During the
          event proper, vendors and exhibitors are to coordinate with TOM, who is
          in charge of overall management of the food festival requirements during
          the Event.
        </li>
        <li>
          Vendors and exhibitors agree and acknowledge that failure to comply with
          its obligations under this Agreement may result in automatic closure of
          the vendor’s booth during the Event, based on the sole discretion of
          SPARC AND TOM without any refund of the payment
        </li>
        <li>
          WEATHER. Rain or shine,the event will go on. There will be no refund
          provided to Sponsor due to bad weather.
        </li>
        <li>
          INDEMNIFICATION. Vendor agrees to indemnify, defend, and hold harmless
          SPARC AND TOM, the Taste of Manila street festival, and each of their
          respective subsidiaries, affiliates, officers, directors, employees,
          volunteers, and agents from and against all liability, claims, actions,
          causes of action, suits, demands, damages, judgments, costs, losses and
          expenses, including reasonable attorney’s fees, to which any of the
          above-named parties may be subject, including, but not limited to, any
          claim for any injury to or the sickness or death of any person or
          persons,or for damages to property or otherwise, arising from, connected
          with or related to the purchase of food from sources other than the
          vendor, the preparation of food by persons other than vendor’s
          employees, or the service of food to festival patrons by persons other
          than vendor’s employees.
        </li>
        <li>
          BREACH OF AGREEMENT. All vendors and exhibitors agree that any breach of
          this agreement will result in automatic closure of the vendor’s booth at
          any time during the festival by AUTHORIZED organizers.No refund of any
          amount will be issued.
        </li>
        <li>
          LIABILITY INSURANCE . Each vendor shall carry insurance in connection
          with his/her individual booth covering liability for personal injury,
          property damage, fire, theft and worker’s compensation and shall
          protect, indemnity and hold SPARC and TOM harmless. SPARC and TOM
          carries public liability insurance for liabilities arising from common
          areas of the event area including installation, dismantling and general
          operation of the event.
        </li>
        <li>
          REGULATIONS. Vendor agrees to comply with the rules and regulations set
          forth by the SPARC and TOM in the use of its facilities including the
          requirements from the Ontario Department of Health with regards to food
          vendors or any provider of health supplements or other health related
          products. Vendors are solely responsible for complying with all laws,
          ordinances and regulations pertaining to customs, health, fire
          prevention, public safety and all applicable laws of the Province of
          Ontario and Canada while participating in the event.
        </li>
        <li>
          PENALTY. Any vendor will be held liable for any infraction that may
          cause closure of the event.
        </li>
        <li>
          POWER. Vendors are responsible to obtain their own source of
          power/generator.
        </li>
      </ol>
  
      <!-- FOOD VENDOR PROVISIONS -->
  
      <br />
      <h6 class="fw-bold">8. FOOD VENDOR PROVISIONS:</h6>
      <ol type="A">
        <li>
          FOOD VENDOR REGISTRATION.Food vendors are also required to register with
          the Toronto Public Health website. SPARC will send the link to the
          vendors as soon as issued by Toronto Public Health which expires one
          week prior to the event so it is imperative that the vendor complete the
          form. Failure to do so will result in non-participation of the food
          vendor and non-refund of the event fees.
        </li>
        <li>
          COMMERCIAL KITCHEN REQUIREMENT. All foods must be prepared from a
          commercial kitchen that has been inspected by the Health Department.
          Vendors must obtain a “PASS COPY” of the certificate from the commercial
          kitchen as part of the requirement.
        </li>
        <li>
          FOOD HANDLING CERTIFICATE REQUIREMENT. Vendors must have certified food
          handlers operating under their tent at all times. Failure to have
          certified food handlers in their tent may result in closure of their
          tent.
        </li>
        <li>
          FOOD VENDOR EVENT SET-UP TIME Food vendors must start setting up as
          early as possible and booths must be ready to sell at 10am daily.
          Failure to be ready at opening time may result in further delay of the
          operation of your booth.
        </li>
        <li>
          FIRE EXTINGUISHER REQUIREMENT. Each food vendor that is cooking inside
          their tent must have a fire extinguisher.
        </li>
        <li>
          TORONTO PUBLIC HEALTH REQUIREMENT: Please read on Toronto Public
          Health’s website:
          <a
            href="https://www.toronto.ca/community-people/health-wellness-care/health-programs-advic
          e/food-safety/food-safety-at-special-events/"
            >https://www.toronto.ca/community-people/health-wellness-care/health-programs-advic
            e/food-safety/food-safety-at-special-events/</a
          >
        </li>
      </ol>
  
      <!-- Food Protection - General -->
  
      <br />
      <h6 class="fw-bold">Food Protection - General</h6>
      <ul>
        <li>
          All food sold must be obtained from an approved source e.g. inspected by
          a government agency.
        </li>
        <li>Home prepared foods are not allowed.</li>
        <li>
          Unpasteurized food such as apple cider and/or milk are not permitted for
          sale or given as samples.
        </li>
        <li>
          Protect food from contamination during storage, preparation,
          transportation and display.
        </li>
        <li>Provide an adequate supply of potable water for food preparation.</li>
        <li>
          Food preparation and serving areas must be kept clean at all times.
        </li>
      </ul>
  
      <!-- Transporting Food -->
  
      <br />
      <h6 class="fw-bold">Transporting Food</h6>
      <ul>
        <li>
          Hazardous food must be transported, stored and maintained at required
          temperatures to keep food safe at all times.
        </li>
        <li>
          Pack cold hazardous food in insulated coolers with ice or ice packs.
        </li>
        <li>
          Avoid leaving food coolers in direct sunlight or on a warm surface.
        </li>
        <li>Keep cooler(s) in the shade with the lid closed.</li>
        <li>Never leave food in a hot vehicle.</li>
        <li>
          Make sure cooler and refrigerated truck temperatures are kept at 4°C
          (39°F) or below.
        </li>
        <li>
          Transport hot hazardous food in hot holding units or insulated
          containers that will keep the food temperatures at 60°C (140°F) or
          above.
        </li>
        <li>
          Provide accurate indicating thermometers in cold and hot holding units
          to monitor temperatures.
        </li>
      </ul>
  
      <!-- Preparing Food -->
  
      <br />
      <h6 class="fw-bold">Preparing Food</h6>
      <ul>
        <li>
          Before and after handling food, always wash your hands with clean water
          and liquid soap.
        </li>
        <li>
          Keep raw meat, poultry and fish and their juices away from other food.
        </li>
        <li>
          Make sure food that is thawing is kept in your refrigerator or cooler.
          At room temperature, bacteria can grow in the outer layer of food before
          the inside thaws.
        </li>
        <li>
          All food preparation prior to the event should be done at an inspected
          food premises. This includes chopping ingredients, marinating, mixing
          and other forms of food processing
        </li>
        <li>
          Preparation of food at the event should be limited to final assembly and
          cooking while minimizing the time that food is out at room temperature
          during preparation.
        </li>
        <li>
          Avoid cross contamination by using separate plates and/or utensils for
          raw meat and ready-to-eat food. Raw meat juices can spread bacteria to
          ready-to-eat food which can cause foodborne illness.
        </li>
        <li>
          Keep marinated food in the refrigerator or cooler to prevent the growth
          of harmful bacteria.
        </li>
      </ul>
  
      <!-- Water & Ice -->
  
      <br />
      <h6 class="fw-bold">Water & Ice</h6>
      <ul>
        <li>
          All ice or steam must be made from potable water obtained from an
          approved source.
        </li>
        <li>
          Ice must be transported, stored and dispensed in a sanitary manner.
        </li>
        <li>
          Ice for consumption must be stored in a clean enclosed container or in
          the original package to prevent contamination.
        </li>
        <li>
          If ice is used to keep hazardous food cold, make sure an adequate supply
          of ice is readily available.
        </li>
        <li>
          Avoid direct hand contact with ice being used for human consumption by
          using tongs or scoops.
        </li>
        <li>
          Tongs or scoops used to dispense ice must be stored in a clean container
          and not directly on the ice.
        </li>
      </ul>
  
      <!-- Cooking & Reheating -->
  
      <br />
      <h6 class="fw-bold">Cooking & Reheating</h6>
      <p>
        It takes thorough cooking to kill harmful bacteria. Eating meat, poultry
        or fish that is raw or not fully cooked could cause food poisoning.
      </p>
      <ul>
        <li>
          Use a probe thermometer to check that the meat, poultry or fish is
          cooked or reheated to the correct internal temperature (refer to Cooking
          and Reheating chart).
        </li>
        <li>
          Meat, poultry and fish is cooked when it reaches the correct internal
          temperature.
        </li>
        <li>Bring sauces, soups and gravy to a boil.</li>
        <li>
          Steam Tables, chafing dishes, display/drawer warmers etc. are not
          considered cooking equipment and are not to be used for reheating food.
        </li>
        <li>
          Heating and cooking hazardous food can kill bacteria which may cause
          foodborne illness. All meats must be thoroughly cooked and reheated to
          the
          <a
            href="https://www.toronto.ca/community-people/health-wellness-care/health-programs-advice/food-safety/food-safety-at-home/food-preparation/?accordion=cook-food-to-the-proper-internal-temperature"
          >
            proper internal temperature
          </a>
          .
        </li>
        <li>
          An accurate probe thermometer should be used to check the internal
          temperature of cooked and reheated foods for at least 15 seconds.
        </li>
      </ul>
  
      <!-- Keep Hot Food Hot -->
  
      <br />
      <h6 class="fw-bold">Keep Hot Food Hot</h6>
      <ul>
        <li>Hot hazardous food must be kept at 60°C (140°F) and above.</li>
        <li>
          Equipment such as steam tables, rice cookers and chafing dishes must be
          provided to maintain hot hazardous food at 60°C (140°F) and above.
        </li>
      </ul>
  
      <!-- Keep Cold Food Cold -->
  
      <br />
      <h6 class="fw-bold">Keep Cold Food Cold</h6>
      <ul>
        <li>Cold hazardous food must be kept at 4°C (39°F) and below.</li>
        <li>
          Equipment such as insulated coolers with ice, ice packs and mechanical
          refrigeration must be provided to keep cold hazardous food at 4°C (39°F)
          and below.
        </li>
      </ul>
  
      <!-- Keep Frozen Food Frozen -->
  
      <br />
      <h6 class="fw-bold">Keep Frozen Food Frozen</h6>
      <ul>
        <li>Frozen hazardous food items must be maintained in a frozen state</li>
      </ul>
  
      <!-- Danger Zone -->
  
      <br />
      <h6 class="fw-bold">Danger Zone</h6>
      <p>
        Bacteria that can cause food poisoning grows quickly at temperatures
        between 4°C (39°F) and 60°C (140°F) which is known as the danger zone.
        Food should be kept out of the danger zone.
      </p>
      <ul>
        <li>
          Food probe thermometer(s) must be available to check the internal
          temperature of hot and cold hazardous food.
        </li>
        <li>
          Accurate thermometers must be provided in all hot and cold storage units
          such as coolers, refrigerators, freezers, warmers and display units.
        </li>
        <li>
          When in doubt, throw out hazardous food affected by improper
          temperatures.
        </li>
      </ul>
  
      <!-- Using a Thermometer -->
  
      <br />
      <h6 class="fw-bold">Using a Thermometer</h6>
      <ul>
        <li>
          Use an accurate probe thermometer to check the internal temperature of
          cooked and reheated food for at least 15 seconds.
        </li>
        <li>
          Insert the probe thermometer in several spots and in the thickest part
          of the meat.
        </li>
        <li>
          A probe thermometer should not touch bone to avoid inaccurate
          temperatures.
        </li>
        <li>
          Wash and sanitize the probe thermometer between uses to prevent cross
          contamination.
        </li>
        <li>
          Accurate thermometers must be provided in all hot and cold storage units
          such as coolers, refrigerators, freezers, warmers and display units.
        </li>
      </ul>
  
      <!-- Displaying & Serving Food -->
  
      <br />
      <h6 class="fw-bold">Displaying & Serving Food</h6>
      <ul>
        <li>Use clean disposable food containers and utensils to serve food.</li>
        <li>
          Keep cold hazardous foods on ice or serve from the cooler or
          refrigerated unit.
        </li>
        <li>
          Provide at least four sets of wrapped, clean, back-up cooking utensils
          such as spoons, tongs, ladles and ice cream scoops when a
          two-compartment sink is not available for washing, rinsing and
          sanitizing utensils. Do not re-use utensils that are contaminated.
        </li>
        <li>
          Protect food from contamination by covering it with a lid, plastic wrap,
          aluminium foil or wrap items individually. Where possible provide sneeze
          guards.
        </li>
        <li>
          Individually pre-packaged food must be served from their original
          container.
        </li>
        <li>
          Dispense condiments safely by providing separate containers with
          self-closing lids, dispensers or individual packages.
        </li>
        <li>
          Disposable utensils must be stored pre-wrapped or in a clean container.
          Cutlery must be stored with handles upright and cups must be handled
          from the bottom.
        </li>
        <li>
          Use tongs, serving spoons, ladles and spatulas to serve food into
          individual sample size portions
        </li>
        <li>
          Food samples should be offered in single portions by using individual
          sample size portions
        </li>
        <li>
          Guest/patrons must not be able to touch other food samples while they
          are taking their own samples.
        </li>
      </ul>
  
      <!-- Food Equipment -->
  
      <br />
      <h6 class="fw-bold">Food Equipment</h6>
      <ul>
        <li>
          Racks, shelves or pallets that are used to store food must be designed
          to protect the food from contamination and must be readily cleanable
          Store food in food grade containers.
        </li>
        <li>Garbage bags must not be used to store or cover unwrapped food.</li>
        <li>
          Provide an adequate number of tables and cutting boards for preparation
          and service of food.
        </li>
        <li>
          Bring extra supplies of towels, sponges or cloths for cleaning and
          sanitizing.
        </li>
        <li>
          All food contact equipment and surfaces must be smooth, non-absorbent
          and easy to clean.
        </li>
        <li>
          All equipment and work areas must be maintained in a clean and sanitary
          condition.
        </li>
        <li>All equipment must be in good working condition.</li>
        <li>Provide sufficient lighting when required.</li>
        <li>
          Provide an adequate supply of power and equipment to keep food safe such
          as propane, warming fuel and generators.
        </li>
        <li>
          In the event of a power disruption, make sure a backup supply of power
          is available.
        </li>
      </ul>
  
      <!-- Temporary Food Structure -->
  
      <br />
      <h6 class="fw-bold">Temporary Food Structure</h6>
      <p>
        Food served at outdoor events must be prepared and dispensed under a
        structure to protect food from contamination. This structure must be
        sturdy and have a waterproof cover such as a canopy, umbrella or tarp.
      </p>
      <ul>
        <li>
          Provide barriers around cooking equipment such as barbeques and deep
          fryers to protect the public from injury and prevent access to food
          preparation areas.
        </li>
        <li>
          Contact Toronto Fire Services for canopy and clearance requirements.
        </li>
      </ul>
  
      <!-- Hand Washing Station -->
  
      <br />
      <h6 class="fw-bold">Hand Washing Station</h6>
      <p>
        Hand washing is a very important step to prevent disease transmission and
        cross contamination of food. Hand washing stations are required for all
        vendors conducting any on-site food preparation, including but not limited
        to: cooking, reheating, portioning, serving, and any other food
        preparation steps.
      </p>
      <ul>
        <li>
          <div>
            A temporary hand washing station must consist of:
            <ul type="circle">
              <li>a container with a spigot and potable water,</li>
              <li>liquid soap in a dispenser,</li>
              <li>paper towels and</li>
              <li>an container to collect waste water</li>
            </ul>
          </div>
        </li>
        <li>
          It is strongly recommended that vendors have a self-contained portable
          hand washing station with a container that provides a flow of hot & cold
          potable water
        </li>
        <li>
          <div>
            All food handlers must wash their hands properly with clean water and
            liquid soap before and after handling food, and after
            <ul type="circle">
              <li>using the washroom,</li>
              <li>smoking,</li>
              <li>handling garbage,</li>
              <li>handling cash,</li>
              <li>
                sneezing, coughing or blowing their nose and as often as necessary
                to maintain clean hands.
              </li>
            </ul>
          </div>
        </li>
      </ul>
      <p>
        Please note: station with the required supplies will be closed and/or
        operations suspended. Also, hand sanitizers do not replace the
        requirements for a portable hand washing station. Any booth not providing
        a temporary or a self-contained portable hand washing
      </p>
  
      <!-- Food Handler Hygiene -->
  
      <br />
      <h6 class="fw-bold">Food Handler Hygiene</h6>
      <ul>
        <li>
          Food handlers must wear clean clothes, aprons and hair restraints such
          as hair nets or caps while handling food.
        </li>
        <li>
          Eating, drinking or smoking is not allowed in any food preparation area
          or while preparing food.
        </li>
        <li>
          Food handlers must be free of infection or disease that can be spread
          through food.
        </li>
        <li>
          Food handlers with cuts and/or abrasions on their hands must wear clean
          gloves.
        </li>
        <li>If gloves are worn they must be clean and changed between tasks.</li>
        <li>Hands must be washed between glove changes.</li>
      </ul>
  
      <!-- Sanitation & Cleaning Chemicals -->
  
      <br />
      <h6 class="fw-bold">Sanitation & Cleaning Chemicals</h6>
      <ul>
        <li>
          Provide an adequate supply of potable water and cleaning supplies for
          equipment and food contact surfaces.
        </li>
        <li>
          Provide proper cloths and/or sponges to clean and sanitize food contact
          surfaces and equipment.
        </li>
        <li>
          f clothes are stored in a sanitizing solution, the solution must be
          changed frequently.
        </li>
        <li>
          Cleaning chemicals and sanitizers must be properly labeled and stored
          away from food.
        </li>
        <li>
          Provide the correct test reagents/strips to confirm the strength of the
          sanitizing solution being used i.e. chlorine test strip for chlorine
          sanitizer.
        </li>
        <li>
          Where a 2-compartment sink is available, ensure utensils are washed and
          rinsed in the first sink and sanitized in the second sink. Provide hot
          and cold running water under pressure when utensils are washed on site.
        </li>
      </ul>
  
      <!-- Waste Storage & Removal -->
  
      <br />
      <h6 class="fw-bold">Waste Storage & Removal</h6>
      <ul>
        <li>
          Provide an adequate supply of plastic garbage bags and containers.
        </li>
        <li>Garbage containers must be durable, washable and leak-proof.</li>
        <li>
          All liquid waste such as cooking oil or wastewater must be contained in
          a leak-proof container/bucket.
        </li>
        <li>Make arrangements for sanitary disposal of all liquid waste.</li>
        <li>
          Toronto’s Solid Waste Management division also has a
          <a
            href="https://www.toronto.ca/wp-content/uploads/2018/01/9510-9980-Special-Events-Hand-Book-AODA.pdf"
          >
            Special Events Waste
          </a>
        </li>
      </ul>
  
      <!-- Pest Control -->
  
      <br />
      <h6 class="fw-bold">Pest Control</h6>
      <ul>
        <li>
          Food must be protected from vermin, pests and animals. Secure all food
          for overnight storage for multiple day events.
        </li>
      </ul>
  
      <!-- Closure -->
  
      <br />
      <h6 class="fw-bold">Closure</h6>
      <p>Any food booth will not be allowed to open or operate:</p>
      <ul>
        <li>where a health hazard exists, or</li>
        <li>without a hand wash station with appropriate supplies.</li>
      </ul>
  
      <!-- Vendor Sign -->
      
      <p style="margin-bottom: 0in; line-height: normal">
      <b
        ><span lang="EN-PH" style="font-family: Avenir; color:rgb(72, 41, 122);"
          >AUTHORIZED SIGNATURE:<o:p></o:p></span
      ></b>
    </p>
      <br />
      <br />
     
     
    <table>
    <tr>
      <td width="60%">
        <span 
        style="font-size: 13px;
        opacity: 0.7;"
        >Name of Vendor Representative</span>
        <br />
        
        <span>${data.vendor_name}</span>
        <br />
        <br />

      </td>
      <td>
        <span
        style="font-size: 13px;
        opacity: 0.7;">SPARC, Director of Booth Sales and Sponsorship</span>
        <br />
        <span>${data.my_kapitbahay_name}</span>
        <br />
        <br />


      </td>
    </tr>
    <tr>
      <td>
        <span
        style="font-size: 13px;
        opacity: 0.7;">Signature</span>
        <br />
        <span>${data.vendor_signature}</span>
        <br />
        <br />

      </td>
      <td>
        <span
        style="font-size: 13px;
        opacity: 0.7;">SPARC, Executive Director Taste of Manila 2023</span>
        <br />
        <span>${data.my_kapitbahay_signature}</span>
        <br />
        <br />

      </td>
    </tr>
    <tr>
      <td>
      <span
      style="font-size: 13px;
      opacity: 0.7;">Date</span>
        <br />

        <span>${data.vendor_date}</span>
        <br />
        <br />

      </td>
      <td>
        <span
        style="font-size: 13px;
        opacity: 0.7;">Taste of Manila Inc. Chairman</span>
        <br />
        <span>${data.ChairmanSign}</span>
        <br />
        <br />

      </td>
    </tr>
    <tr>
      <td></td>
      <td>
        <span
        style="font-size: 13px;
        opacity: 0.7;">Date</span>
        <br />
        <span>${data.my_kapitbahay_date}</span>
        <br />
        <br />

      </td>
    </tr>
  </table>
 
    </body>
  </html>
  
  `
}

const puppet = async (res, req) => {
  console.log("innn",req.body)
  const browser = await puppeteer.launch({
    headless: true,
    args: ['--no-sandbox']
  })
  const page = await browser.newPage();
  if(req.body.eventType=='tasteOfManila'){
  await page.setContent(tasteOfManila(req.body));
  }else{
    await page.setContent(template(req.body));
  }
  const data = await page.pdf({ format: 'A3',margin: { top: 80, bottom: 80, left: 80, right: 80 } });
  await browser.close();
  await cloudinary.uploader
    .upload_stream({ upload_preset: 'documents' }, async (error, result) => {
      console.log("secure_url",result.secure_url)
      let newContact = await contact.findByIdAndUpdate({ _id: req.body.contact_register_id }, {
        pdf: result.secure_url
      }, { new: true })
      res.json({ erroe: "false", result: newContact })
    })
    .end(data);
}


module.exports = function (app) {
  const {
    check, validationResult
  } = require('express-validator')
  var userPath = '/web'
  const contact = require('../../modal/web/ContactModal')
  // const contactDetails = require ('../../modal/web/ContactDetailsFormModal')
  require('dotenv').config()


  app.post(userPath + "/contact", app.Verifyauth, async (req, res) => {
    const { sponser_type, first_name, last_name, email_id, mobile_no, message, address, business_name, company_name, band_name } = req.body
    let newContact = await contact({
      sponser_type: sponser_type,
      first_name: first_name,
      last_name: last_name,
      email_id: email_id,
      mobile_no: mobile_no,
      message: message,
      address: address,
      business_name: business_name,
      company_name: company_name,
      band_name: band_name,
    })
    newContact = await newContact.save()
    res.send({ error: false, message: "contact submited", contactdata: newContact })


  })

  app.post(userPath + "/contactform", app.Verifyauth, async (req, res) => {
    try {
      puppet(res, req)

      // newContact = await  newContact.save()
      // res.send({error:false,message:"contact submited",contactdata:newContact})
    } catch { }

  })
}

