
module.exports = function(app){
    const { check, validationResult} =require('express-validator')
    const userPath = '/web'
    const featurePostController = require('../../controller/web/FeaurePostController')

    require('dotenv').config()

    const featurePostControllerObject = new featurePostController()

app.post(userPath + "/addFeaturePost" , app.Verifyauth,(request,response)=>{
    const errors =validationResult(request)
    if(!errors.isEmpty()){
        const errorArray =errors.array()
        const errorResponse ={}
        errorResponse = true
        errorResponse.message = errorArray[0].msg
        response.status(404);
        return response .send(errorResponse)
    }
    featurePostControllerObject.featurePostController(request, function(results){
        if(results.error){
            response.status(results.statusCode);
            return response.send(results)
        }else{
            return response.send(results)
        }    })
})
}