const { request } = require('express')

module.exports = function(app) {
    const {
        check,validationResult
    } =require('express-validator')
    var userPath ='/web'
    var HomePageController =require ('../../controller/web/HomeController')
    require('dotenv').config()
    var HomePageControllerObject= new HomePageController()


    app.post(userPath + '/HomePageArticlesList',  [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
        check('pageNumber').exists().isLength({ min: 0 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.HomePageArticlesListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })



    app.post(userPath + '/HomePageNewPinoysList',   [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
        check('pageNumber').exists().isLength({ min: 0 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.HomePageNewPinoysListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })
 

    app.post(userPath + '/shoutOutsList',  [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.shoutOutsListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })



    app.post(userPath + '/postVoteForSurvey', app.Verifyauth, [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.postVoteForSurveyController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })

    app.post(userPath + '/UserSurveyList',app.Verifyauth,  [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.UserSurveyListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/getOneSurvey',[
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.getOneSurveyController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })

    app.post(userPath + '/GoodVibesList', [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.GoodVibesListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/userGlobalSearch', app.Verifyauth, [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.userGlobalSearchController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })



    app.post(userPath + '/HomePagePinoypreneursList', [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.HomePagePinoypreneursListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/HomePageJobCentreList', [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.HomePageJobCentreListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })





    app.post(userPath + '/HomePageBuyanihanList', [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.HomePageBuyanihanListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })



    app.post(userPath + '/homePageBazaarCityList', [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.homePageBazaarCityListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })

    app.post(userPath + '/homePagePnationCalendarList', [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        HomePageControllerObject.homePagePnationCalendarListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })

}