module.exports = function(app){
    const { check, validationResult} =require('express-validator/check')
    const userPath = '/web'
    const pNationCalanderController = require('../../controller/web/P-NationCalendarController')
    const pNationCalanderRoutesObject = new pNationCalanderController()

    require('dotenv').config()


    app.post(userPath + "/PostpNationCalander" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        pNationCalanderRoutesObject.pNationCalanderPostController(request, function(results){
            if(results.error){
                response.status(results.status);
                return response.send(results)
            }else{
                return response.send(results)
            }
        })
    })

    app.post(userPath + "/pNationCalanderList" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        pNationCalanderRoutesObject.pNationCalanderListController(request, function(results){
            if(results.error){
                response.status(results.status);
                return response.send(results)
            }else{
                return response.send(results)
            }
        })
    })



    app.post(userPath + "/getpNationCalander" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        pNationCalanderRoutesObject.getpNationCalanderController(request, function(results){
            if(results.error){
                response.status(results.status);
                return response.send(results)
            }else{
                return response.send(results)
            }    })
    })

    app.post(userPath + "/editOnePnationCalander" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        pNationCalanderRoutesObject.editOnePnationCalanderController(request, function(results){
            if(results.error){
                response.status(results.status);
                return response.send(results)
            }else{
                return response.send(results)
            }    })
    })

    app.post(userPath + "/deleteOnePnationCalander" ,app.Verifyauth, (request,response)=>{
        const errors =validationResult(request)
        if(!errors.isEmpty()){
            const errorArray =errors.array()
            const errorResponse ={}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response .send(errorResponse)
        }
        pNationCalanderRoutesObject.deleteOnePnationCalanderController(request, function(results){
            if(results.error){
                response.status(results.status);
                return response.send(results)
            }else{
                return response.send(results)
            }    })
    })


}