module.exports = function (app) {
    const {
        check,
        validationResult
    } = require('express-validator')
    const userPath = '/web'
    const RatingController = require('../../controller/web/RatingController')
    require('dotenv').config()
    const RatingControllerObject = new RatingController()

    app.post(userPath + '/addRating',app.Verifyauth, (request, response) => {
        const errors = validationResult(request)
        if (!errors.isEmpty()) {
            const errorArray = errors.array()
            const errorResponse = {}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        RatingControllerObject.addRatingController(request, function (results) {
            if (results.error) {
                response.status(results.statusCode);
                return response.send(results)
            } else {
                return response.send(results)
            }
        })
    })

   

 

 


}