module.exports = function (app) {
    const {
        check,
        validationResult
    } = require('express-validator')
    const userPath = '/web'
    const ReferralController = require('../../controller/web/ReferralController')
    require('dotenv').config()
    const ReferralControllerObject = new ReferralController()

    app.post(userPath + '/validateReferral', (request, response) => {
        // console.log('ReferralControllerObject',request.body);

        const errors = validationResult(request)
        if (!errors.isEmpty()) {
            const errorArray = errors.array()
            const errorResponse = {}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        ReferralControllerObject.validateReferralController(request, function (results) {
        // console.log('requestaddCoupon',results);
            if (results.error) {
                response.status(results.statusCode);
                return response.send(results)
            } else {
                return response.send(results)
            }
        })
    })


}