const { request } = require('express')

module.exports = function(app) {
    const {
        check,validationResult
    } =require('express-validator')
    var userPath ='/web'
    var bazaarCityController =require ('../../controller/web/bazaarCityController')
    require('dotenv').config()
    var bazaarCityControllerObject= new bazaarCityController()


    app.post(userPath + '/addBazaarCityItem', app.Verifyauth, [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        bazaarCityControllerObject.addBazaarCityItemController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/GetBazaarCityList', app.Verifyauth, [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        bazaarCityControllerObject.GetBazaarCityListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })
 




    app.post(userPath + '/GetOneBazaarCityUserPost', app.Verifyauth,[
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        bazaarCityControllerObject.GetOneBazaarCityPostController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/PostScheduleLive', app.Verifyauth,[
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        bazaarCityControllerObject.PostSchduleLiveController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/GetAllScheduleLiveList', app.Verifyauth,[
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        bazaarCityControllerObject.GetAllScheduleLiveListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })
  
    app.post(userPath + '/slotTimeList', app.Verifyauth,[
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        bazaarCityControllerObject.slotTimeListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/GetOneScheduleLive', app.Verifyauth,[
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        bazaarCityControllerObject.GetOneScheduleLiveController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })
  




    app.post(userPath + '/postSlot', [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        bazaarCityControllerObject.postSlotController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })





}






{/* <p style="margin-bottom: 0in; line-height: normal">
//               <span lang="EN-PH" style="font-family: Avenir" */}
//                 >Option 1: Booth#
//                              ${
// data.option1 == 1 ? 
// ` <svg
// version="1.1"
// id="Capa_1"
// xmlns="http://www.w3.org/2000/svg"
// xmlns:xlink="http://www.w3.org/1999/xlink"
// x="0px"
// y="0px"
// viewBox="0 0 490 490"
// style="enable-background: new 0 0 490 490; width: 1rem"
// xml:space="preserve"
// >
// <polygon
//   points="452.253,28.326 197.831,394.674 29.044,256.875 0,292.469 207.253,461.674 490,54.528 "
// />
// </svg> `:  `<svg
// version="1.1"
// id="Capa_1"
// xmlns="http://www.w3.org/2000/svg"
// xmlns:xlink="http://www.w3.org/1999/xlink"
// x="0px"
// y="0px"
// viewBox="0 0 180.607 180.607"
// style="enable-background: new 0 0 180.607 180.607; width: 1rem"
// xml:space="preserve"
// >
// <path
//   d="M180.607,10.607l-79.696,79.697l79.696,79.697L170,180.607l-79.696-79.696l-79.696,79.696L0,170.001l79.696-79.697L0,10.607
// L10.607,0.001l79.696,79.696L170,0.001L180.607,10.607z"
// />
// </svg>`
//                 }
//                 <span>&nbsp; </span>Option 2:<span>&nbsp; </span>Booth#    
//                 ${
//                     data.option2 == 1 ? 
//                     ` <svg
//                     version="1.1"
//                     id="Capa_1"
//                     xmlns="http://www.w3.org/2000/svg"
//                     xmlns:xlink="http://www.w3.org/1999/xlink"
//                     x="0px"
//                     y="0px"
//                     viewBox="0 0 490 490"
//                     style="enable-background: new 0 0 490 490; width: 1rem"
//                     xml:space="preserve"
//                     >
//                     <polygon
//                       points="452.253,28.326 197.831,394.674 29.044,256.875 0,292.469 207.253,461.674 490,54.528 "
//                     />
//                     </svg> `:  `<svg
//                     version="1.1"
//                     id="Capa_1"
//                     xmlns="http://www.w3.org/2000/svg"
//                     xmlns:xlink="http://www.w3.org/1999/xlink"
//                     x="0px"
//                     y="0px"
//                     viewBox="0 0 180.607 180.607"
//                     style="enable-background: new 0 0 180.607 180.607; width: 1rem"
//                     xml:space="preserve"
//                     >
//                     <path
//                       d="M180.607,10.607l-79.696,79.697l79.696,79.697L170,180.607l-79.696-79.696l-79.696,79.696L0,170.001l79.696-79.697L0,10.607
//                     L10.607,0.001l79.696,79.696L170,0.001L180.607,10.607z"
//                     />
//                     </svg>`
//                                     }
//                 <span>&nbsp; </span>Option 3: Booth#    ${
//                     data.option3 == 1 ? 
//                     ` <svg
//                     version="1.1"
//                     id="Capa_1"
//                     xmlns="http://www.w3.org/2000/svg"
//                     xmlns:xlink="http://www.w3.org/1999/xlink"
//                     x="0px"
//                     y="0px"
//                     viewBox="0 0 490 490"
//                     style="enable-background: new 0 0 490 490; width: 1rem"
//                     xml:space="preserve"
//                     >
//                     <polygon
//                       points="452.253,28.326 197.831,394.674 29.044,256.875 0,292.469 207.253,461.674 490,54.528 "
//                     />
//                     </svg> `:  `<svg
//                     version="1.1"
//                     id="Capa_1"
//                     xmlns="http://www.w3.org/2000/svg"
//                     xmlns:xlink="http://www.w3.org/1999/xlink"
//                     x="0px"
//                     y="0px"
//                     viewBox="0 0 180.607 180.607"
//                     style="enable-background: new 0 0 180.607 180.607; width: 1rem"
//                     xml:space="preserve"
//                     >
//                     <path
//                       d="M180.607,10.607l-79.696,79.697l79.696,79.697L170,180.607l-79.696-79.696l-79.696,79.696L0,170.001l79.696-79.697L0,10.607
//                     L10.607,0.001l79.696,79.696L170,0.001L180.607,10.607z"
//                     />
//                     </svg>`
//                                     }
//                 <o:p></o:p
//               ></span>
//             </p>