const { request } = require('express')

module.exports = function(app) {
    const {
        check,validationResult
    } =require('express-validator')
    var userPath ='/web'
    var notificationController =require ('../../controller/web/notificationController')
    require('dotenv').config()
    var notificationControllerObject= new notificationController()

   
    const bodyParser = require('body-parser')

   
   


    app.post(userPath + '/getAllNotificationList',app.Verifyauth, [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        notificationControllerObject.getAllNotificationListController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })

    
    app.post(userPath + '/readOneNotification',app.Verifyauth, [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        notificationControllerObject.readOneNotificationController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })

  

 
    app.post(userPath + '/getAllUnreadNotificationCount',app.Verifyauth, [
        // check('search').exists().isLength({ min: 1 }).withMessage('id is Empty'),
    ] ,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        notificationControllerObject.getAllUnreadNotificationCountController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


   
   
  



}