module.exports = function () {
    var userDao = require('../../dao/admin/ArticleDao')
    var userDao1 = require('../../dao/admin/TagDao')

    const STRINGS = require('../../strings.json')
    // require('../utils/common.js')()
    require('dotenv').config()
    var userDaoObject = new userDao()
    var userDaoObject1 = new userDao1()

    this.addArticleService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var tagData = await userDaoObject1.getOneTagDao(request.body)
 
                object.tag_id=request.body.tag_id
                object.Uid=1
                object.is_active=1
                object.thumbNail_url=request.body.thumbNail_url
                object.backGround_imageUrl=request.body.backGround_imageUrl
                object.mediaType=request.body.mediaType
                object.title=request.body.title
                object.description=request.body.description             
                object.source=request.body.source
                object.province_name=request.body.province_name             
                object.tag_name=tagData.data[0].tag_name

                // object.uid = request.body
                // var checkUidDao = await userDaoObject.checkUidDao(object)
                    var signupDaoRespone = await userDaoObject.addArticleDao(object)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.GetArticleService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                request.body.pageNumber =  request.body.pageNumber.length == 0 ? 0: request.body.pageNumber
                pageNumber = request.body.pageNumber
                request.body.RowsPerpage =  request.body.RowsPerpage.length == 0 ? 0: request.body.RowsPerpage
                RowsPerpage = request.body.RowsPerpage
                var getTotalArticlesListCountDao = await userDaoObject.getTotalArticlesListCountDao(request.body)
                // console.log("count",getTotalArticlesListCountDao.result) 
                if (getTotalArticlesListCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                
                    var lenght = getTotalArticlesListCountDao.result
                    var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber,RowsPerpage)
                    var signupDaoRespone = await userDaoObject.getArticleDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.totalPages = paginationDetails.totalPages
                         response.data = signupDaoRespone.result
                        resolve(response)
                    }
                }             
                    // console.log("getdata",signupDaoRespone)
                   
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.GetArticleDescriptionService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                // var editArticle = await userDaoObject.getTagDao(request.body)
                // console.log("getdata1",editArticle)
                // object.uid = request.body
                // var checkUidDao = await userDaoObject.checkUidDao(object)
                    var signupDaoRespone = await userDaoObject.getArticleDescriptionDao(request.body)
                    // console.log("getdata",signupDaoRespone)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

   

    this.deleteArticleService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                    var signupDaoRespone = await userDaoObject.deleteArticleDao(request.body)
                    
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.editArticleService = async (request) => {
        
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var tagData = await userDaoObject1.getOneTagDao(request.body)
             

                object.article_id=request.body.article_id

                object.tag_id=request.body.tag_id
                object.Uid=request.body.Uid
                object.thumbNail_url=request.body.thumbNail_url
                object.backGround_imageUrl=request.body.backGround_imageUrl
                object.mediaType=request.body.mediaType
                object.title=request.body.title
                object.description=request.body.description
                object.source=request.body.source             
                object.province_name=request.body.province_name            
                object.tag_name=tagData.data[0].tag_name
                // object.tag_name="datas"

                    var signupDaoRespone = await userDaoObject.editArticleDao(object)

                    if (signupDaoRespone.error) {
                        response.error = true

                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

   
}