module.exports = function () {
    const STRINGS = require('../../strings.json')
    require('dotenv').config()
    const JobCentresDao = require('../../dao/admin/JobCentresDao')
    const JobCentresDaoObject = new JobCentresDao()




    this.listJobCentresService = async (request) => {

        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                // console.log("request.body", request.body)
                var listJobCentresDaoCount = await JobCentresDaoObject.listJobCentresDaoCount(request.body)
                console.log('consoleJob', listJobCentresDaoCount.data.length);

                if (listJobCentresDaoCount.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {

                    const totalDatas = listJobCentresDaoCount.data.length;
                    const page_number = request.body.page_number - 1 || 0
                    const limit = request.body.row_per_page
                    const totalPages = Math.ceil(totalDatas / limit)

                    object.page_number = page_number
                    object.totalPages = totalPages
                    object.limit = limit

                    const assignInput = { ...request.body, ...object }
                    // console.log('listJobCentresDaoConc', assignInput);
                    var listJobCentresDao = await JobCentresDaoObject.listJobCentresDao(assignInput)
                    // console.log('var listJobCentresDao = await', listJobCentresDao);

                    if (listJobCentresDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        // if (listJobCentresDao.data.length > 0) {
                        //     var finalDataArray = [];
                        //     //    userListJobCentresDao.data.forEach(element => {
                        //     for (var i = 0; i < listJobCentresDao.data.length; i++) {
                        // var dateValidations = await JobCentresDao.dateValidations(listJobCentresDao.data[i])
                        // var downloadCount = await JobCentresDao.downloadCount(listJobCentresDao.data[i])


                        //         var stutusDownloadCount = {
                        //             downloadCount:downloadCount.data.length,
                        //             JobCentresStatus:dateValidations.data.length>0?'Active':'Expired'
                        //         }
                               
                        //             const addKey = { ...listJobCentresDao.data[i], ...stutusDownloadCount }
                        //             finalDataArray.push(addKey)
                                
                        //         // });
                        //     }
                        // }
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.totalPages = totalPages
                        response.data = listJobCentresDao.data
                        resolve(response)
                    }
                }

            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }


    this.viewJobCentresService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var viewJobCentresDao = await JobCentresDaoObject.viewJobCentresDao(request.body)
                if (viewJobCentresDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = viewJobCentresDao.data
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }

    this.editJobCentresService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var editJobCentresDao = await JobCentresDaoObject.editJobCentresDao(request.body)
                // console.log("editJobCentresDao",editJobCentresDao)
                if (editJobCentresDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = editJobCentresDao.data
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }


    this.deleteJobCentresService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var deleteJobCentresDao = await JobCentresDaoObject.deleteJobCentresDao(request.body)
                if (deleteJobCentresDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = deleteJobCentresDao.data
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }





}