module.exports = function () {
    var userDao = require('../../dao/admin/PodcastEpisodeDao')
    var userDao1 = require('../../dao/admin/PodcastDao')

    const STRINGS = require('../../strings.json')
    // require('../utils/common.js')()
    require('dotenv').config()
    var userDaoObject = new userDao()
    var userDaoObject1 = new userDao1()

    
    this.addPodcastsEpisodeService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                    var signupDaoRespone = await userDaoObject.addpodcastsEpisodeDao(request.body)
                    var EpisodesDaoResponse =await userDaoObject.getpodcastsEpisodeDao(request.body)
    //    console.log("EpisodesDaoResponse",EpisodesDaoResponse)
                    var a=EpisodesDaoResponse.data
                    object.updatecount=Object.keys(a).length
                    object.podcast_id=request.body.podcast_id
                    
                    var Episodes =await userDaoObject1.putEpisodeDao(object)

                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.GetPodcastsEpisodeService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                // object.uid = request.body
                // var checkUidDao = await userDaoObject.checkUidDao(object)
                    var signupDaoRespone = await userDaoObject.getpodcastsEpisodeDao(request.body)
                    // console.log("EpisodesDaoResponse",signupDaoRespone)

                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.deletePodcastsEpisodeService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            
            try {
                var object = {}
                    var signupDaoRespone = await userDaoObject.deletePodcastsEpisodeDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.editPodcastsEpisodeService = async (request) => {
        
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                    var signupDaoRespone = await userDaoObject.editPodcastsEpisodeDao(request.body)

                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }
  
}