module.exports = function () {
    const STRINGS = require('../../strings.json')
    require('dotenv').config()
    const AdDao = require('../../dao/web/AdDao')
    const AdDaoObject = new AdDao()
   
    

    this.getAdService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var getAdDao = await AdDaoObject.getAdDao(request.body)

                if (getAdDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                //     await Promise.all(getAdDao.result.map(async (e, i) => {
                //         console.log("iddd",e._id)
                //     var newInputs = {
                //         type:"view",
                //         adId:e[0]._id.toString(),
                //         viewedBy:request.body.uid
                //     }
                //     console.log("newwww",newInputs)
                //     // newInputs = { ...request.body, type: 'view' }
                //         var adClickDao = await AdDaoObject.adClickDao(newInputs)
                //         console.log("adClickDao", adClickDao)
                // }))
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    // response.totalPages = totalPages
                    response.data = getAdDao.result.flat()
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }


    this.adClickService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                request.body.viewdedBy=request.body.uid
                request.body.type="click"

                var adClickDao = await AdDaoObject.adClickDao(request.body)
                console.log("adClickDao",adClickDao)
                if (adClickDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    // response.totalPages = totalPages
                    response.data = adClickDao.data?request.body:"ad Click Failed"
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }
   
}
