module.exports = function () {
    const STRINGS = require('../../strings.json')
    require('dotenv').config()
    const EventDao = require('../../dao/web/EventDao')
    const EventDaoObject = new EventDao()
    

    this.createTasteOfManilaService = async (request) => {

        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                request.body.is_active=1
                        var createTasteOfManilaDao = await EventDaoObject.createTasteOfManilaDao(request.body)
                        console.log("createTasteOfManilaDao", createTasteOfManilaDao)

                        if (createTasteOfManilaDao.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.commanErrorString
                            resolve(response)
                        } else {
                            response.error = false
                            response.statusCode = STRINGS.successStatusCode
                            response.message = STRINGS.SuccessString
                            response.data = 'CompanyName' in createTasteOfManilaDao.data && createTasteOfManilaDao.data.CompanyName?'registeredSuccessFully':'error Occurs'
                            resolve(response)
                        }
                    }
                    
             catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }

}