module.exports = function () {
    const newPinoysDao = require('../../dao/web/NewPinoysDao')
    const profiledao = require('../../dao/web/MyProfileDao')

    const STRINGS = require('../../strings.json')
    require('dotenv').config()
    const newPinoysDaoObject = new newPinoysDao()
    const profileDaoObject = new profiledao()
    //likes dao
    const likesDao = require('../../dao/web/LikesDao')
    const likesObject = new likesDao()

    const FoodTripDao = require('../../dao/web/FoodTripDao')
    const foodTripDaoObject = new FoodTripDao()


    this.newPinoysListService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var getOneProfileDao = await newPinoysDaoObject.getOneProfileDao(request.body)

                if (getOneProfileDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                }

                request.body.province = getOneProfileDao?.result?.province ? getOneProfileDao.result.province : null


                request.body.pageNumber = request.body.pageNumber.length == 0 ? 0 : request.body.pageNumber
                pageNumber = request.body.pageNumber
                console.log(pageNumber);
                var getTotalArticlesListCountDao = await newPinoysDaoObject.getTotalListCountDao(request.body)
                // console.log("getArticlesListDao",getArticlesListDao.result);

                if (getTotalArticlesListCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var lenght = getTotalArticlesListCountDao.result
                    var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber, 10)


                    var newPinoysList = await newPinoysDaoObject.getArticlesListDao(request.body)
                    // console.log("newoinoys",newPinoysList)

                    var iteraration = newPinoysList.result.length
                    var datas = newPinoysList.result
                    var arr = []
                    var storeall = {}
                    // console.log("logging",datas)
                    var uid = request.body.uid
                    for (var i = 0; i < iteraration; i++) {
                        // console.log("loop beginning",datas[i])

                        var convert = (datas[i]._id).toString()
                        var obj = {}
                        obj.post_id = convert
                        obj.uid = uid
                        //console.log("input for likedbydao",obj)
                        var searchinlike = await likesObject.forlikedbyList(obj)
                        var a = searchinlike.data

                        var updatecount = Object.keys(a).length
                        var getOneArticleDetailsDao = await newPinoysDaoObject.getOneArticleDetailsDao(obj)


                        let p2 = Object.assign({}, getOneArticleDetailsDao.data[0]._doc);
                        if (updatecount >= 1) {
                            var substr = (getOneArticleDetailsDao.data[0].description).substring(1, 100)
                            delete p2.description
                            p2.Post_description = substr
                            arr.push(p2)
                        } else {
                            var substr = (getOneArticleDetailsDao.data[0].description).substring(3, 103)
                            p2.Post_description = substr
                            delete p2.description
                            arr.push(p2)
                        }
                    }

                    //console.log("loop ending",datas)


                    if (newPinoysDaoObject.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.totalPages = paginationDetails.totalPages

                        response.result = arr

                        resolve(response)
                    }
                }
            }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }



    this.getOneArticleDetailService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var newPinoysList = await newPinoysDaoObject.getOneArticleDetailsDao(request.body)
                var iteraration = newPinoysList.data.length
                var datas = newPinoysList.data
                var arr = []
                var storeall = {}
                console.log("logging", datas)
                var uid = request.body.uid
                for (var i = 0; i < iteraration; i++) {
                    // console.log("loop beginning",datas[i])

                    var convert = (datas[i]._id).toString()
                    var obj = {}
                    obj.post_id = convert
                    obj.uid = uid
                    //console.log("input for likedbydao",obj)
                    var searchinlike = await likesObject.forlikedbyList(obj)
                    var reportResponse = await foodTripDaoObject.getOneReportingPost({ uid: request.body.uid, post_id: request.body.post_id })
                    var a = searchinlike.data

                    var updatecount = Object.keys(a).length
                    console.log("searchinlike", searchinlike)

                    var getOneArticleDetailsDao = await newPinoysDaoObject.getOneArticleDetailsDao(obj)

                    console.log("consolw", getOneArticleDetailsDao.data[0])

                    let p2 = Object.assign({}, getOneArticleDetailsDao.data[0]._doc);
                    p2.reported = reportResponse.result == null ? 0 : 1

                    if (updatecount >= 1) {
                        p2.likedBy = "1"
                        arr.push(p2)
                        console.log("true", p2)
                    } else {

                        p2.likedBy = "0"
                        arr.push(p2)
                        console.log("false", p2)
                    }
                }
                if (newPinoysDaoObject.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = arr

                    resolve(response)
                }
            }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }


    this.getNewPinoysRelatedArticlesService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var forgetProvince = await newPinoysDaoObject.getOneArticleDetailsDao(request.body)
                console.log("forget province", forgetProvince)
                object.province_name = forgetProvince.data[0].province_name
                object.post_id = request.body.post_id
                var newPinoysList = await newPinoysDaoObject.getNewPinoysRelatedArticlesDao(object)
                if (newPinoysDaoObject.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = newPinoysList.data

                    resolve(response)
                }
            }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }

    this.getNewPinoysHomeRelatedArticlesService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var newpinoysHomeRelatedArticles = await newPinoysDaoObject.getNewPinoysHomeRelatedArticlesDao(object)
                if (newPinoysDaoObject.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = newpinoysHomeRelatedArticles.data

                    resolve(response)
                }
            }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }
}