module.exports=function(){
    const niknokDao= require('../../dao/web/NiknokDao')

    const STRINGS = require('../../strings.json')
    require('dotenv').config()
    const niknokDaoObject = new niknokDao()



this.niknokListService = async(request) => {
    const response ={}
    return new Promise(async function (resolve){
        try{
            var object ={}
                    var niknokList =await niknokDaoObject.niknokDao(request.body)
            if(niknokDaoObject.error){
                response.error=true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }else{
                response.error = false
                response.statusCode = STRINGS.successStatusCode
                response.message = STRINGS.SuccessString
                response.data = niknokList.data

                resolve(response)
            }
        }
        catch (e) {
            console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            resolve(response)
        }
    })
}


this.getNiknokDetailService = async (request) => {
    const response = {}
    return new Promise(async function (resolve) {
        try {
            var object = {}
            var getNiknokDetailResponse = await niknokDaoObject.getNiknokDetailDao(request.body)
            if (niknokDaoObject.error) {
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            } else {
                //console.log("myNiknokDetail",getNiknokDetailResponse)
                response.error = false
                response.statusCode = STRINGS.successStatusCode
                response.message = STRINGS.SuccessString
                response.data = getNiknokDetailResponse.data
                resolve(response)
            }
        } catch (e) {
            console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            resolve(response)
        }
    })

}


}