module.exports = function () {
    var PinoyPreneursDao = require('../../dao/web/PinoyPreneursDao')

    var RatingDao = require('../../dao/web/RatingDao')

    var RatingDaoObject = new RatingDao()
    const STRINGS = require('../../strings.json')
    // const common= require('../../utils/common')
    require('../../utils/common')()


    require('dotenv').config()
    var PinoyPreneursDaoObject = new PinoyPreneursDao()
    // var commonObject = new common()

    this.addPinoyPreneurService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                // request.body.uid = 'W2k97w8fN8dQspbOL8BMRsPTmnD2'
                // var checkPinoyPreneurDao = await PinoyPreneursDaoObject.checkPinoyPreneurDao(request.body)
                // if (checkPinoyPreneurDao.error) {
                //     response.error = true
                //     response.statusCode = STRINGS.errorStatusCode
                //     response.message = STRINGS.oopsErrorMessage
                //     resolve(response)
                // } else if (checkPinoyPreneurDao.data) {
                //     response.error = false
                //     response.statusCode = STRINGS.successStatusCode
                //     response.message = STRINGS.SuccessString
                //     response.data = "User Already Exist"
                //     resolve(response)
                // } else {

                var getOneUserDao = await PinoyPreneursDaoObject.getOneUserDao(request.body)
                // console.log("getOneUserDao",getOneUserDao)
                if (getOneUserDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else if (getOneUserDao.data) {
                    var object = {
                        uid: request.body.uid,
                        business_logo: request.body.business_logo,
                        business_name: request.body.business_name,
                        business_description: request.body.business_description,
                        nature_of_business: request.body.nature_of_business,
                        category: request.body.category,
                        professional_license_number: request.body.professional_license_number,
                        brokerage_license_number: request.body.brokerage_license_number,
                        company_website_link: request.body.company_website_link,
                        company: request.body.company,
                        email_id: request.body.email_id,
                        phone_number: request.body.phone_number,
                        address: request.body.address,
                        province_name: request.body.province_name,
                        postal_code: request.body.postal_code,
                        template_id: request.body.template_id,
                        position: request.body.position,
                        is_active: 1,
                        profile_photo: getOneUserDao.data.profile_photo,
                        full_name: getOneUserDao.data.full_name,
                        city: request.body.city,
                        location: request.body.location
                    }
                    var getSubscriptionDao = await PinoyPreneursDaoObject.getSubscriptionDao(request.body)
                    if (getSubscriptionDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        var obj = {}

                        var start_time = new Date()
                        var date = new Date()
                        var endtime;
                        // if (getSubscriptionDao.result.subscription_validity_type == "hours") {
                        //     obj.subscription_validity = getSubscriptionDao.result.subscription_validity
                        //     obj.subscription_validity_type = "hours"
                        //     obj.start_time = start_time
                        //     endtime = date.setHours(date.getHours() + getSubscriptionDao.result.subscription_validity)
                        //     obj.end_time = endtime
                        // } else if (getSubscriptionDao.result.subscription_validity_type == "day") {
                        //     obj.subscription_validity = getSubscriptionDao.result.subscription_validity
                        //     obj.subscription_validity_type = "day"
                        //     obj.start_time = start_time
                        //     endtime = date.setDate(date.getDate() + getSubscriptionDao.result.subscription_validity)
                        //     obj.end_time = endtime
                        // } else if (getSubscriptionDao.result.subscription_validity_type == "month") {
                        //     obj.subscription_validity = getSubscriptionDao.result.subscription_validity
                        //     obj.subscription_validity_type = "month"
                        //     obj.start_time = start_time
                        //     endtime = date.setMonth(date.getMonth() + getSubscriptionDao.result.subscription_validity)
                        //     obj.end_time = endtime
                        // } else if (getSubscriptionDao.result.subscription_validity_type == "year") {
                        //     obj.subscription_validity = getSubscriptionDao.result.subscription_validity
                        //     obj.subscription_validity_type = "year"
                        //     obj.start_time = start_time
                        //     endtime = date.setFullYear(date.getFullYear() + getSubscriptionDao.result.subscription_validity)
                        //     obj.end_time = endtime
                        // }
                        // object.end_time = endtime

                        obj.subscription_validity = 6
                        obj.subscription_validity_type = "month"
                        obj.start_time = start_time
                        endtime = date.setMonth(date.getMonth() + 6)
                        obj.end_time = endtime
                        object.end_time = endtime
                        object.complimentary_period = endtime
                        object.status = 'active'

                        // console.log("object",object)
                        var addPinoyPreneurDao = await PinoyPreneursDaoObject.addPinoyPreneurDao(object)
                        if (addPinoyPreneurDao.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.oopsErrorMessage
                            resolve(response)
                        } else {

                            var productsData = [];
                            var products = request.body.products
                            products.forEach((val, ind) => {
                                var object1 = {
                                    uid: request.body.uid,
                                    PinoyPreneur_id: addPinoyPreneurDao.data._id,
                                    product_title: val.product_title,
                                    product_image: val.product_image,
                                    product_description: val.product_description,
                                    is_active: 1
                                }
                                productsData.push(object1)
                            });


                            var addPinoyPreneurProductsDao = await PinoyPreneursDaoObject.addPinoyPreneurProductsDao(productsData)
                            if (addPinoyPreneurProductsDao.error) {
                                response.error = true
                                response.statusCode = STRINGS.errorStatusCode
                                response.message = STRINGS.oopsErrorMessage
                                resolve(response)
                            } else {
                                obj.uid = request.body.uid,
                                    obj.post_id = addPinoyPreneurDao.data._id,
                                    obj.post_type = "businessDirectory",
                                    obj.user_name = getOneUserDao.data.full_name,
                                    obj.is_active = 1


                                var updateUserStatusDao = await PinoyPreneursDaoObject.updateUserStatusDao(request.body)
                                // console.log("updateUserStatusDao", updateUserStatusDao)
                                if (updateUserStatusDao.error) {
                                    response.error = true
                                    response.statusCode = STRINGS.errorStatusCode
                                    response.message = STRINGS.oopsErrorMessage
                                    resolve(response)
                                } else {
                                    var addJobPostSubscriptionDao = await PinoyPreneursDaoObject.addJobPostSubscriptionDao(obj)
                                    if (addJobPostSubscriptionDao.error) {
                                        response.error = true
                                        response.statusCode = STRINGS.errorStatusCode
                                        response.message = STRINGS.oopsErrorMessage
                                        resolve(response)
                                    } else {
                                        response.error = false
                                        response.statusCode = STRINGS.successStatusCode
                                        response.message = STRINGS.SuccessString
                                        // response.data = addPinoyPreneurDao.data
                                        resolve(response)
                                    }
                                }
                            }
                        }
                    }
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = "user Not Found"
                    resolve(response)

                }
                // }

            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }


    this.GetPinoyPreneursListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                //request.body.uid="JLACxJhmGjVXkhX1jtnXJxI2tht2"
                var getOneProfileDao = await PinoyPreneursDaoObject.getOneProfileDao(request.body)

                if (getOneProfileDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                }

                request.body.province = getOneProfileDao.result.province
                request.body.pageNumber = request.body.pageNumber.length == 0 ? 0 : request.body.pageNumber
                pageNumber = request.body.pageNumber
                var getBlockedUsers=await this.getBlockedUsers(request.body)

                var getTotaltPinoyPreneursListCountDao = await PinoyPreneursDaoObject.getTotaltPinoyPreneursListCountDao(request.body,getBlockedUsers)
                // console.log("getTotaltPinoyPreneursListCountDao", getTotaltPinoyPreneursListCountDao)
                if (getTotaltPinoyPreneursListCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else if (getTotaltPinoyPreneursListCountDao.result > 0) {
                    var lenght = getTotaltPinoyPreneursListCountDao.result
                    var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber, 10)

                    var GetPinoyPreneursListDao = await PinoyPreneursDaoObject.GetPinoyPreneursListDao(request.body,getBlockedUsers)

                    // console.log("GetPinoyPreneursListDao", GetPinoyPreneursListDao.result)
                    if (GetPinoyPreneursListDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else if (GetPinoyPreneursListDao.result.length > 0) {

                        //rating  
                        var iteraration = GetPinoyPreneursListDao.result.length
                        var datas = GetPinoyPreneursListDao.result
                        var arr = []
                        for (var i = 0; i < iteraration; i++) {

                            var convert = (GetPinoyPreneursListDao.result[i]._id).toString()


                            var obj = {}
                            obj.rating_id = convert
                            obj.uid = request.body.uid
                            var searchRating = await RatingDaoObject.totalRatingList(obj)
                            // console.log(searchRating)
                            var p2 = Object.assign({}, GetPinoyPreneursListDao.result[i]);


                            var a = searchRating.data


                            var updatecount = a.length


                            if (updatecount >= 1) {
                                p2.ratedBy = "1"
                                arr.push(p2)
                            } else {
                                p2.ratedBy = "0"
                                arr.push(p2)
                            }
                        }
                        if (searchRating.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.commanErrorString
                            resolve(response)
                        } else {
                            // object.articlesList = getArticlesListDao.result
                            response.error = false
                            response.statusCode = STRINGS.successStatusCode
                            response.message = STRINGS.SuccessString
                            response.totalPages = paginationDetails.totalPages
                            response.data = arr
                            resolve(response)
                        }
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.totalPages = 0
                        response.data = []
                        resolve(response)
                    }
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.totalPages = 0
                    response.data = []
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }



    this.GetOnePinoyPreneurService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                var GetOnePinoyPreneurDao = await PinoyPreneursDaoObject.GetOnePinoyPreneurDao(request.body)
                if (GetOnePinoyPreneurDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else if (GetOnePinoyPreneurDao.result) {

                    var GetOnePinoyPreneurProductsDao = await PinoyPreneursDaoObject.GetOnePinoyPreneurProductsDao(request.body)
                    //   console.log(" GetOnePinoyPreneurProductsDao.result", GetOnePinoyPreneurProductsDao.result)
                    if (GetOnePinoyPreneurProductsDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        var PinoyPreneurProducts = GetOnePinoyPreneurProductsDao.result.length == 0 ? [] : GetOnePinoyPreneurProductsDao.result
                        var object1 = GetOnePinoyPreneurDao.result
                        object1.products = PinoyPreneurProducts
                        // object.products = PinoyPreneurProducts
                        // var obj = Object.assign( object1._doc,object)
                        // console.log("object extensible",obj)
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = object1
                        resolve(response)
                    }
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = "PinoyPreneur Not Exist"
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }



    this.editPinoyPreneurService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {

                var object = {
                    business_logo: request.body.business_logo,
                    business_name: request.body.business_name,
                    business_description: request.body.business_description,
                    nature_of_business: request.body.nature_of_business,
                    category: request.body.category,
                    professional_license_number: request.body.professional_license_number,
                    brokerage_license_number: request.body.brokerage_license_number,
                    company_website_link: request.body.company_website_link,
                    company: request.body.company,
                    email_id: request.body.email_id,
                    phone_number: request.body.phone_number,
                    address: request.body.address,
                    city: request.body.city,
                    province_name: request.body.province_name,
                    postal_code: request.body.postal_code,
                    template_id: request.body.template_id,
                    location: request.body.location,
                    is_active: 1
                }

                var GetOnePinoyPreneurDao = await PinoyPreneursDaoObject.updatePinoyPreneurDao(request.body, object)
                if (GetOnePinoyPreneurDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var products = request.body.products
                    var productIds = [];
                    //for delete products
                    if (products.length > 0) {
                        products.forEach((val, ind) => {
                            if (val._id.lengt > 0) {
                                productIds.push(val._id)
                            }
                        })
                        var deletePinoyPreneurProductsDao = await PinoyPreneursDaoObject.deletePinoyPreneurProductsDao(request.body, productIds)

                        if (deletePinoyPreneurProductsDao.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.commanErrorString
                            resolve(response)
                        }

                    }



                    products.forEach(async (val, ind) => {
                        var PinoyPreneurProductDao = {};

                        if (val._id != "") {
                            console.log("id", val._id)
                            PinoyPreneurProductDao = await PinoyPreneursDaoObject.PinoyPreneurProductDao(val)
                        } else {
                            PinoyPreneurProductDao.result = false
                        }

                        //    console.log("PinoyPreneurProductDao",PinoyPreneurProductDao)
                        if (PinoyPreneurProductDao.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.commanErrorString
                            resolve(response)
                        } else if (PinoyPreneurProductDao.result) {
                            // console.log("PinoyPreneurProductDao")
                            var object = {
                                product_title: val.product_title,
                                product_image: val.product_image,
                                product_description: val.product_description,
                                is_active: 1
                            }
                            var GetOnePinoyPreneurProductsDao = await PinoyPreneursDaoObject.updatePinoyPreneurProductDao(val, object)
                            if (GetOnePinoyPreneurProductsDao.error) {
                                response.error = true
                                response.statusCode = STRINGS.errorStatusCode
                                response.message = STRINGS.commanErrorString
                                resolve(response)
                            } else {
                                if (ind == products.length - 1) {
                                    response.error = false
                                    response.statusCode = STRINGS.successStatusCode
                                    response.message = STRINGS.SuccessString
                                    resolve(response)
                                }
                            }

                        } else {
                            var object = {
                                product_title: val.product_title,
                                product_image: val.product_image,
                                product_description: val.product_description,
                                uid: request.body.uid,
                                PinoyPreneur_id: request.body.PinoyPreneur_id,
                                is_active: 1
                            }
                            console.log("object", object)

                            var savePinoyPreneurProductDao = await PinoyPreneursDaoObject.savePinoyPreneurProductDao(object)
                            if (savePinoyPreneurProductDao.error) {
                                response.error = true
                                response.statusCode = STRINGS.errorStatusCode
                                response.message = STRINGS.commanErrorString
                                resolve(response)
                            } else {

                                if (ind == products.length - 1) {
                                    response.error = false
                                    response.statusCode = STRINGS.successStatusCode
                                    response.message = STRINGS.SuccessString
                                    resolve(response)
                                }
                            }

                        }

                    })


                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.checkUserPinoyPreneurService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                // request.body.uid = 'xAUTsi70AggVvI43bL7pvAhAtuG3'
                var checkUserPinoyPreneurDao = await PinoyPreneursDaoObject.checkUserPinoyPreneurDao(request.body)
                var GetOnePinoyPreneurDao = await PinoyPreneursDaoObject.checkOnePinoyPreneurDao(request.body)
                console.log("checkUserPinoyPreneurDao", request.body, "data", checkUserPinoyPreneurDao)
                if (checkUserPinoyPreneurDao.error || GetOnePinoyPreneurDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var obj = {
                        _id: checkUserPinoyPreneurDao.data._id,
                        uid: checkUserPinoyPreneurDao.data.uid,
                        pinoy_preneur: checkUserPinoyPreneurDao.data.pinoy_preneur,
                        is_active: 1
                    }

                    obj.pinoy_preneur_id = GetOnePinoyPreneurDao.result ? GetOnePinoyPreneurDao.result._id : null
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = obj
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.createPinoyPreneurPaymentService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {

                // console.log("lowernumeric",random(16,'lowernumeric'))
                // request.body.uid = '4c19d0cd-aa55-4751-a43a-efc9ef6e63c8'
                // This is your test secret API key.
                const stripe = require('stripe')('sk_test_51KgyDSLzt7ZdMwoGGI2nblwNLgyv8Z2CqpmSDKt23YAN23ibAQmDFvakalmT59VkenRuPEoCoqVoD4gzRtAk62MU00I047igDt');
                var getOneSubscriptionDetailDao = await PinoyPreneursDaoObject.getOneSubscriptionDetailDao(request.body)
                var getOneUserDao = await PinoyPreneursDaoObject.getOneUserDao(request.body)

                if (getOneSubscriptionDetailDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var price = getOneSubscriptionDetailDao.result.subscription_fee
                    const storeItems = {
                        priceInCents: price * 100,
                        name: "Pinoy Preneur Subscription"
                    }

                    const YOUR_DOMAIN = 'http://mykapitbahay.com/job-centre/';
                    const session = await stripe.checkout.sessions.create({
                        payment_method_types: ['card'],
                        line_items: [{
                            price_data: {
                                currency: 'CAD',
                                product_data: {
                                    name: storeItems.name,
                                    description: "Pinoy Preneur"
                                },
                                unit_amount_decimal: storeItems.priceInCents
                            },
                            quantity: 1,
                        }],
                        metadata: {
                            post_id: request.body.pinoy_preneur_id,
                            type: "pinoy_preneur",
                            payment_amount: `${price}`,
                            subscription_validity_type: getOneSubscriptionDetailDao.result.subscription_validity_type,
                            subscription_validity: getOneSubscriptionDetailDao.result.subscription_validity,
                            full_name: getOneUserDao.data.full_name
                        },
                        mode: 'payment',
                        client_reference_id: request.body.uid,
                        success_url: `${YOUR_DOMAIN}?success=true`,
                        cancel_url: `${YOUR_DOMAIN}?canceled=true`,
                    });

                    // res.redirect(303, session.url);
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = session.url
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }


}