module.exports = function () {
    const STRINGS = require('../../strings.json')
    require('dotenv').config()
    const ReferralsDao = require('../../dao/web/ReferralsDao')
    const ReferralsDaoObject = new ReferralsDao()
    

    
    this.validateReferralService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                var validateReferral = await ReferralsDaoObject.validateReferral(request.body)
                console.log('validateReferral',validateReferral);
                if (validateReferral.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = validateReferral.result.length==0?'Invalid Referral':'valid Referral'
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }

}
