module.exports= function(){
    const CouponService = require('../../services/admin/CouponService')
    const CouponServiceObject = new CouponService()

  
    this.listCouponsController= async (req, callBack) =>{
        const response ={}
        const listCouponsService = await CouponServiceObject.listCouponsService(req)
        // console.log("addCouponController", req)

        if(listCouponsService.error){
            response.error = true
            response.statusCode= listCouponsService.statusCode
            response.message = listCouponsService.message
        }else{
            response.error=listCouponsService.error
            response.statusCode=listCouponsService.statusCode
            response.message = listCouponsService.message
            response.totalPages=listCouponsService.totalPages
            response.data = listCouponsService.data

        }
        callBack(response)
    }


    this.viewCouponController= async (req, callBack) =>{
        const response ={}
        const viewCouponService = await CouponServiceObject.viewCouponService(req)
        // console.log("addCouponController", req)

        if(viewCouponService.error){
            response.error = true
            response.statusCode= viewCouponService.statusCode
            response.message = viewCouponService.message
        }else{
            response.error=viewCouponService.error
            response.statusCode=viewCouponService.statusCode
            response.message = viewCouponService.message
            response.data = viewCouponService.data

        }
        callBack(response)
    }



    this.userLogsAdminCouponController= async (req, callBack) =>{
        const response ={}
        const userLogsAdminCouponServices = await CouponServiceObject.userLogsAdminCouponServices(req)
        // console.log("addCouponController", req)

        if(userLogsAdminCouponServices.error){
            response.error = true
            response.statusCode= userLogsAdminCouponServices.statusCode
            response.message = userLogsAdminCouponServices.message
        }else{
            response.error=userLogsAdminCouponServices.error
            response.statusCode=userLogsAdminCouponServices.statusCode
            response.message = userLogsAdminCouponServices.message
            response.totalPages=userLogsAdminCouponServices.totalPages
            response.data = userLogsAdminCouponServices.data

        }
        callBack(response)
    }


}