module.exports= function(){
    const foodTrip = require('../../services/admin/FoodTripServices')
    const foodTripServiceObject = new foodTrip()

    this.listFoodTripController= async (req, callBack) =>{
        const response ={}
        const listFoodTripService = await foodTripServiceObject.listFoodTripService(req)

        if(listFoodTripService.error){
            response.error = true
            response.statusCode= listFoodTripService.statusCode
            response.message = listFoodTripService.message
        }else{
            response.error=listFoodTripService.error
            response.statusCode=listFoodTripService.statusCode
            response.message = listFoodTripService.message
            response.totalPages = listFoodTripService.totalPages
            response.data = listFoodTripService.data

        }
        callBack(response)
    }


    this.getOneFoodTripController= async (req, callBack) =>{
        const response ={}
        const getOneFoodTripService = await foodTripServiceObject.getOneFoodTripService(req)

        if(getOneFoodTripService.error){
            response.error = true
            response.statusCode= getOneFoodTripService.statusCode
            response.message = getOneFoodTripService.message
        }else{
            response.error=getOneFoodTripService.error
            response.statusCode=getOneFoodTripService.statusCode
            response.message = getOneFoodTripService.message
            response.data = getOneFoodTripService.data

        }
        callBack(response)
    }
    

    this.editFoodTripController= async (req, callBack) =>{
        const response ={}
        const editFoodTripService = await foodTripServiceObject.editFoodTripService(req)

        if(editFoodTripService.error){
            response.error = true
            response.statusCode= editFoodTripService.statusCode
            response.message = editFoodTripService.message
        }else{
            response.error=editFoodTripService.error
            response.statusCode=editFoodTripService.statusCode
            response.message = editFoodTripService.message
            response.data = editFoodTripService.data

        }
        callBack(response)
    }
    this.deleteOneFoodTripController= async (req, callBack) =>{
        const response ={}
        const deleteOneFoodTripService = await foodTripServiceObject.deleteOneFoodTripService(req)

        if(deleteOneFoodTripService.error){
            response.error = true
            response.statusCode= deleteOneFoodTripService.statusCode
            response.message = deleteOneFoodTripService.message
        }else{
            response.error=deleteOneFoodTripService.error
            response.statusCode=deleteOneFoodTripService.statusCode
            response.message = deleteOneFoodTripService.message
            response.data = deleteOneFoodTripService.data

        }
        callBack(response)
    }

    this.hideUnhideFoodTripController= async (req, callBack) =>{
        const response ={}
        const hideUnhideFoodTripService = await foodTripServiceObject.hideUnhideFoodTripService(req)

        if(hideUnhideFoodTripService.error){
            response.error = true
            response.statusCode= hideUnhideFoodTripService.statusCode
            response.message = hideUnhideFoodTripService.message
        }else{
            response.error=hideUnhideFoodTripService.error
            response.statusCode=hideUnhideFoodTripService.statusCode
            response.message = hideUnhideFoodTripService.message
            response.data = hideUnhideFoodTripService.data

        }
        callBack(response)
    }

}