module.exports= function(){
    const ReferralServices = require('../../services/admin/ReferralServices')
    const ReferralServicesObject = new ReferralServices()

  
    this.listReferralController= async (req, callBack) =>{
        const response ={}
        const listReferralServices = await ReferralServicesObject.listReferralServices(req)
        // console.log("addCouponController", req)

        if(listReferralServices.error){
            response.error = true
            response.statusCode= listReferralServices.statusCode
            response.message = listReferralServices.message
        }else{
            response.error=listReferralServices.error
            response.statusCode=listReferralServices.statusCode
            response.message = listReferralServices.message
            response.totalPages=listReferralServices.totalPages
            response.data = listReferralServices.data

        }
        callBack(response)
    }


    this.viewReferralController= async (req, callBack) =>{
        const response ={}
        const viewReferralService = await ReferralServicesObject.viewReferralService(req)
        // console.log("addReferralController", req)

        if(viewReferralService.error){
            response.error = true
            response.statusCode= viewReferralService.statusCode
            response.message = viewReferralService.message
        }else{
            response.error=viewReferralService.error
            response.statusCode=viewReferralService.statusCode
            response.message = viewReferralService.message
            response.data = viewReferralService.data
            response.referralDetails=viewReferralService.referralDetails
            response.totalPages=viewReferralService.totalPages


        }
        callBack(response)
    }



   


}