module.exports= function(){
    const CouponService = require('../../services/web/CouponService')
    const CouponServiceObject = new CouponService()

    this.addCouponController= async (req, callBack) =>{
        const response ={}
        const addCouponService = await CouponServiceObject.addCouponService(req)
        // console.log("addCouponController", req)

        if(addCouponService.error){
            response.error = true
            response.statusCode= addCouponService.statusCode
            response.message = addCouponService.message
        }else{
            response.error=addCouponService.error
            response.statusCode=addCouponService.statusCode
            response.message = addCouponService.message
            // response.data = addCouponService.data

        }
        callBack(response)
    }
    this.listCouponsController= async (req, callBack) =>{
        const response ={}
        const listCouponsService = await CouponServiceObject.listCouponsService(req)
        // console.log("addCouponController", req)

        if(listCouponsService.error){
            response.error = true
            response.statusCode= listCouponsService.statusCode
            response.message = listCouponsService.message
        }else{
            response.error=listCouponsService.error
            response.statusCode=listCouponsService.statusCode
            response.message = listCouponsService.message
            response.totalPages=listCouponsService.totalPages
            response.data = listCouponsService.data

        }
        callBack(response)
    }


    this.viewCouponController= async (req, callBack) =>{
        const response ={}
        const viewCouponService = await CouponServiceObject.viewCouponService(req)
        // console.log("addCouponController", req)

        if(viewCouponService.error){
            response.error = true
            response.statusCode= viewCouponService.statusCode
            response.message = viewCouponService.message
        }else{
            response.error=viewCouponService.error
            response.statusCode=viewCouponService.statusCode
            response.message = viewCouponService.message
            response.totalPages=viewCouponService.totalPages
            response.data = viewCouponService.data

        }
        callBack(response)
    }


    this.editCouponController= async (req, callBack) =>{
        const response ={}
        const editCouponService = await CouponServiceObject.editCouponService(req)
        // console.log("addCouponController", req)

        if(editCouponService.error){
            response.error = true
            response.statusCode= editCouponService.statusCode
            response.message = editCouponService.message
        }else{
            response.error=editCouponService.error
            response.statusCode=editCouponService.statusCode
            response.message = editCouponService.message
            response.totalPages=editCouponService.totalPages
            response.data = editCouponService.data

        }
        callBack(response)
    }


    this.deleteCouponController= async (req, callBack) =>{
        const response ={}
        const deleteCouponService = await CouponServiceObject.deleteCouponService(req)
        // console.log("addCouponController", req)

        if(deleteCouponService.error){
            response.error = true
            response.statusCode= deleteCouponService.statusCode
            response.message = deleteCouponService.message
        }else{
            response.error=deleteCouponService.error
            response.statusCode=deleteCouponService.statusCode
            response.message = deleteCouponService.message
            response.totalPages=deleteCouponService.totalPages
            response.data = deleteCouponService.data

        }
        callBack(response)
    }

    this.updateHiddenCouponController= async (req, callBack) =>{
        const response ={}
        const deleteCouponService = await CouponServiceObject.updateHiddenCouponService(req)
        // console.log("update", req)

        if(deleteCouponService.error){
            response.error = true
            response.statusCode= deleteCouponService.statusCode
            response.message = deleteCouponService.message
        }else{
            response.error=deleteCouponService.error
            response.statusCode=deleteCouponService.statusCode
            response.message = deleteCouponService.message
            response.totalPages=deleteCouponService.totalPages
            response.data = deleteCouponService.data

        }
        callBack(response)
    }


    this.pinoyPreneurCouponListController= async (req, callBack) =>{
        const response ={}
        const pinoyPreneurCouponListService = await CouponServiceObject.pinoyPreneurCouponListService(req)
        // console.log("addCouponController", req)

        if(pinoyPreneurCouponListService.error){
            response.error = true
            response.statusCode= pinoyPreneurCouponListService.statusCode
            response.message = pinoyPreneurCouponListService.message
        }else{
            response.error=pinoyPreneurCouponListService.error
            response.statusCode=pinoyPreneurCouponListService.statusCode
            response.message = pinoyPreneurCouponListService.message
            response.totalPages=pinoyPreneurCouponListService.totalPages
            response.data = pinoyPreneurCouponListService.data

        }
        callBack(response)
    }

    
    this.userCouponDownloadController= async (req, callBack) =>{
        const response ={}
        const userCouponDownloadService = await CouponServiceObject.userCouponDownloadService(req)
        // console.log("addCouponController", req)

        if(userCouponDownloadService.error){
            response.error = true
            response.statusCode= userCouponDownloadService.statusCode
            response.message = userCouponDownloadService.message
        }else{
            response.error=userCouponDownloadService.error
            response.statusCode=userCouponDownloadService.statusCode
            response.message = userCouponDownloadService.message
            response.totalPages=userCouponDownloadService.totalPages
            response.pdf_url=userCouponDownloadService.pdf_url
            response.data = userCouponDownloadService.data

        }
        callBack(response)
    }
    this.userCouponListController= async (req, callBack) =>{
        const response ={}
        const userCouponListService = await CouponServiceObject.userCouponListService(req)
        // console.log("addCouponController", req)

        if(userCouponListService.error){
            response.error = true
            response.statusCode= userCouponListService.statusCode
            response.message = userCouponListService.message
        }else{
            response.error=userCouponListService.error
            response.statusCode=userCouponListService.statusCode
            response.message = userCouponListService.message
            response.totalPages=userCouponListService.totalPages
            response.data = userCouponListService.data

        }
        callBack(response)
    }

    this.claimCouponController= async (req, callBack) =>{
        const response ={}
        const claimCouponService = await CouponServiceObject.claimCouponService(req)
        // console.log("addCouponController", req)

        if(claimCouponService.error){
            response.error = true
            response.statusCode= claimCouponService.statusCode
            response.message = claimCouponService.message
        }else{
            response.error=claimCouponService.error
            response.statusCode=claimCouponService.statusCode
            response.message = claimCouponService.message
            response.totalPages=claimCouponService.totalPages
            response.data = claimCouponService.data

        }
        callBack(response)
    }
    this.viewImageController= async (req, callBack) =>{
        const response ={}
        const viewImageService = await CouponServiceObject.viewImageService(req)
        // console.log("addCouponController", req)

        if(viewImageService.error){
            response.error = true
            response.statusCode= viewImageService.statusCode
            response.message = viewImageService.message
        }else{
            response.error=viewImageService.error
            response.statusCode=viewImageService.statusCode
            response.message = viewImageService.message
            response.totalPages=viewImageService.totalPages
            response.data = viewImageService.data

        }
        callBack(response)
    }

}
