module.exports= function(){
    const DonasyanController = require('../../services/web/DonasyanService')
    const DonasyanControllerObject = new DonasyanController()

    this.DonasyanPostController= async (req, callBack) =>{
        const response ={}
        const DonasyanPostService = await DonasyanControllerObject.DonasyanPostService(req)

        if(DonasyanPostService.error){
            response.error = true
            response.statusCode= DonasyanPostService.statusCode
            response.message = DonasyanPostService.message
        }else{
            response.error=DonasyanPostService.error
            response.statusCode=DonasyanPostService.statusCode
            response.message = DonasyanPostService.message
            response.data = DonasyanPostService.data

        }
        callBack(response)
    }

    this.DonasyanListController= async (req, callBack) =>{
        const response ={}
        const getListOfDonasayonService = await DonasyanControllerObject.getListOfDonasayonService(req)

        if(getListOfDonasayonService.error){
            response.error = true
            response.statusCode= getListOfDonasayonService.statusCode
            response.message = getListOfDonasayonService.message
        }else{
            response.error=getListOfDonasayonService.error
            response.statusCode=getListOfDonasayonService.statusCode
            response.message = getListOfDonasayonService.message
            response.totalPages = getListOfDonasayonService.totalPages
            response.data = getListOfDonasayonService.data

        }
        callBack(response)
    }

    this.getOneByeBuyController= async (req, callBack) =>{
        const response ={}
        const getOneByeBuyService = await DonasyanControllerObject.getOneByeBuyService(req)

        if(getOneByeBuyService.error){
            response.error = true
            response.statusCode= getOneByeBuyService.statusCode
            response.message = getOneByeBuyService.message
        }else{
            response.error=getOneByeBuyService.error
            response.statusCode=getOneByeBuyService.statusCode
            response.message = getOneByeBuyService.message
            response.totalPages = getOneByeBuyService.totalPages
            response.data = getOneByeBuyService.data

        }
        callBack(response)
    }
     
    this.searchByeBuyController= async (req, callBack) =>{
        const response ={}
        const searchByeBuyService = await DonasyanControllerObject.searchByeBuyService(req)

        if(searchByeBuyService.error){
            response.error = true
            response.statusCode= searchByeBuyService.statusCode
            response.message = searchByeBuyService.message
        }else{
            response.error=searchByeBuyService.error
            response.statusCode=searchByeBuyService.statusCode
            response.message = searchByeBuyService.message
            response.data = searchByeBuyService.data

        }
        callBack(response)
    }

}