module.exports= function(){
    const foodTrip = require('../../services/web/FoodTripService')
    const foodTripServiceObject = new foodTrip()

    this.addfoodTripController= async (req, callBack) =>{
        const response ={}
        const addFoodTripService = await foodTripServiceObject.addFoodTripService(req)

        if(addFoodTripService.error){
            response.error = true
            response.statusCode= addFoodTripService.statusCode
            response.message = addFoodTripService.message
        }else{
            response.error=addFoodTripService.error
            response.statusCode=addFoodTripService.statusCode
            response.message = addFoodTripService.message
            response.data = addFoodTripService.data

        }
        callBack(response)
    }


    this.listFoodTripController= async (req, callBack) =>{
        const response ={}
        const listFoodTripService = await foodTripServiceObject.listFoodTripService(req)

        if(listFoodTripService.error){
            response.error = true
            response.statusCode= listFoodTripService.statusCode
            response.message = listFoodTripService.message
        }else{
            response.error=listFoodTripService.error
            response.statusCode=listFoodTripService.statusCode
            response.message = listFoodTripService.message
            response.totalPages = listFoodTripService.totalPages
            response.data = listFoodTripService.data

        }
        callBack(response)
    }


    this.getOneFoodTripController= async (req, callBack) =>{
        const response ={}
        const getOneFoodTripService = await foodTripServiceObject.getOneFoodTripService(req)

        if(getOneFoodTripService.error){
            response.error = true
            response.statusCode= getOneFoodTripService.statusCode
            response.message = getOneFoodTripService.message
        }else{
            response.error=getOneFoodTripService.error
            response.statusCode=getOneFoodTripService.statusCode
            response.message = getOneFoodTripService.message
            response.data = getOneFoodTripService.data

        }
        callBack(response)
    }

    this.postComments= async (req, callBack) =>{
        const response ={}
        const postCommentsService = await foodTripServiceObject.postCommentsService(req)

        if(postCommentsService.error){
            response.error = true
            response.statusCode= postCommentsService.statusCode
            response.message = postCommentsService.message
        }else{
            response.error=postCommentsService.error
            response.statusCode=postCommentsService.statusCode
            response.message = postCommentsService.message
            response.data = postCommentsService.data

        }
        callBack(response)
    }

    
    this.getFeaturePostListController= async (req, callBack) =>{
        const response ={}
        const featurePostService = await foodTripServiceObject.getFeaturePostListService(req)

        if(featurePostService.error){
            response.error = true
            response.statusCode= featurePostService.statusCode
            response.message = featurePostService.message
        }else{
            response.error=featurePostService.error
            response.statusCode=featurePostService.statusCode
            response.message = featurePostService.message
            response.data = featurePostService.data

        }
        callBack(response)
    }

    this.shareFoodTripPostController= async (req, callBack) =>{
        const response ={}
        const shareFoodTripPostService = await foodTripServiceObject.shareFoodTripPostService(req)

        if(shareFoodTripPostService.error){
            response.error = true
            response.statusCode= shareFoodTripPostService.statusCode
            response.message = shareFoodTripPostService.message
        }else{
            response.error=shareFoodTripPostService.error
            response.statusCode=shareFoodTripPostService.statusCode
            response.message = shareFoodTripPostService.message
            response.data = shareFoodTripPostService.data

        }
        callBack(response)
    }



    this.recipeSharingListController= async (req, callBack) =>{
        const response ={}
        const recipeSharingListService = await foodTripServiceObject.recipeSharingListService(req)

        if(recipeSharingListService.error){
            response.error = true
            response.statusCode= recipeSharingListService.statusCode
            response.message = recipeSharingListService.message
        }else{
            response.error=recipeSharingListService.error
            response.statusCode=recipeSharingListService.statusCode
            response.message = recipeSharingListService.message
            response.data = recipeSharingListService.data

        }
        callBack(response)
    }
    
    
}