module.exports= function(){
    const groupChatService = require('../../services/web/GroupChatServices')
    const groupChatServiceObject = new groupChatService()

    this.creategroupChatController= async (req, callBack) =>{
        const response ={}
        const createGroupChatService = await groupChatServiceObject.createGroupChatService(req)
        // console.log("creategroupChatController", req)

        if(createGroupChatService.error){
            response.error = true
            response.statusCode= createGroupChatService.statusCode
            response.message = createGroupChatService.message
        }else{
            response.error=createGroupChatService.error
            response.statusCode=createGroupChatService.statusCode
            response.message = createGroupChatService.message
            response.data = createGroupChatService.data

        }
        callBack(response)
    }
    
    this.deleteGroupController= async (req, callBack) =>{
        const response ={}
        const deleteGroupChatService = await groupChatServiceObject.deleteGroupService(req)
        if(deleteGroupChatService.error){
            response.error = true
            response.statusCode= deleteGroupChatService.statusCode
            response.message = deleteGroupChatService.message
        }else{
            response.error=deleteGroupChatService.error
            response.statusCode=deleteGroupChatService.statusCode
            response.message = deleteGroupChatService.message
            response.data = deleteGroupChatService.data
        }
        callBack(response)
    }





    this.listGroupChatsController= async (req, callBack) =>{
        const response ={}
        const listGroupChatsService = await groupChatServiceObject.listGroupChatsService(req)
        // console.log("listGroupChatsController", req)

        if(listGroupChatsService.error){
            response.error = true
            response.statusCode= listGroupChatsService.statusCode
            response.message = listGroupChatsService.message
        }else{
            response.error=listGroupChatsService.error
            response.statusCode=listGroupChatsService.statusCode
            response.message = listGroupChatsService.message
            response.totalPages=listGroupChatsService.totalPages
            response.data = listGroupChatsService.data

        }
        callBack(response)
    }
    
    this.editGroupsController= async (req, callBack) =>{
        const response ={}
        const editGroupsService = await groupChatServiceObject.editGroupsService(req)
        // console.log("editGroupsController", req)

        if(editGroupsService.error){
            response.error = true
            response.statusCode= editGroupsService.statusCode
            response.message = editGroupsService.message
        }else{
            response.error=editGroupsService.error
            response.statusCode=editGroupsService.statusCode
            response.message = editGroupsService.message
            response.totalPages=editGroupsService.totalPages
            response.data = editGroupsService.data

        }
        callBack(response)
    }
    this.listGroupMembersController= async (req, callBack) =>{
        const response ={}
        const listGroupMembersService = await groupChatServiceObject.listGroupMembersService(req)
        // console.log("listGroupMembersController", req)

        if(listGroupMembersService.error){
            response.error = true
            response.statusCode= listGroupMembersService.statusCode
            response.message = listGroupMembersService.message
        }else{
            response.error=listGroupMembersService.error
            response.statusCode=listGroupMembersService.statusCode
            response.message = listGroupMembersService.message
            response.totalPages=listGroupMembersService.totalPages
            response.data = listGroupMembersService.data

        }
        callBack(response)
    }
    
    
    this.removeGroupUserController= async (req, callBack) =>{
        const response ={}
        const removeGroupUserService = await groupChatServiceObject.removeGroupUserService(req)
        // console.log("removeGroupUserController", req)

        if(removeGroupUserService.error){
            response.error = true
            response.statusCode= removeGroupUserService.statusCode
            response.message = removeGroupUserService.message
        }else{
            response.error=removeGroupUserService.error
            response.statusCode=removeGroupUserService.statusCode
            response.message = removeGroupUserService.message
            response.totalPages=removeGroupUserService.totalPages
            response.data = removeGroupUserService.data

        }
        callBack(response)
    }
    this.groupMemberRoleController= async (req, callBack) =>{
        const response ={}
        const groupMemberRoleService = await groupChatServiceObject.groupMemberRoleService(req)
        // console.log("groupMemberRoleController", req)

        if(groupMemberRoleService.error){
            response.error = true
            response.statusCode= groupMemberRoleService.statusCode
            response.message = groupMemberRoleService.message
        }else{
            response.error=groupMemberRoleService.error
            response.statusCode=groupMemberRoleService.statusCode
            response.message = groupMemberRoleService.message
            response.totalPages=groupMemberRoleService.totalPages
            response.data = groupMemberRoleService.data

        }
        callBack(response)
    }
    this.addGroupMembersController= async (req, callBack) =>{
        const response ={}
        const addGroupMembersService = await groupChatServiceObject.addGroupMembersService(req)
        // console.log("listGroupMembersController", req)

        if(addGroupMembersService.error){
            response.error = true
            response.statusCode= addGroupMembersService.statusCode
            response.message = addGroupMembersService.message
        }else{
            response.error=addGroupMembersService.error
            response.statusCode=addGroupMembersService.statusCode
            response.message = addGroupMembersService.message
            response.data = addGroupMembersService.data

        }
        callBack(response)
    }
    
    this.sendGroupMessageController= async (req, callBack) =>{
        const response ={}
        const sendGroupMessageService = await groupChatServiceObject.sendGroupMessageService(req)
        // console.log("listGroupMembersController", req)

        if(sendGroupMessageService.error){
            response.error = true
            response.statusCode= sendGroupMessageService.statusCode
            response.message = sendGroupMessageService.message
        }else{
            response.error=sendGroupMessageService.error
            response.statusCode=sendGroupMessageService.statusCode
            response.message = sendGroupMessageService.message
            response.data = sendGroupMessageService.data

        }
        callBack(response)
    }
    this.listGroupMessageController= async (req, callBack) =>{
        const response ={}
        const listGroupMessageService = await groupChatServiceObject.listGroupMessageService(req)
        // console.log("listGroupMembersController", req)

        if(listGroupMessageService.error){
            response.error = true
            response.statusCode= listGroupMessageService.statusCode
            response.message = listGroupMessageService.message
        }else{
            response.error=listGroupMessageService.error
            response.statusCode=listGroupMessageService.statusCode
            response.message = listGroupMessageService.message
            response.totalPages=listGroupMessageService.totalPages
            response.data = listGroupMessageService.data

        }
        callBack(response)
    }
    
    this.permissionGroupController= async (req, callBack) =>{
        const response ={}
        const permissionGroupService = await groupChatServiceObject.permissionGroupService(req)
        // console.log("listGroupMembersController", req)

        if(permissionGroupService.error){
            response.error = true
            response.statusCode= permissionGroupService.statusCode
            response.message = permissionGroupService.message
        }else{
            response.error=permissionGroupService.error
            response.statusCode=permissionGroupService.statusCode
            response.message = permissionGroupService.message
            response.data = permissionGroupService.data

        }
        callBack(response)
    }
    
    this.deviceTokenUpdateController= async (req, callBack) =>{
        const response ={}
        const deviceTokenUpdateService = await groupChatServiceObject.deviceTokenUpdateService(req)
        // console.log("listGroupMembersController", req)

        if(deviceTokenUpdateService.error){
            response.error = true
            response.statusCode= deviceTokenUpdateService.statusCode
            response.message = deviceTokenUpdateService.message
        }else{
            response.error=deviceTokenUpdateService.error
            response.statusCode=deviceTokenUpdateService.statusCode
            response.message = deviceTokenUpdateService.message
            response.data = deviceTokenUpdateService.data

        }
        callBack(response)
    }
    
    this.hideUnhideController= async (req, callBack) =>{
        const response ={}
        const hideUnhideService = await groupChatServiceObject.hideUnhideService(req)
        // console.log("listGroupMembersController", req)

        if(hideUnhideService.error){
            response.error = true
            response.statusCode= hideUnhideService.statusCode
            response.message = hideUnhideService.message
        }else{
            response.error=hideUnhideService.error
            response.statusCode=hideUnhideService.statusCode
            response.message = hideUnhideService.message
            response.data = hideUnhideService.data

        }
        callBack(response)
    }
    
    this.listUsersController= async (req, callBack) =>{
        const response ={}
        const listUsersService = await groupChatServiceObject.listUsersService(req)
        // console.log("listGroupMembersController", req)

        if(listUsersService.error){
            response.error = true
            response.statusCode= listUsersService.statusCode
            response.message = listUsersService.message
        }else{
            response.error=listUsersService.error
            response.statusCode=listUsersService.statusCode
            response.message = listUsersService.message
            response.total = listUsersService.total
            response.data = listUsersService.data

        }
        callBack(response)
    }
    
    this.userGroupSearchController= async (req, callBack) =>{
        const response ={}
        const userGroupSearchService = await groupChatServiceObject.userGroupSearchService(req)
        // console.log("listGroupMembersController", req)

        if(userGroupSearchService.error){
            response.error = true
            response.statusCode= userGroupSearchService.statusCode
            response.message = userGroupSearchService.message
        }else{
            response.error=userGroupSearchService.error
            response.statusCode=userGroupSearchService.statusCode
            response.message = userGroupSearchService.message
            response.total = userGroupSearchService.total
            response.data = userGroupSearchService.data

        }
        callBack(response)
    }
    this.reactMessageController= async (req, callBack) =>{
        const response ={}
        const reactMessageService = await groupChatServiceObject.reactMessageService(req)
        // console.log("listGroupMembersController", req)

        if(reactMessageService.error){
            response.error = true
            response.statusCode= reactMessageService.statusCode
            response.message = reactMessageService.message
        }else{
            response.error=reactMessageService.error
            response.statusCode=reactMessageService.statusCode
            response.message = reactMessageService.message
            response.data = reactMessageService.data

        }
        callBack(response)
    }
}