module.exports = function () {
    var likesServices = require('../../services/web/LikesServices')
    var likesControllerObject = new likesServices()

    const STRINGS = require('../../strings.json')

    this.postLike= async (req, callBack) =>{
        const response ={}
        const postLikeService = await likesControllerObject.postLikeService(req)

        if(postLikeService.error){
            response.error = true
            response.statusCode= postLikeService.statusCode
            response.message = postLikeService.message
        }else{
            response.error=postLikeService.error
            response.statusCode=postLikeService.statusCode
            response.message = postLikeService.message
            response.data = postLikeService.data
        }
        callBack(response)
    }

    this.getLikedByList= async (req, callBack) =>{
        const response ={}
        const getLikedByService = await likesControllerObject.getLikedByService(req)

        if(getLikedByService.error){
            response.error = true
            response.statusCode= getLikedByService.statusCode
            response.message = getLikedByService.message
        }else{
            response.error=getLikedByService.error
            response.statusCode=getLikedByService.statusCode
            response.message = getLikedByService.message
            response.data = getLikedByService.data

        }
        callBack(response)
    }
}