module.exports= function(){
    const niknokController = require('../../services/web/NiknokService')
    const niknokControllerObject = new niknokController()


    this.niknokListController= async (req, callBack) =>{
        const response ={}
        const niknokListService = await niknokControllerObject.niknokListService(req)

        if(niknokListService.error){
            response.error = true
            response.status= niknokListService.status
            response.message = niknokListService.message
        }else{
            response.error=niknokListService.error
            response.status=niknokListService.statusCode
            response.message = niknokListService.message
            response.data = niknokListService.data

        }
        callBack(response)
    }

    this.getNiknokDetailController= async (req, callBack) =>{
        const response ={}
        const getNiknokDetailService = await niknokControllerObject.getNiknokDetailService(req)

        if(getNiknokDetailService.error){
            response.error = true
            response.status= getNiknokDetailService.status
            response.message = getNiknokDetailService.message
        }else{
            response.error=getNiknokDetailService.error
            response.status=getNiknokDetailService.statusCode
            response.message = getNiknokDetailService.message
            response.totalPages = getNiknokDetailService.totalPages
            response.data = getNiknokDetailService.data

        }
        callBack(response)
    }
}