module.exports= function(){
    const pNationCalanderController = require('../../services/web/P-NationCalendarService')
    const pNationCalanderControllerObject = new pNationCalanderController()

    this.pNationCalanderPostController= async (req, callBack) =>{
        const response ={}
        const pNationCalanderPostService = await pNationCalanderControllerObject.pNationCalanderPostService(req)
        if(pNationCalanderPostService.error){
            response.error = true
            response.status= pNationCalanderPostService.statusCode
            response.message = pNationCalanderPostService.message
        }else{
            response.error=pNationCalanderPostService.error
            response.status=pNationCalanderPostService.statusCode
            response.message = pNationCalanderPostService.message
            response.data = pNationCalanderPostService.data

        }
        callBack(response)
    }

    this.pNationCalanderListController= async (req, callBack) =>{
        const response ={}
        const pNationCalanderListService = await pNationCalanderControllerObject.pNationCalanderListService(req)

        if(pNationCalanderListService.error){
            response.error = true
            response.status= pNationCalanderListService.statusCode
            response.message = pNationCalanderListService.message
        }else{
            response.error=pNationCalanderListService.error
            response.status=pNationCalanderListService.statusCode
            response.message = pNationCalanderListService.message
            response.totalPages = pNationCalanderListService.totalPages
            response.data = pNationCalanderListService.data

        }
        callBack(response)
    }

    this.getpNationCalanderController= async (req, callBack) =>{
        const response ={}
        const getpNationCalanderService = await pNationCalanderControllerObject.getpNationCalanderService(req)

        if(getpNationCalanderService.error){
            response.error = true
            response.status= getpNationCalanderService.statusCode
            response.message = getpNationCalanderService.message
        }else{
            response.error=getpNationCalanderService.error
            response.status=getpNationCalanderService.statusCode
            response.message = getpNationCalanderService.message
            response.totalPages = getpNationCalanderService.totalPages
            response.data = getpNationCalanderService.data

        }
        callBack(response)
    }
     
 
    this.editOnePnationCalanderController= async (req, callBack) =>{
        const response ={}
        const editOnePnationCalanderService = await pNationCalanderControllerObject.editOnePnationCalanderService(req)

        if(editOnePnationCalanderService.error){
            response.error = true
            response.status= editOnePnationCalanderService.statusCode
            response.message = editOnePnationCalanderService.message
        }else{
            response.error=editOnePnationCalanderService.error
            response.status=editOnePnationCalanderService.statusCode
            response.message = editOnePnationCalanderService.message
            response.data = editOnePnationCalanderService.data

        }
        callBack(response)
    }
   
    

    this.deleteOnePnationCalanderController= async (req, callBack) =>{
        const response ={}
        const deleteOnePnationCalanderService = await pNationCalanderControllerObject.deleteOnePnationCalanderService(req)

        if(deleteOnePnationCalanderService.error){
            response.error = true
            response.status= deleteOnePnationCalanderService.statusCode
            response.message = deleteOnePnationCalanderService.message
        }else{
            response.error=deleteOnePnationCalanderService.error
            response.status=deleteOnePnationCalanderService.statusCode
            response.message = deleteOnePnationCalanderService.message
            response.data = deleteOnePnationCalanderService.data

        }
        callBack(response)
    }

    
}