module.exports= function(){
    const tambayanController = require('../../services/web/TambayanService')
    const tambayanControllerObject = new tambayanController()

    this.tambayanPostController= async (req, callBack) =>{
        const response ={}
        const tambayanPostService = await tambayanControllerObject.tambayanPostService(req)

        if(tambayanPostService.error){
            response.error = true
            response.statusCode= tambayanPostService.statusCode
            response.message = tambayanPostService.message
        }else{
            response.error=tambayanPostService.error
            response.statusCode=tambayanPostService.statusCode
            response.message = tambayanPostService.message
            response.data = tambayanPostService.data

        }
        callBack(response)
    }

    this.tambayanListController= async (req, callBack) =>{
        const response ={}
        const tambayanListService = await tambayanControllerObject.tambayanListService(req)

        if(tambayanListService.error){
            response.error = true
            response.statusCode= tambayanListService.statusCode
            response.message = tambayanListService.message
        }else{
            response.error=tambayanListService.error
            response.statusCode=tambayanListService.statusCode
            response.message = tambayanListService.message
            response.totalPages = tambayanListService.totalPages
            response.data = tambayanListService.data

        }
        callBack(response)
    }

    this.viewPostController= async (req, callBack) =>{
        const response ={}
        const viewPostService = await tambayanControllerObject.viewPostService(req)

        if(viewPostService.error){
            response.error = true
            response.statusCode= viewPostService.statusCode
            response.message = viewPostService.message
        }else{
            response.error=viewPostService.error
            response.statusCode=viewPostService.statusCode
            response.message = viewPostService.message
            response.totalPages = viewPostService.totalPages
            response.data = viewPostService.data

        }
        callBack(response)
    }


    this.editOneTambayanPostController= async (req, callBack) =>{
        const response ={}
        const editOneTambayanPostService = await tambayanControllerObject.editOneTambayanPostService(req)

        if(editOneTambayanPostService.error){
            response.error = true
            response.statusCode= editOneTambayanPostService.statusCode
            response.message = editOneTambayanPostService.message
        }else{
            response.error=editOneTambayanPostService.error
            response.statusCode=editOneTambayanPostService.statusCode
            response.message = editOneTambayanPostService.message
            response.data = editOneTambayanPostService.data

        }
        callBack(response)
    }


    this.deleteOneTambayanPostController= async (req, callBack) =>{
        const response ={}
        const deleteOneTambayanService = await tambayanControllerObject.deleteOneTambayanService(req)

        if(deleteOneTambayanService.error){
            response.error = true
            response.statusCode= deleteOneTambayanService.statusCode
            response.message = deleteOneTambayanService.message
        }else{
            response.error=deleteOneTambayanService.error
            response.statusCode=deleteOneTambayanService.statusCode
            response.message = deleteOneTambayanService.message
            response.data = deleteOneTambayanService.data

        }
        callBack(response)
    }


}