module.exports = function () {
    var reportService = require('../../services/web/reportService')
    // require('../utils/error.js')()
    var reportServiceObject = new reportService()

    const STRINGS = require('../../strings.json')


    this.reportPostController = async (req, callback) => {
        // console.log("in2")
        var response = {}
        try {
            var createReportService = await reportServiceObject.createReportItemService(req)
            if (createReportService.error) {
                response.error = true
                response.statusCode = createReportService.statusCode
                response.message = createReportService.message
            } else {
                response.error = createReportService.error
                response.statusCode = createReportService.statusCode
                response.message = createReportService.message
                response.data = createReportService.data
            }
            callback(response)
        } catch (e) {
            // console.log(e)
            response.error = true
            response.statusCode = STRINGS.errorStatusCode
            response.message = STRINGS.oopsErrorMessage
            callback(response)
        }
    }

}    