module.exports = function () {
  var JobCentresModel = require('../../modal/web/JobCentreModel')
  const ObjectID = require('mongodb').ObjectId;
  // this.listJobCentresDaoCount = async (data) => {
  //   var response = {}

  //   return new Promise(function (resolve, reject) {
  //     JobCentresModel.find({}).then((result) => {
  //       response.error = false
  //       response.data = result
  //       resolve(response)

  //     })
  //       .catch((error) => {
  //         response.error = true
  //         resolve(response)

  //         console.log(error);
  //       });
  //   })
  // }

  this.listJobCentresDaoCount = async (data) => {
    var response = {}
    if (data.filter_type == 'all') {
      var filter = [
        // {
        //     '$match': {
        //       'is_active': 1,

        //     }
        //   },
        
        {
          $match: 
            {
              $or: [{
                company_name: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                job_description: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                skills_required: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                city: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                working_type: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                job_position: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              ],
            },
           
        },

      ]
    } else {
      var filter = [

        // {
        //   '$match': {
        //     'industry': data.filter_type
        //   }
        // },

        {
          $match: {
            $and: [{
              $expr: {
                $eq: ["$industry", data.filter_type],
              },
            },
            {
              $or: [{
                company_name: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                job_description: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                skills_required: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                city: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                working_type: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                job_position: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              ],
            },
            ],
          },
        },

      ]
    }


    return new Promise(function (resolve, reject) {
      JobCentresModel.aggregate(filter)
        // .sort({ createdAt: 'desc' })
        // .skip(data.page_number * data.limit)
        // .limit(data.limit).lean()
        .then((result) => {
          response.error = false
          response.data = result
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }



  this.listJobCentresDao = async (data) => {
    // console.log('listJobCentresDaoinput', data);
    var response = {}
    if (data.filter_type == 'all') {
      var filter = [
        // {
        //     '$match': {
        //       'is_active': 1
        //                     }
        //   },
        {
          '$match': {

            '$or': [{
              '$or': [{
                'company_name': {
                  $regex: `${data.search}`,
                  $options: 'i'
                }
              },
              {
                'job_description': {
                  $regex: `${data.search}`,
                  $options: 'i'
                }
              },
              {
                'skills_required': {
                  $regex: `${data.search}`,
                  $options: 'i'
                }
              },
              {
                'city': {
                  $regex: `${data.search}`,
                  $options: 'i'
                }
              },
              {
                'working_type': {
                  $regex: `${data.search}`,
                  $options: 'i'
                }
              },
              {
                'job_position': {
                  $regex: `${data.search}`,
                  $options: 'i'
                }
              },

              ]
            }]

          }
        },
        { '$sort': { createdAt: -1 } },
        { '$skip': data.page_number * data.limit },
        { '$limit': data.limit },

      ]
    } else {
      var filter = [


        {
          $match: {
            $and: [{
              $expr: {
                $eq: ["$industry", data.filter_type],
              },
            },
            {
              $or: [{
                company_name: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                job_description: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                skills_required: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                city: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                working_type: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              {
                job_position: {
                  $regex: `${data.search}`,
                  $options: "i",
                },
              },
              ],
            },
            ],
          },
        },
        {
          $sort: {
            createdAt: -1,
          },
        },
        {
          $skip: data.page_number * data.limit,
        },
        {
          $limit: data.limit,
        },

      ]


      // {
      //   $match: {
      //     $and: [{
      //       $expr: {
      //         $eq: ["$industry", data.filter_type],
      //       },

      //     },
      //     {
      //       $or: [{
      //         $or: [{
      //           company_name: {
      //             $regex: `${data.search}`,
      //             $options: 'i'
      //           }
      //         },
      //         {
      //           job_description: {
      //             $regex: `${data.search}`,
      //             $options: 'i'
      //           }
      //         },
      //         {
      //           skills_required: {
      //             $regex: `${data.search}`,
      //             $options: 'i'
      //           }
      //         },
      //         {
      //           city: {
      //             $regex: `${data.search}`,
      //             $options: 'i'
      //           }
      //         },
      //         {
      //           working_type: {
      //             $regex: `${data.search}`,
      //             $options: 'i'
      //           }
      //         },
      //         {
      //           job_position: {
      //             $regex: `${data.search}`,
      //             $options: 'i'
      //           }
      //         },

      //         ]
      //       }]
      //     }
      //     ]
      //   }
      // },

      // { '$sort': { createdAt: -1 } },
      // { '$skip': data.page_number * data.limit },
      // { '$limit': data.limit },

      // ]
    }


    return new Promise(function (resolve, reject) {
      JobCentresModel.
        aggregate(
          filter
        )
        // .sort({ createdAt: 'desc' })
        // .skip(data.page_number * data.limit)
        // .limit(data.limit).lean()
        .then((result) => {
          response.error = false
          response.data = result
          resolve(response)
          // console.log('listJobCentresDaooutput', result);

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.viewJobCentresDao = async (data) => {
    var response = {}

    return new Promise(function (resolve, reject) {
      JobCentresModel
        .aggregate(
          [
            {
              '$match': {
                '_id': new ObjectID(data.id)
              }
            },

          ]
        ).
        // .find({ JobCentres_id: data.JobCentres_id }).lean().
        then((result) => {
          response.error = false
          response.data = result
          // console.log("viewJobCentresDaoresponse", result);
          resolve(response)
        }).catch((error) => {
          response.error = true
          resolve(response)
          console.log(error);
        })
    })
  }

  this.editJobCentresDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      JobCentresModel.updateMany({
        _id: data.id,
      }, {
        $set: {
          company_name: data.company_name,
          contact_number: data.contact_number,
          company_address: data.company_address,
          postal_code: data.postal_code,
          job_position: data.job_position,
          job_description: data.job_description,
          working_type: data.working_type,
          job_constraint: data.job_constraint,
          number_of_position_available: data.number_of_position_available,
          salary_hour_Rate: data.salary_hour_Rate,
          industry: data.industry,
          email_id: data.email_id,
          city: data.city,
          province_name: data.province_name,
          skills_required: data.skills_required,
          No_of_hours_work_weekly: data.No_of_hours_work_weekly,
          late_date_to_apply: data.late_date_to_apply,
          website: data.website,
          how_to_apply: data.how_to_apply,

        }
      })
        .then((result) => {
          response.error = false
          response.data = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }
  this.deleteJobCentresDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      JobCentresModel.updateMany({
        _id: data.id
      }, {
        $set: {
          is_active:0
        }})
        .then((result) => {
          response.error = false
          response.data = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }


}