module.exports = function () {
 
    var PodcastEpisodeModal = require('../../modal/admin/podcastEpisodesModel')

  this.addpodcastsEpisodeDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      const PodcastEpisodeModals = new PodcastEpisodeModal(data)
      PodcastEpisodeModals.save(function (error, result) {
        
        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }
  this.getpodcastsEpisodeDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
        PodcastEpisodeModal.find({$and:[{podcast_id:data.podcast_id},{is_active:1}]}

          , function (error, result) {
        if (error) {
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }
  
  
  
  
  this.deletePodcastsEpisodeDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
        PodcastEpisodeModal.deleteOne({
        _id: data.PodcastsEpisode_id
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }

  this.editPodcastsEpisodeDao = async (data) => {
   
    var response = {}
    return new Promise(function (resolve, reject) {
        PodcastEpisodeModal.updateOne({
        _id: data.PodcastsEpisode_id
        }, {
          $set: {
            title: data.title,
            audio_url: data.audio_url,
            description: data.description
           
          }
          
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }
  
  
}



