module.exports = function () {
    var shoutOutModal = require('../../modal/admin/ShoutOutsModel')

    this.getShoutOutsDao = async (data) => {

      var response = {}
      return new Promise(function (resolve, reject) {
        shoutOutModal.find({is_active:1,status:"waiting"},{ 
           
         
          }).sort({"updatedAt":-1})
          .skip(data.pageNumber > 0 ? ((data.pageNumber - 1) * RowsPerpage) : 0)
          .limit(RowsPerpage)
          .then((result) => {
              response.error = false
              response.result = result
              // console.log(result);
              resolve(response)
  
          })
          .catch((error) => {
              response.error = true
              resolve(response)
  
              console.log(error);
          });
  })
  }
    
  this.getTotalShoutOutsCountDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      shoutOutModal.find({
                is_active: 1,
                status:"waiting"
            })
            .count()
            .then((result) => {
                response.error = false
                response.result = result
                // console.log(result);
                resolve(response)
  
            })
            .catch((error) => {
                response.error = true
                resolve(response)
  
                console.log(error);
            });
    })
  }
  this.editShoutOutsDao = async (data) => {
   
    var response = {}
    return new Promise(function (resolve, reject) {
      shoutOutModal.updateMany({
        _id: data.ShoutOuts_id
        }, {
          $set: {
            status: data.status,
          }
          
        },
        (err, result) => {
          if (err) {
            response.error = true
          } else {
            response.error = false
            response.result = result
          }
          resolve(response)
        });
    })
  }
  
}





