module.exports = function () {
  var AdModel = require('../../modal/admin/adModel')
  var AdViewersModel = require('../../modal/admin/adViewersModel')
  var ObjectId = require('mongodb').ObjectId;




  // this.getAdDao = async (data) => {
  //   var response = {}
  //   console.log("datas", data)
  //   const type = data.type
  //   if(data.type=='Internal ad'){
  //   var facets= { $facet: {
  //       internal: [{ $match: { type: type } }, { $sample: { size: data.size } },],
  //       // external: [ {$match:{type:"external"}},{$sample:{size:data.external}}, ],
  //     }}
  //   }else if(data.type=='External ad'){
  //     var facets=  {$facet: {
  //       external: [{ $match: { type: type } }, { $sample: { size: data.size } },],
  //       // external: [ {$match:{type:"external"}},{$sample:{size:data.external}}, ],
  //     }}
  //   }

  //   return new Promise(function (resolve, reject) {
  //     AdModel.aggregate(
  //       [{
  //         $match: {
  //           isActive: 1,
  //           location: data.postType
  //         }
  //       }, 
  //         facets,
  //       { $project: { documents: { $setUnion: [`$${data.type}`] } } },
  //       {
  //         $unwind: {
  //           path: "$documents",
  //         }
  //       }, {
  //         $replaceRoot: {
  //           newRoot: "$documents"
  //         }}
  //       ]
  //     ).then((result) => {
  //       response.error = false
  //       response.result = result
  //       console.log("viewCouponDaoresponse",result);
  //       resolve(response)
  //     }).catch((error) => {
  //       response.error = true
  //       resolve(response)
  //       console.log(error);
  //     })
  //   })
  // }




  this.getAdDao = async (data) => {
    var response = {}
    const types = data.type.split(',')
   
    return new Promise(function (resolve, reject) {
      const promises = types.map((type) => {
        const matchCondition = {
          isActive: 1
        };
  
        if (type.trim()) {
          matchCondition.type = type.trim();
        }
  
        if (data.postType) {
          matchCondition.location = data.postType;
        }
  
        return AdModel.aggregate([
          {
            $match: matchCondition
          },
          {
            $sample: { size: data.size }
          }
        ]);
      });
  

    Promise.all(promises)
      .then((result) => {
        response.error = false
        response.result = result
         console.log("viewCouponDaoresponse",result);
        resolve(response)
      }).catch((error) => {
        response.error = true
        resolve(response)
        console.log(error);
      })
    })
  }


  // adClickDao
  // AdViewersModel
  this.adClickDao = async (data) => {
    // console.log('userInput', data)
    var response = {}
    return new Promise(function (resolve, reject) {
        const AdViewersModelObject = new AdViewersModel(data)
        AdViewersModelObject.save(function (error, result) {
            if (error) {
                console.log(error)
                response.error = true
            } else {
                response.error = false
                response.data = result
            }
            resolve(response)
        })
    })
}

// // lastUpdated
// this.adlastUpdatedDao = async (data) => {
//   // console.log('input', data)
//   var response = {}

//   try {
//       const result = await AdViewersModel.updateOne(
//           {
//               _id: ObjectId(data.adId), is_active: 1,
//           },
//           {
//               $set: {
//                   lastMessageTime: Date.now(),
//                   lastMessage: data.message
//               }
//           }
//       )
//       response.error = false;
//       response.result = result;
//       return response;
//   } catch (error) {
//       console.log(error)
//       response.error = true;
//       return response;
//   }
// }




}