module.exports = function () {

  var shoutOutModal = require('../../modal/admin/ShoutOutsModel')
  var foodTripModal = require('../../modal/web/FoodTripModal')
  var byeBuyModal = require('../../modal/web/DonasyanModal')
  var BazaarCityModel = require('../../modal/web/BazaarCityModel')
  var PnationCalendarModel = require('../../modal/web/P-NationCalendarModel')



  this.searchingFeaturePost = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      // console.log("iew", data)
      var store = data.post_type == "foodTrip" ? foodTripModal :
        data.post_type == "bazaarCity" ? BazaarCityModel :
        data.post_type == "PnationCalendar" ? PnationCalendarModel :
        data.post_type == "byeBuyItems" ? byeBuyModal : null

      store.findOne({
        $and: [{
          uid: data.uid
        }, {
          _id: data.post_id
        }, {
          is_active: 1
        }]
      }, function (error, result) {
        // console.log("res", result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  this.postFeaturePost = async (data) => {
    // console.log("featurePostresponse2", data)

    var response = {}
    return new Promise(function (resolve, reject) {
      const shoutOutModalObject = new shoutOutModal(data)
      shoutOutModalObject.save(function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          //console.log("featurePostresponse",response)

          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }





}