module.exports = function () {
  var myProfileModal = require('../../modal/web/MyProfileModal')
  var FoodTripModal = require('../../modal/web/FoodTripModal')
  var BazaarCityModel = require('../../modal/web/BazaarCityModel')
  var ByeBuyItems = require('../../modal/web/DonasyanModal')
  var LikesModal = require('../../modal/web/Likes')
  var PNationCalendarModel = require('../../modal/web/P-NationCalendarModel')
  var TambayanModal = require('../../modal/web/TambayanModal')
  var ShoutOutsModel = require('../../modal/admin/ShoutOutsModel')
  var CommentsModal = require('../../modal/web/Comments')
  var PinoyPreneursModal = require('../../modal/web/PinoyPreneursModel')
  var connectionModel = require('../../modal/web/connectionModel')
  var notificationModel = require('../../modal/web/notificationModel')
  var blockAndReportModel = require('../../modal/web/BlockAndReportModel')






  this.addMyProfileDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      const myProfileModalObject = new myProfileModal(data)
      myProfileModalObject.save(function (error, result) {
        console.log("res", result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  this.getOneProfileDao = async (data) => {
    console.log('profileDetails',data);

    var response = {}
    return new Promise(function (resolve, reject) {
      myProfileModal.findOne({
        uid: data.user_id
      }, function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
          console.log('result',result)
        }
        resolve(response)
      })
    })
  }

  this.getOneProfileDao2 = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      myProfileModal.findOne({
        uid: data.user_id
      }, function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  this.editMyprofileDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      myProfileModal.updateOne({
          is_active: 1,
          uid: data.uid
        }, {
          $set: {
            username: data.username,
            full_name: data.full_name,
            eMail_id: data.eMail_id,
            phone_number: data.phone_number,
            gender: data.gender,
            age_group: data.age_group,
            home_country: data.home_country,
            province: data.province,
            hobbies: data.hobbies,
            city: data.city,
            industry_working_in: data.industry_working_in,
            favorite_quote: data.favorite_quote,
            updatedAt: new Date(),
            current_city: data.current_city,
            user_status: data.user_status,
            hometown:data.hometown,
            profile_photo: data.profile_photo,
          }
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }
  this.editMyprofileLikeDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      LikesModal.updateMany({
          is_active: 1,
          uid: data.uid
        }, {
          $set: {
            full_name: data.full_name,
            profile_photo: data.profile_photo,
          }
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }
  this.editMyprofileCommentsDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      CommentsModal.updateMany({
          is_active: 1,
          uid: data.uid
        }, {
          $set: {
            full_name: data.full_name,
            profile_photo: data.profile_photo,
          }
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.editMyprofileShoutOutsModelDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      ShoutOutsModel.updateMany({
          is_active: 1,
          uid: data.uid
        }, {
          $set: {
            full_name: data.full_name,
            profile_photo: data.profile_photo,
          }
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }
  this.editMyprofileFoodTripDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      FoodTripModal.updateMany({
          is_active: 1,
          uid: data.uid
        }, {
          $set: {
            full_name: data.full_name,
            profile_photo: data.profile_photo,
          }
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }
  this.editMyprofileBazaarCityDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      BazaarCityModel.updateMany({
          is_active: 1,
          uid: data.uid
        }, {
          $set: {
            full_name: data.full_name,
            profile_photo: data.profile_photo,
          }
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }
  this.editMyprofileByeBuyItemsDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      ByeBuyItems.updateMany({
          is_active: 1,
          uid: data.uid
        }, {
          $set: {
            full_name: data.full_name,
            profile_photo: data.profile_photo,
          }
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.editMyprofileTambayanDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      TambayanModal.updateMany({
          is_active: 1,
          uid: data.uid
        }, {
          $set: {
            full_name: data.full_name,
            profile_photo: data.profile_photo,
          }
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }
  this.editMyprofilePinoyPreneurDao = async (data, obj) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      PinoyPreneursModal.updateOne({
          is_active: 1,
          uid: data.uid
        }, {
          $set: obj
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.PinoyPreneurDetailsDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      PinoyPreneursModal.find({
          is_active: 1,
          uid: data.user_id
        }).lean()
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }



  this.userFoodTripListDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      FoodTripModal.aggregate([{
            $match: {
              $and: [{
                  $expr: {
                    $eq: ["$is_active", 1]
                  }
                },
                {
                  $expr: {
                    $eq: ["$uid", data.user_id]
                  }
                }
              ]
            }
          },
          {
            $sort: {
              createdAt: -1
            }
          },
          // {
          //   $skip: data.PageNumber > 0 ? ((data.articlePageNumber - 1) * 10) : 0
          // },
          {
            $limit: 10
          },
          {
            $project: {
              _id: 1,
              post_images: 1,
              mediaType: 1,
              youtube_link: 1,
              title: 1,
              number_of_likes: 1,
              number_of_comments: 1,
              source: 1,
              province_name: 1,
              createdAt: 1,
            }
          }
        ])

        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }


  this.getOnePostDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      FoodTripModal.findOne({
          is_active: 1,
          _id: data.post_id
        }, {
          _id: 1,
          uid: 1,
          post_images: 1,
          team: 1,
          post_description: 1,
          profile_photo: 1,
          full_name: 1,
          is_active: 1,
          createdAt: 1

        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }


  this.editOnePostDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      FoodTripModal.updateOne({
          is_active: 1,
          _id: data.post_id
        }, {
          $set: {
            post_images: data.post_images,
            post_description: data.post_description,
            updatedAt: new Date(),
            hashtags: data.hashtags,
            location: data.location == undefined ? null : data.location,
            youtube_link: data.youtube_link == undefined ? null : data.youtube_link
          }
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.deleteOnePostDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      FoodTripModal.deleteOne({
          _id: data.post_id
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }
  
 
  this.blockUserDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      const blockAndReportModelObject = new blockAndReportModel(data)

      blockAndReportModelObject.save(function (error, result) {
         console.log("res", result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  this.blockUserListDao = async (data) => {
    console.log("data",data)
    var response = {}
    return new Promise(function (resolve, reject) {
      blockAndReportModel.find({
        actionBy:data.uid,
          is_active: 1,
        }).lean()
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }


  this.unBlockUserDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      blockAndReportModel.updateOne({
          is_active: 1,
          _id: data.postId
        }, {
          $set: {
            is_active: 0
          }
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.getOneBlockedBYDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      blockAndReportModel.find({
        uuid: data.uid,
        type: 'Block',
        is_active: 1
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.getOneBlockedUsersDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      blockAndReportModel.find({
        actionBy: data.uid,
        type: 'Block',
        is_active: 1
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }


  this.userBazaarCityListServiceDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {

      BazaarCityModel.aggregate([{
            $match: {
              $and: [{
                  $expr: {
                    $eq: ["$is_active", 1]
                  }
                },
                {
                  $expr: {
                    $eq: ["$uid", data.uid]
                  }
                }
              ]

            }
          },
          {
            $sort: {
              createdAt: -1
            }
          },
          // {
          //     $skip: data.PageNumber > 0 ? ((data.PageNumber - 1) * 10) : 0
          // },
          {
            $limit: 10
          },
          {
            $project: {
              _id: 1,
              uid: 1,
              item_name: 1,
              item_images: 1,
              category: 1,
              price: 1,
              post_description:1,
              province_name: 1,
              profile_photo: 1,
              full_name: 1,
              number_of_likes: 1,
              number_of_comments: 1,
              is_active: 1,
              createdAt: 1,
            }
          }
        ])
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }
  this.userBazaarCityCountDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {

      BazaarCityModel.find({
          is_active: 1,
          uid: data.user_id
        })
        .count()
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.getOneBazaarCityPostDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      BazaarCityModel.findOne({
          is_active: 1,
          _id: data.post_id
        }, {
          _id: 1,
          uid: 1,
          item_name: 1,
          item_images: 1,
          category: 1,
          price: 1,
          province_name: 1,
          profile_photo: 1,
          full_name: 1,
          number_of_likes: 1,
          number_of_comments: 1,
          is_active: 1,
          createdAt: 1
        }).lean()
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }


  this.deleteOneBazaarCityPostDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      BazaarCityModel.deleteOne({
          _id: data.post_id
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.editOneBazaarCityPostDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      BazaarCityModel.updateOne({
          is_active: 1,
          _id: data.post_id
        }, {
          $set: {
            item_name: data.item_name,
            item_images: data.item_images,
            updatedAt: new Date(),
            category: data.category,
            price: data.price,
            post_description:data.post_description
          }
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }


  this.userBuyBuyItemsListDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      ByeBuyItems.aggregate([{
            $match: {
              $and: [{
                  $expr: {
                    $eq: ["$is_active", 1]
                  }
                },
                {
                  $expr: {
                    $eq: ["$uid", data.uid]
                  }
                }
              ]
            }
          },
          {
            $sort: {
              createdAt: -1
            }
          },
          // {
          //   $skip: data.PageNumber > 0 ? ((data.articlePageNumber - 1) * 10) : 0
          // },
          {
            $limit: 10
          },
          {
            $project: {
              _id: 1,
              post_images: 1,
              mediaType: 1,
              youtube_link: 1,
              title: 1,
              number_of_likes: 1,
              number_of_comments: 1,
              source: 1,
              province_name: 1,
              createdAt: 1,
            }
          }
        ])

        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }


  this.userBuyBuyItemsListDao1 = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      ByeBuyItems.aggregate([{
            $match: {
              $and: [{
                  $expr: {
                    $eq: ["$is_active", 1]
                  }
                },
                {
                  $expr: {
                    $eq: ["$uid", data.user_id]
                  }
                }
              ]
            }
          },
          {
            $lookup: {
              from: "likes",
              let: {
                userId: '$uid',
                postId: {
                  "$toString": "$_id"
                }
              },
              pipeline: [{
                $match: {
                  $expr: {
                    $and: [{
                      $eq: ["$uid", "$$userId"],
                      $eq: ["$post_id", "$$postId"],
                    }, ]
                  }
                }
              }],
              as: "likes"
            }
          },
          // {
          //   $unwind: "$likes"
          // },
          {
            $sort: {
              createdAt: -1
            }
          },
          {
            $skip: data.PageNumber > 0 ? ((data.articlePageNumber - 1) * 10) : 0
          },
          {
            $limit: 10
          },
          {
            $project: {
              _id: 1,
              uid: 1,
              item_name: 1,
              purpose_to_add: 1,
              enter_your_price: 1,
              is_this_price: 1,
              post_images: 1,
              post_description:1,
              number_of_likes: 1,
              number_of_comments: 1,
              category: 1,
              full_name: 1,
              profile_photo: 1,
              is_active: 1,
              createdAt: 1,
              likedBy: {
                $cond: {
                  if: {
                    $gt: [{
                      $size: "$likes"
                    }, 0]
                  },
                  then: 1,
                  else: 0
                }
              },
              // likes: 1
            }
          }
        ])

        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }













  this.ListUserPostedBuyBuyItemDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      ByeBuyItems.find({
          $and: [{
            is_active: 1
          }, {
            uid: data.user_id
          }]
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.ViewUserBuyBuyItemDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      ByeBuyItems.find({
          $and: [{
            is_active: 1
          }, {
            _id: data.post_id
          }]
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }
  this.EditUserBuyBuyItemDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      ByeBuyItems.updateOne({
          is_active: 1,
          _id: data.post_id
        }, {
          $set: {
            item_name: data.item_name,
            category: data.category,
            purpose_to_add: data.purpose_to_add,
            enter_your_price: data.enter_your_price,
            item_images: data.item_images,
            is_this_price: data.is_this_price,
            post_images: data.post_images,
            updatedAt: new Date(),
          }
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.DeleteUserBuyBuyItemDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      ByeBuyItems.deleteOne({
          _id: data.post_id
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.GetTotalUserListCountDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {

      myProfileModal.find({
          $and: [{
              is_active: 1
            },
            {
              uid: {
                $ne: data.uid
              }
            },
            {
              $or: [{
                  full_name: {
                    $regex: `${data.search}`,
                    $options: 'i'
                  }
                },
                {
                  province: {
                    $regex: `${data.search}`,
                    $options: 'i'
                  }
                }
              ]
            }
          ]
        })
        .count()
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.GetUserListDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {

      myProfileModal.aggregate([{
            $match: {
              $and: [{
                  $expr: {
                    $eq: ["$is_active", 1]
                  }
                },
                {
                  $expr: {
                    $ne: ["$uid", data.uid]
                  }
                },
                {
                  $or: [{
                      full_name: {
                        $regex: `${data.search}`,
                        $options: 'i'
                      }
                    },
                    {
                      province: {
                        $regex: `${data.search}`,
                        $options: 'i'
                      }
                    }
                  ]
                }
              ]
            }
          },
          {
            $sort: {
              createdAt: -1
            }
          },
          {
            $skip: data.pageNumber > 0 ? ((data.pageNumber - 1) * 10) : 0
          },
          {
            $limit: 10
          },
          {
            $project: {
              _id: 1,
              uid: 1,
              full_name: 1,
              profile_photo: 1,
              gender: 1,
              province_name: 1,
              province: 1,
              user_status: 1,
              is_active: 1,
              createdAt: 1,
            }
          }
        ])
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }





  this.userConnectRequestDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      const connectionModelObject = new connectionModel(data)
      connectionModelObject.save(function (error, result) {
        // console.log("res", result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }

  this.addUserConnectNotificationDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      const notificationModelObject = new notificationModel(data)
      notificationModelObject.save(function (error, result) {
        // console.log("res", result)
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.data = result
        }
        resolve(response)
      })
    })
  }






  this.checkUserConnectionDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {

      connectionModel.find({
          is_active: 1,
          uid: data.uid,
          ConnectionUser_uid: data.user_id
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }


  this.checkUserConnectionDao1 = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {

      connectionModel.find({
          is_active: 1,
          uid: data.uid,
          ConnectionUser_uid: data.ConnectionUser_uid
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }



  this.getOneConnectionProfile = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      myProfileModal.find({
        uid: data.ConnectionUser_uid
      }, function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.result = result
        }
        resolve(response)
      })
    })
  }

  this.getOneConnectionProfile1 = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {
      myProfileModal.find({
        uid: data.uid
      }, function (error, result) {
        if (error) {
          console.log(error)
          response.error = true
        } else {
          response.error = false
          response.result = result
        }
        resolve(response)
      })
    })
  }

  this.getTotalUserConnectionListDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {

      connectionModel.find({
          is_active: 1,
          uid: data.uid
        })
        .count()
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.getUserConnectionListDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {

      connectionModel.aggregate([{
            $match: {
              is_active: 1,
              uid: data.uid
            }
          },
          {
            $sort: {
              createdAt: -1
            }
          },
          {
            $skip: data.pageNumber > 0 ? ((data.pageNumber - 1) * 10) : 0
          },
          {
            $limit: 10
          },
          {
            $project: {
              _id: 1,
              uid: 1,
              ConnectionUser_uid: 1,
              ConnectionUser_full_name: 1,
              ConnectionUser_profile_photo: 1,
              is_active: 1,
              createdAt: 1,
            }
          }
        ])
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }
  this.getUserConnectionListGroupDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {

      connectionModel.aggregate([
        // {
        //     $match: {
        //       is_active: 1,
        //       uid: data.uid
        //     }
        //   },

        {
          $match: {
            uid: data.uid,
            is_active: 1,
            $or: [
              {
                ConnectionUser_full_name: {
                  $regex: data.search,
                  $options: "i",
                },
              },
            ],
          },
        },
        {
          $unionWith: {
            coll: "userprofiles",
            pipeline: [
              {
                $match: {
                  is_active: 1,
                  $or: [
                    {
                      full_name: {
                        $regex: data.search,
                        $options: "i",
                      },
                    },
                  ],
                },
              }

            ],
          },
        },
          // {
          //   $sort: {
          //     createdAt: -1
          //   }
          // },
          {
            $skip: data.pageNumber > 0 ? (data.pageNumber * data.limit) : 0
          },
          {
            $limit: 10
          },
          
        ])
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  
  this.getUserConnectionListGroupCountDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {

      connectionModel.aggregate([
        {
          $match: {
            uid: data.uid,
            is_active: 1,
            $or: [
              {
                ConnectionUser_full_name: {
                  $regex: data.search,
                  $options: "i",
                },
              },
            ],
          },
        },
        {
          $unionWith: {
            coll: "userprofiles",
            pipeline: [
              {
                $match: {
                  is_active: 1,
                  $or: [
                    {
                      full_name: {
                        $regex: data.search,
                        $options: "i",
                      },
                    },
                  ],
                },
              }

            ],
          },
        },
         
        ])
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }

  this.userDisconnectConnectDao = async (data) => {
    var response = {}
    return new Promise(function (resolve, reject) {

      connectionModel.deleteOne({
          is_active: 1,
          uid: data.uid,
          ConnectionUser_uid: data.ConnectionUser_uid
        })
        .then((result) => {
          response.error = false
          response.result = result
          // console.log(result);
          resolve(response)

        })
        .catch((error) => {
          response.error = true
          resolve(response)

          console.log(error);
        });
    })
  }


}