const mongoose = require("mongoose")

const Schema = mongoose.Schema;

const ArticleSchema = new Schema({
    article_id :{
        type: String, required: [false, 'UserId is required'] 
       },

       Uid:{type:String},
    article_imageurl :{
     type: String, required: [false, 'media is required'] 
    },

    mediaType :
     { type: String, required: [false, 'mediaType is required'] },

	tag_id: {
     type: String, required: [false, 'tag_id is required'],default: null },
     tag_name: {
        type: String, required: [false, 'tag_id is required'],default: null }, 


	title: {
        type: String, required: [false, 'title is required'] },
	description: {
    type: String, required: [false, 'description is required'] },
    
	is_active:{ type: String, required: false, default: "1" },


}, {
	timestamps: {
		createdAt: 'createdAt',
		updatedAt: 'updatedAt'
	},
});


const ArticleModal = mongoose.model('articles', ArticleSchema)

module.exports = ArticleModal
