const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const blockAndReportSchema = new Schema({

    uuid: {
        type: String
    },
    type: {
        type: String,
        default: null
    },
    actionBy: {
        type: String
    },
   
    is_active: {
        type: Number,
        default: 0
    },
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    }
})

const blockandreport = mongoose.model('blockandreport', blockAndReportSchema)
module.exports = blockandreport