const mongoose=require('mongoose');
const Schema=mongoose.Schema;

const couponPdfDownloadSchema= new Schema({
    uid: {
        type: String,
        default: null
    },
    coupon_id: {
        type: String,
        default: null
    },
    pdf_url: {
        type: String,
        default: null
    },
    
   
    is_active: {
        type: Number,
        default: 0
    },
 
    deleted:{
        type:String,
        default:"false"
    }


}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },

})

const couponPdfDownload = mongoose.model('couponPdfDownload', couponPdfDownloadSchema)
module.exports = couponPdfDownload