const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const userProfileSchema = new Schema({

    uid: {
        type: String
    },
    username: {
        type: String,
        default: null
    },
    full_name: {
        type: String
    },
    eMail_id: {
        type: String,
        default: null
    },
    phone_number: {
        type: String,
        default: null
    },
    gender: {
        type: String,
        default: null
    },
    age_group: {
        type: String,
        default: null
    },
    home_country: {
        type: String,
        default: null
    },
    current_country: {
        type: String,
        default: null
    },
    current_city: {
        type: String,
        default: null
    },
    city: {
        type: String,
        default: null
    },
    province: {
        type: String,
        default: null
    },
    hobbies: {
        type: String,
        default: null
    },
    hometown:{
        type: String,
        default: null
    },
    industry_working_in: {
        type: String,
        default: null
    },
    favorite_quote: {
        type: String,
        default: null
    },
    profile_photo: {
        type: String,
        default: null
    },
    user_status: {
        type: String,
        default: null
    },
    pinoy_preneur: {
        type: Number,
        default: 0
    },

    is_active: {
        type: Number,
        default: 0
    },
    device_token: {
        type: String,
        default: null
    },
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    }
})

const myProfile = mongoose.model('userProfile', userProfileSchema)
module.exports = myProfile