const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const PostImageSchema = new Schema({
    post_image : {
        type: String,
        default: null
    },
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },

}, {
    versionKey: false
})

const PostImage = mongoose.model('PostImage', PostImageSchema)
module.exports = PostImage