const mongoose = require('mongoose')

const Schema = mongoose.Schema;

const referralSchema = new Schema({
    uid: {
        type: String,
        default: null
    },
    referral_code: {
        type: String,
        default: null

    },
    reffered_count: {
        type: Number,
        default: 0
    },
    is_active: {
        type: Number,
        default: 0
    },
}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },

}, {
    versionKey: false
})

const referralSchemas = mongoose.model('referrals', referralSchema)
module.exports = referralSchemas