const mongoose = require ('mongoose')

const Schema = mongoose.Schema;

const tambayanSchema = new Schema({


uid:{ type: String },
subject:{ type: String,default:null,required:true},
description:{ type: String,default:null,required:true },
number_of_likes: { type: Number, default:0},
number_of_comments: { type: Number, default:0},
file_type:{type: String},
file_url:{type: String},
//profile details
full_name:{ type: String ,default:null},
profile_photo:{ type: String ,default:null},
is_active: { type: Number, default:0},
template_id :{type:String,default:null}
},{
timestamps: {
    createdAt: 'createdAt',
    updatedAt: 'updatedAt'
}
})

const tambayan = mongoose.model('tambayanposts', tambayanSchema )
module.exports = tambayan