const mongoose = require('mongoose')
const Schema = mongoose.Schema;

const createtasteOfManila = new Schema({
    CompanyName: {
        type: String,
        default: null
    },
    ContactName: {
        type: String,
        default: null
    },

    BusinessName: {
        type: String,
        default: null
    },
    MobileNumber: {
        type: String,
        default: null
    },
    EmailAddress: {
        type: String,
        default: null
    }, Website: {
        type: String,
        default: null
    }, ProductsServices: {
        type: String,
        default: null
    }, Booth: {
        type: mongoose.Schema.Types.Mixed,
        default:null
    }, Tent: {
        type: mongoose.Schema.Types.Mixed,
        default:null
    }, Table: {
        type: mongoose.Schema.Types.Mixed,
        default:null
    }, Chairs: {
        type: mongoose.Schema.Types.Mixed,
        default:null
    }, CleaningDeposit: {
        type: mongoose.Schema.Types.Mixed,
        default:null
    }, total: {
        type: mongoose.Schema.Types.Mixed,
        default:null
    }, sign: {
        type: mongoose.Schema.Types.Mixed,
        default:null
    },
    pdf: {
        type: String,
        default: null
    },
    is_active: {
        type: Number,
        default: 0
    },

}, {
    timestamps: {
        createdAt: 'createdAt',
        updatedAt: 'updatedAt'
    },
})

const tasteOfManila = mongoose.model('tasteOfManila', createtasteOfManila)
module.exports = tasteOfManila