module.exports = function (app, validator) {
    const {
      check,
      validationResult
    } = require('express-validator')
    var userPath = '/admin'
    // require('../../utils/error.js')()
  
    var userController = require('../../controller/admin/NewPinoysController')
    require('dotenv').config()
    var userControllerObject = new userController()

   
   

  app.post(userPath + '/addNewPinoys',app.Verifyauth, [
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.addNewPinoys(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }
  })
  })

  app.post(userPath + '/getNewPinoysList',app.Verifyauth, [
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.getNewPinoys(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }   
   })
  })
  app.post(userPath + '/getNewPinoysDescription',app.Verifyauth, [
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.getNewPinoysDescription(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }
    })
  })
  app.post(userPath + "/newPinoysPin" ,app.Verifyauth,(request,response)=>{
    const errors =validationResult(request)
    if(!errors.isEmpty()){
        const errorArray =errors.array()
        const errorResponse ={}
        errorResponse = true
        errorResponse.message = errorArray[0].msg
        response.status(404);
        return response .send(errorResponse)
    }
    userControllerObject.newPinoysPinController(request, function(results){
        if(results.error){
            response.status(results.statusCode);
            return response.send(results)
        }else{
            return response.send(results)
        }
    })
})


  app.post(userPath + '/deleteOneNewPinoys',app.Verifyauth, [
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.deleteNewPinoysController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })
  app.post(userPath + '/editOneNewPinoy',app.Verifyauth, [
    // check('email').exists().isLength({ min: 1 }).withMessage('email is Empty'),
  ], (request, response) => {
    const errors = validationResult(request)
    if (!errors.isEmpty()) {
      var errorArray =errors.array()
      var errorResponse = {}
      errorResponse.error = true
      errorResponse.message = errorArray[0].msg
      response.status(404);
      return response.send(errorResponse)
    }
   
    userControllerObject.editNewPinoysController(request, function(results) {
      if(results.error){
        response.status(results.statusCode);
        return response.send(results)
    }else{
        return response.send(results)
    }    })
  })
  
}