module.exports = function (app) {
    const {
        check,
        validationResult
    } = require('express-validator')
    var userPath ='/admin'
    const ReferralController = require('../../controller/admin/ReferralController')
    require('dotenv').config()
    const ReferralControllerObject = new ReferralController()


    app.post(userPath + '/listReferrals',  app.Verifyauth,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        ReferralControllerObject.listReferralController(request, function (results) {
            // console.log("listCouponsController",results)
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })


    app.post(userPath + '/viewAdminReferral',  app.Verifyauth,(request,response)=>{
        const errors=validationResult(request)
        if(!errors.isEmpty()){
            var errorArray =errors.array()
            var errorResponse = {}
            errorResponse.error = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        ReferralControllerObject.viewReferralController(request, function (results) {
            if(results.error){
                response.status(results.statusCode);
                return response.send(results)
            }else{
                return response.send(results)
            }
          })
    })



}