const { request, response } = require('express')
const { ObjectId } = require('mongodb');

module.exports = function(app) {
    const {
        check,validationResult
    } =require('express-validator')
    var userPath ='/admin'
    require('dotenv').config()
    var ContactModal = require("../../modal/web/ContactModal")
    // var ContactFormModal = require("../../modal/web/ContactDetailsFormModal")

    app.post(userPath + '/registeredcontact', app.Verifyauth , async(req,res)=>{
        try {  

        const totalpages = await ContactModal.find().count()
        const page_number = req.body.page_number - 1 || 0
        const limit = req.body.row_per_page
        const totalPages = totalpages / limit
        const contact = await ContactModal.find({}).sort({createdAt: 'desc'})
        .skip(page_number * limit)
        .limit(limit)
            res.status(200).send({"error":false,  totalPages : Math.ceil(totalPages),data: contact})    
        } catch (err) {
            res.status(200).json({"error":true,message :"something went wrong"});
        }
    })
}