const { request } = require('express')

module.exports= function(app){
    const{check,validationResult}=require('express-validator')
    const userPath='/web'
    require('dotenv').config()
    const EventController=require('../../controller/web/EventController')
    const EventControllerObject=new EventController()

    app.post(userPath+'/tasteOfManila',app.Verifyauth, (request,response)=>{
        // console.log('requestaddCoupon',request.body);
        const errors = validationResult(request)
        if (!errors.isEmpty()) {
            const errorArray = errors.array()
            const errorResponse = {}
            errorResponse = true
            errorResponse.message = errorArray[0].msg
            response.status(404);
            return response.send(errorResponse)
        }
        EventControllerObject.createTasteOfManilaController(request, function (results) {
            if (results.error) {
                response.status(results.statusCode);
                return response.send(results)
            } else {
                return response.send(results)
            }
        })
    })

   
}