const express = require('express');
const router = express.Router();

module.exports = function(app) {
var userPath ='/web'
var BazaarCityModel = require('../../modal/web/BazaarCityModel')
var PostImageModal = require('../../modal/web/PostImage')
var DonasyanModal = require('../../modal/web/DonasyanModal')
var FoodTripModal = require('../../modal/web/FoodTripModal')

app.post(userPath +'/postimage', async (req, res) => {

  try {
    if(req.body.type == "BazaarCity"){
        const bazaarCity = await BazaarCityModel.findById({_id : req.body.postId}).select('item_images')
        res.status(200).send({"error":false, bazaarCity})
    }else if(req.body.type == "Donasyan"){
        const Donasyan = await DonasyanModal.findById({_id : req.body.postId}).select('post_images')
        res.status(200).send({"error":false,Donasyan})
    }else if(req.body.type == "FoodTrip"){
        const FoodTrip = await FoodTripModal.findById({_id : req.body.postId}).select('post_images')
        res.status(200).send({"error":false,FoodTrip})
    }else{
        res.status(200).send({"error":true,message: 'invalid type or postId'})
    }
  } catch (err) {
    res.status(200).json({"error":true,message :"invalid  id"});
  }
});

}