module.exports = function () {
    var userDao = require('../../dao/admin/NiknokDao')

    const STRINGS = require('../../strings.json')
    // require('../utils/common.js')()
    require('dotenv').config()
    var userDaoObject = new userDao()

    this.addNiknokService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                
                // object.uid = request.body
                // var checkUidDao = await userDaoObject.checkUidDao(object)
                    var signupDaoRespone = await userDaoObject.addNiknokDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.GetNiknokListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                request.body.pageNumber =  request.body.pageNumber.length == 0 ? 0: request.body.pageNumber
                pageNumber = request.body.pageNumber
                request.body.RowsPerpage =  request.body.RowsPerpage.length == 0 ? 0: request.body.RowsPerpage
                RowsPerpage = request.body.RowsPerpage
                console.log(pageNumber);
                var getTotalArticlesListCountDao = await userDaoObject.getTotalNiknokListCountDao(request.body)
                
                if (getTotalArticlesListCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var lenght = getTotalArticlesListCountDao.result
                    var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber,RowsPerpage)
                    var signupDaoRespone = await userDaoObject.getNiknokListDao(request.body)
                    // console.log("getdata",signupDaoRespone)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.totalPages = paginationDetails.totalPages

                        response.data = signupDaoRespone.result
                        resolve(response)
                    }
                }
            }catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.GetNiknokService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
             
                    var signupDaoRespone = await userDaoObject.getNiknokImageDao(request.body)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

   
    this.deleteNiknokService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                    var signupDaoRespone = await userDaoObject.deleteNiknokDao(request.body)
                    console.log("nik",signupDaoRespone)
                    if (signupDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.editNiknokService = async (request) => {
        
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
              

                    var signupDaoRespone = await userDaoObject.editNiknokDao(request.body)

                    if (signupDaoRespone.error) {
                        response.error = true

                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = signupDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

   
}