module.exports = function () {
    var PinoyPreneursDao = require('../../dao/admin/PinoyPreneursDao')

    const STRINGS = require('../../strings.json')
    require('dotenv').config()
    var PinoyPreneursDaoObject = new PinoyPreneursDao()



    this.GetPinoyPreneursService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                request.body.pageNumber = request.body.pageNumber.length == 0 ? 0 : request.body.pageNumber
                pageNumber = request.body.pageNumber
                request.body.RowsPerpage = request.body.RowsPerpage.length == 0 ? 0 : request.body.RowsPerpage
                RowsPerpage = request.body.RowsPerpage
                var getTotalPinoyPreneursCountDao = await PinoyPreneursDaoObject.getTotalPinoyPreneursCountDao(request.body)
                console.log("getTotalPinoyPreneursCountDao", getTotalPinoyPreneursCountDao)
                if (getTotalPinoyPreneursCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var lenght = getTotalPinoyPreneursCountDao.result
                    var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber, RowsPerpage)
                    var PinoyPreneursDaoRespone = await PinoyPreneursDaoObject.getPinoyPreneursDao(request.body)
                    if (PinoyPreneursDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.totalPages = paginationDetails.totalPages
                        response.data = PinoyPreneursDaoRespone.result
                        resolve(response)
                    }
                }
                // console.log("getdata",signupDaoRespone)


            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.GetUserEmailIdService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var getOneUserDao = await PinoyPreneursDaoObject.getOneUserDao(request.body)
                // console.log("PinoyPreneursDaoRespone", getOneUserDao)
                if (getOneUserDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else if (getOneUserDao.data) {
                    request.body.uid = getOneUserDao.data.uid
                    // console.log("request.body.uid", request.body.uid)
                    // var getOnePinoyPreneurIdDao = await PinoyPreneursDaoObject.getOnePinoyPreneurIdDao(request.body)
                    // console.log("getOnePinoyPreneurIdDao1", getOnePinoyPreneurIdDao.data)
                    // if (getOnePinoyPreneurIdDao.error) {
                    //     response.error = true
                    //     response.statusCode = STRINGS.errorStatusCode
                    //     response.message = STRINGS.commanErrorString
                    //     resolve(response)
                    // } else {
                        // if (getOnePinoyPreneurIdDao.data.length > 0) {
                        //     response.error = false
                        //     response.statusCode = STRINGS.successStatusCode
                        //     response.message = STRINGS.SuccessString
                        //     response.data = getOnePinoyPreneurIdDao.data
                        //     resolve(response)
                        // } else {
                            var resp = {
                                _id: getOneUserDao.data.uid
                            }
                            response.error = false
                            response.statusCode = STRINGS.successStatusCode
                            response.message = STRINGS.SuccessString
                            response.data = resp
                            resolve(response)
                        // }
                    // }
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = "User Not Found"
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = false
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                // response.data = "user not Found"
                resolve(response)
            }

        })

    }

    this.GetOnePinoyPreneurService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                var GetOnePinoyPreneurDao = await PinoyPreneursDaoObject.getOnePinoyPreneursDao(request.body)
                // console.log("getone1",GetOnePinoyPreneurDao)

                if (GetOnePinoyPreneurDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else if (GetOnePinoyPreneurDao.data) {


                    var GetOnePinoyPreneurProductsDao = await PinoyPreneursDaoObject.GetOnePinoyPreneurProductsDao(request.body)
                    // console.log("getone",GetOnePinoyPreneurProductsDao)
                    if (GetOnePinoyPreneurProductsDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        var b = GetOnePinoyPreneurProductsDao.result
                        var a = Object.assign({}, GetOnePinoyPreneurDao.data[0]._doc)
                        a.products = b

                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = a

                        resolve(response)
                    }
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = "PinoyPreneur Not Exist"
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }



    this.addPinoyPreneurService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                // request.body.eMail_id = 'test@gmail.com'

                // const eMail_id = req.headers.eMail_id

                var getOneUserDao = await PinoyPreneursDaoObject.getOneUserIdDao(request.body)
                console.log("getOneUserDao", getOneUserDao)
                if (getOneUserDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else if (getOneUserDao.data) {
                    // var checkPinoyPreneurDao = await PinoyPreneursDaoObject.checkMyProfileDao(getOneUserDao.data)
                    // console.log("checkPinoyPreneurDao", checkPinoyPreneurDao)
                    // if (checkPinoyPreneurDao.error) {
                    //     response.error = true
                    //     response.statusCode = STRINGS.errorStatusCode
                    //     response.message = STRINGS.oopsErrorMessage
                    //     resolve(response)
                    // } else if (checkPinoyPreneurDao.data) {
                    //     response.error = false
                    //     response.statusCode = STRINGS.successStatusCode
                    //     response.message = STRINGS.SuccessString
                    //     response.data = "User Already Exist"
                    //     resolve(response)
                    // } else {
                        var object = {
                            // user_email: request.body.eMail_id,
                            uid: getOneUserDao.data.uid,
                            business_logo: request.body.business_logo,
                            business_name: request.body.business_name,
                            business_description: request.body.business_description,
                            nature_of_business: request.body.nature_of_business,
                            catrgory: request.body.catrgory,
                            professional_license_number: request.body.professional_license_number,
                            brokerage_license_number: request.body.brokerage_license_number,
                            company_website_link: request.body.company_website_link,
                            company: request.body.company,
                            email_id: request.body.email_id,
                            phone_number: request.body.phone_number,
                            address: request.body.address,
                            city: request.body.city,
                            province_name: request.body.province_name,
                            postal_code: request.body.postal_code,
                            template_id: request.body.template_id,
                            position: request.body.position,
                            is_active: 1,
                            profile_photo: getOneUserDao.data.profile_photo,
                            full_name: getOneUserDao.data.full_name
                        }
                        var addPinoyPreneurDao = await PinoyPreneursDaoObject.addPinoyPreneursDao(object)
                        // console.log("addPinoyPreneurDaos", addPinoyPreneurDao)
                        if (addPinoyPreneurDao.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.oopsErrorMessage
                            resolve(response)
                        } else {

                            var productsData = [];
                            var products = request.body.products
                            products.forEach((val, ind) => {
                                var object1 = {
                                    // uid: request.body.uid,
                                    PinoyPreneur_id: addPinoyPreneurDao.data._id,
                                    product_title: val.product_title,
                                    product_image: val.product_image,
                                    product_description: val.product_description,
                                    is_active: 1
                                }
                                productsData.push(object1)
                            });


                            var addPinoyPreneurProductsDao = await PinoyPreneursDaoObject.addPinoyPreneurProductsDao(productsData)
                            // console.log("addPinoyPreneurProductsDao", addPinoyPreneurProductsDao)

                            if (addPinoyPreneurProductsDao.error) {
                                response.error = true
                                response.statusCode = STRINGS.errorStatusCode
                                response.message = STRINGS.oopsErrorMessage
                                resolve(response)
                            } else {
                                request.body.uid = getOneUserDao.data.uid
                                var updateUserStatusDao = await PinoyPreneursDaoObject.updateUserStatusDao(request.body)
                                // console.log("updateUserStatusDao", updateUserStatusDao)
                                if (updateUserStatusDao.error) {
                                    response.error = true
                                    response.statusCode = STRINGS.errorStatusCode
                                    response.message = STRINGS.oopsErrorMessage
                                    resolve(response)
                                } else {

                                    response.error = false
                                    response.statusCode = STRINGS.successStatusCode
                                    response.message = STRINGS.SuccessString
                                    response.data = addPinoyPreneurDao.data
                                    resolve(response)
                                }
                            }
                        }
                    // }
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = "user Not Found"
                    resolve(response)

                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }


    this.editPinoyPreneurService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {

                var object = {
                    business_logo: request.body.business_logo,
                    business_name: request.body.business_name,
                    business_description: request.body.business_description,
                    nature_of_business: request.body.nature_of_business,
                    category: request.body.category,
                    professional_license_number: request.body.professional_license_number,
                    brokerage_license_number: request.body.brokerage_license_number,
                    company_website_link: request.body.company_website_link,
                    company: request.body.company,
                    email_id: request.body.email_id,
                    phone_number: request.body.phone_number,
                    address: request.body.address,
                    position: request.body.position,
                    city: request.body.city,
                    province_name: request.body.province_name,
                    postal_code: request.body.postal_code,
                    template_id: request.body.template_id,
                    is_active: 1
                }

                var GetOnePinoyPreneurDao = await PinoyPreneursDaoObject.updatePinoyPreneurDao(request.body, object)
                // console.log("GetOnePinoyPreneurDao", GetOnePinoyPreneurDao)
                if (GetOnePinoyPreneurDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else if (request.body.products.length == 0) {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    resolve(response)
                } else {
                    var products = request.body.products
                    // console.log("products", products)
                    products.forEach(async (val, ind) => {
                        // console.log("val", ind)
                        var PinoyPreneurProductDao = await PinoyPreneursDaoObject.PinoyPreneurProductDao(val)
                        // console.log("vals", val._id)
                        if (PinoyPreneurProductDao.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.commanErrorString
                            resolve(response)
                        } else if (PinoyPreneurProductDao.result) {
                            // console.log("PinoyPreneurProductDao")
                            var object = {
                                product_title: val.product_title,
                                product_image: val.product_image,
                                product_description: val.product_description,
                                is_active: 1
                            }
                            var GetOnePinoyPreneurProductsDao = await PinoyPreneursDaoObject.updatePinoyPreneurProductDao(val, object)
                            // console.log("GetOnePinoyPreneurProductsDao", GetOnePinoyPreneurProductsDao)

                            if (GetOnePinoyPreneurProductsDao.error) {
                                response.error = true
                                response.statusCode = STRINGS.errorStatusCode
                                response.message = STRINGS.commanErrorString
                                resolve(response)
                            } else {
                                if (ind == products.length - 1) {
                                    response.error = false
                                    response.statusCode = STRINGS.successStatusCode
                                    response.message = STRINGS.SuccessString
                                    resolve(response)
                                }
                            }

                        } else {
                            var savePinoyPreneurProductDao = await PinoyPreneursDaoObject.savePinoyPreneurProductDao(request.body)
                            // console.log("savePinoyPreneurProductDao", savePinoyPreneurProductDao)

                            if (savePinoyPreneurProductDao.error) {
                                response.error = true
                                response.statusCode = STRINGS.errorStatusCode
                                response.message = STRINGS.commanErrorString
                                resolve(response)
                            } else {

                                if (ind == products.length - 1) {
                                    response.error = false
                                    response.statusCode = STRINGS.successStatusCode
                                    response.message = STRINGS.SuccessString
                                    resolve(response)
                                }
                            }

                        }

                    })


                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.addPinoyPreneurProductService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var addPinoyPreneurDao = await PinoyPreneursDaoObject.addPinoyPreneursDao(request.body)
                if (addPinoyPreneurDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    var productsData = [];
                    var products = request.body.products
                    products.forEach((val, ind) => {
                        var object1 = {
                            // uid: request.body.uid,
                            PinoyPreneur_id: request.body.PinoyPreneur_id,
                            product_title: val.product_title,
                            product_image: val.product_image,
                            product_description: val.product_description,
                            is_active: 1
                        }
                        productsData.push(object1)
                    });

                }
                var PinoyPreneursProductRespone = await PinoyPreneursDaoObject.addPinoyPreneurProductsDao(productsData)
                if (PinoyPreneursProductRespone.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = PinoyPreneursProductRespone.data
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.deletePinoyPreneurProductService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                var PinoyPreneurProductDaoRespone = await PinoyPreneursDaoObject.deletePinoyPreneurProductDao(request.body)

                if (PinoyPreneurProductDaoRespone.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = PinoyPreneurProductDaoRespone.data
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.hideUnhidePinoyPreneurService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                if(request.body.action=='hide'){
                    var hidePinoyPreneurDao = await PinoyPreneursDaoObject.hidePinoyPreneurDao(request.body)
                    if (hidePinoyPreneurDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.result = hidePinoyPreneurDao.data
                        resolve(response)
                    }
                }else if(request.body.action=='unhide'){
                    var unhidePinoyPreneurDao = await PinoyPreneursDaoObject.unhidePinoyPreneurDao(request.body)
                    
                    if (unhidePinoyPreneurDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.result = unhidePinoyPreneurDao.data
                        resolve(response)
                    }
                }

            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }
    
}