module.exports = function () {
    var provinceNameDao = require('../../dao/admin/ProvincesNameDao')

    const STRINGS = require('../../strings.json')
    require('dotenv').config()
    var provinceNameDaoObject = new provinceNameDao()

    this.addProvinceNameService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                    var provinceDaoRespone = await provinceNameDaoObject.addProvinceNameDao(request.body)
                    if (provinceDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = provinceDaoRespone.data
                        resolve(response)
                    }
                }
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.GetProvinceNameService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
               
                    var provinceDaoRespone = await provinceNameDaoObject.getProvinceNameDao(request.body)
                    if (provinceDaoRespone.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                         response.data = provinceDaoRespone.data
                        resolve(response)
                    }
                }             
                    // console.log("getdata",signupDaoRespone)
                   
                
            catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

  

   
   
   
}