module.exports = function () {
    var SubscriptionDao = require('../../dao/admin/SubscriptionDao')

    const STRINGS = require('../../strings.json')
    // const common= require('../../utils/common')
    require('../../utils/common')()


    require('dotenv').config()
    var SubscriptionDaoObject = new SubscriptionDao()
    // var commonObject = new common()




    this.editOneSubscriptionPlanService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var obj = {}
                // obj.post_type = 'businessDirectory'
                // obj.subscription_fee = 75
                // obj.subscription_validity = 1
                // obj.subscription_validity_type = 'month'
                // obj.is_active = 1
                // request.body.uid = '4c19d0cd-aa55-4751-a43a-efc9ef6e63c8'
                var addOneJobPlanDao = await SubscriptionDaoObject.editOneJobPlanDao(request.body)
                if (addOneJobPlanDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = addOneJobPlanDao.result
                    resolve(response)
                }
            } catch (e) {
                // console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }

    this.getOneSubscriptionDetailService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var obj = {}
                var getOneSubscriptionDetailDao = await SubscriptionDaoObject.getOneSubscriptionDetailDao(request.body)
                if (getOneSubscriptionDetailDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else { 
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = getOneSubscriptionDetailDao.result
                    resolve(response)
                }
            } catch (e) {
                // console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }

    this.getALLSubscriptionListService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                // request.body.uid = '4c19d0cd-aa55-4751-a43a-efc9ef6e63c8'
                request.body.is_active = 1
                request.body.pageNumber = request.body.pageNumber.length == 0 ? 0 : request.body.pageNumber
                var pageNumber = request.body.pageNumber
                request.body.RowsPerpage = request.body.RowsPerpage.length == 0 ? 0 : request.body.RowsPerpage
                RowsPerpage = request.body.RowsPerpage
                var getTotalSubscriptionListDao = await JobCentreDaoObject.getTotalSubscriptionListDao(request.body)
                if (getTotalSubscriptionListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else if (getTotalSubscriptionListDao.result > 0) {
                    var lenght = getTotalSubscriptionListDao.result
                    var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber, RowsPerpage)

                    // request.body.uid = '4c19d0cd-aa55-4751-a43a-efc9ef6e63c8'
                    var getALLSubscriptionListDao = await JobCentreDaoObject.getALLSubscriptionListDao(request.body)
                    if (getALLSubscriptionListDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.totalPages = paginationDetails.totalPages
                        response.data = getALLSubscriptionListDao.result
                        resolve(response)
                    }
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.totalPages = 0
                    response.data = []
                    resolve(response)
                }
            } catch (e) {
                // console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }
















}