module.exports = function () {
    const featurePostDao = require('../../dao/web/FeaturePostDao')
    const STRINGS = require('../../strings.json')
    require('dotenv').config()
    const featurePostDaoObject = new featurePostDao()
    const likesDao = require('../../dao/web/LikesDao')




    this.featurePostService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                //var uid="4c19d0cd-aa55-4751-a43a-efc9ef6e63c7"
                object.uid = request.body.uid
                object.post_id = request.body.post_id
                object.post_type = request.body.post_type
                var featurePostResponse = await featurePostDaoObject.searchingFeaturePost(object)
                var datas = featurePostResponse.data
                // console.log("featurePostresponse", datas)

                // let p2 = Object.assign({}, datas[0]._doc);
                if (datas) {
                    if (request.body.post_type == "foodTrip") {
                        object.status = "waiting"
                        object.post_description = datas.post_description
                        object.post_images = datas.post_images
                        object.profile_photo = datas.profile_photo
                        object.full_name = datas.full_name
                        object.location = datas.location
                        object.is_active = datas.is_active
                    } else if (request.body.post_type == "byeBuyItems") {
                        object.status = "waiting"
                        object.post_description = datas.purpose_to_add
                        object.post_images = datas.post_images
                        object.profile_photo = datas.profile_photo
                        object.full_name = datas.full_name
                        object.location = datas.location
                        object.item_name = datas.item_name
                        object.price = datas.enter_your_price
                        object.is_active = datas.is_active
                    } else if (request.body.post_type == "bazaarCity") {
                        object.status = "waiting"
                        object.post_description = null
                        object.post_images = datas.item_images
                        object.profile_photo = datas.profile_photo
                        object.full_name = datas.full_name
                        object.location = datas.province_name
                        object.item_name = datas.item_name
                        object.price = datas.price
                        object.is_active = datas.is_active
                    } else if (request.body.post_type == "PnationCalendar") {
                        object.status = "waiting"
                        object.post_description = null
                        object.post_images = datas.poster_image
                        object.profile_photo = datas.profile_photo
                        object.full_name = datas.full_name
                        // object.location = datas.province_name
                        object.item_name = datas.name_of_the_event
                        // object.price = datas.price
                        object.is_active = datas.is_active
                    }
                    //api call
                    // console.log("object",object)
                    var featurePostResponse = await featurePostDaoObject.postFeaturePost(object)
                    if (featurePostDaoObject.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = featurePostResponse.data

                        resolve(response)
                    }
                } else {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }
}