module.exports = function () {
    var HomeDao = require('../../dao/web/HomeDao')

    const STRINGS = require('../../strings.json')
    // const common= require('../../utils/common')
    require('../../utils/common')()


    require('dotenv').config()
    var HomeDaoObject = new HomeDao()
    // var commonObject = new common()



    this.HomePageArticlesListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                request.body.pageNumber = request.body.pageNumber.length == 0 ? 0 : request.body.pageNumber
                pageNumber = request.body.pageNumber
                console.log(pageNumber);
                var getTotalArticlesListCountDao = await HomeDaoObject.getTotalArticlesListCountDao(request.body)
                // console.log("getArticlesListDao",getArticlesListDao.result);

                if (getTotalArticlesListCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else if (getTotalArticlesListCountDao.result > 0) {
                    var lenght = getTotalArticlesListCountDao.result
                    var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber, 10)

                    var getArticlesListDao = await HomeDaoObject.getArticlesListDao(request.body)
                    if (getArticlesListDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        // object.articlesList = getArticlesListDao.result
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.totalPages = paginationDetails.totalPages
                        response.data = getArticlesListDao.result
                        resolve(response)
                    }
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.totalPages = 0
                    response.data = []
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }



    this.HomePageNewPinoysListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                request.body.pageNumber = request.body.pageNumber.length == 0 ? 0 : request.body.pageNumber
                pageNumber = request.body.pageNumber
                // console.log(pageNumber);
                var getTotalNewPinoysListCountDao = await HomeDaoObject.getTotalNewPinoysListCountDao(request.body)
                // console.log("getArticlesListDao",getArticlesListDao.result);

                if (getTotalNewPinoysListCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var lenght = getTotalNewPinoysListCountDao.result
                    var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber, 10)

                    var getNewPinoysListDao = await HomeDaoObject.getNewPinoysListDao(request.body)
                    if (getNewPinoysListDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        // object.articlesList = getArticlesListDao.result
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.totalPages = paginationDetails.totalPages
                        response.data = getNewPinoysListDao.result
                        resolve(response)

                    }
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }



    this.shoutOutsListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                var shoutOutsListDao = await HomeDaoObject.shoutOutsListDao(request.body)
                if (shoutOutsListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    // object.articlesList = getArticlesListDao.result
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = shoutOutsListDao.result
                    resolve(response)


                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }



    this.postVoteForSurveyService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                var getOneSurveyDao = await HomeDaoObject.getOneSurveyDao(request.body)
                // console.log("getOneSurveyDao",getOneSurveyDao)
                if (getOneSurveyDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else if (getOneSurveyDao.result) {
                    var getOneSurveyOptionDao = await HomeDaoObject.getOneSurveyOptionDao(request.body)
                    if (getOneSurveyOptionDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else if (getOneSurveyOptionDao.result) {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = "User Already Voted This Survey"
                        resolve(response)
                    } else {
                        request.body.is_active = 1
                        var addOneSurveyOptionDao = await HomeDaoObject.addOneSurveyOptionDao(request.body)
                        // console.log("getOneSurveyDao", getOneSurveyDao)
                        if (addOneSurveyOptionDao.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.commanErrorString
                            resolve(response)
                        } else {
                            var vote_count = getOneSurveyDao.result.votes + 1
                            request.body.votes = vote_count
                            var updateSurveyVotesDao = await HomeDaoObject.updateSurveyVotesDao(request.body)
                            if (updateSurveyVotesDao.error) {
                                response.error = true
                                response.statusCode = STRINGS.errorStatusCode
                                response.message = STRINGS.commanErrorString
                                resolve(response)
                            } else {
                                response.error = false
                                response.statusCode = STRINGS.successStatusCode
                                response.message = STRINGS.SuccessString
                                // response.data = getOneSurveyDao.result
                                resolve(response)
                            }
                        }
                    }
                } else {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = "Survey Not Found"
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.UserSurveyListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                var UserSurveyListDao = await HomeDaoObject.UserSurveyListDao1(request.body)
                console.log('UserSurveyListDao1',UserSurveyListDao)
                if (UserSurveyListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    // object.articlesList = getArticlesListDao.result
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = UserSurveyListDao.result
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.getOneSurveyService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                var viewOneSurveyDao = await HomeDaoObject.getOneSurveyDao(request.body)
                if (viewOneSurveyDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    object = viewOneSurveyDao.result
                    var optionList = viewOneSurveyDao.result.options
                    var options = []
                    var getOneUserSurveyVote = await HomeDaoObject.getOneUserSurveyVote(request.body)
                    console.log(getOneUserSurveyVote)
                    if (getOneUserSurveyVote.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        return resolve(response)
                    }
                    console.log("optionList", optionList)

                    await Promise.all(optionList.map(async (val, ind) => {
                        var obj = {}
                        obj.option = ind + 1
                        obj.survey_id = request.body.survey_id
                        var getOneSurveyVotesDao = await HomeDaoObject.getOneSurveyVotesDao(obj)
                        if (getOneSurveyVotesDao.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.commanErrorString
                            resolve(response)
                        } else {
                            var obj1 = val
                            // console.log("getOneSurveyVotesDao", getOneSurveyVotesDao.result,object.votes)
                            var vote_percentage = (getOneSurveyVotesDao.result / object.votes )* 100
                            // obj1.vote_percentage = `${Math.ceil(vote_percentage)}%`
                            obj1.vote_percentage = `${Math.round(vote_percentage)}%`

                            // console.log("getOneSurveyVotesDao", obj1)
                            // options.push(obj1)
                            options[ind]=obj1

                        }
                    }))
                            // console.log("getOneSurveyVotesDao", options)

                            // if (ind == optionList.length - 1) {
                                object.options = options
                                object.isVoted = getOneUserSurveyVote.result ==  0 ? 0 : 1
                                response.error = false
                                response.statusCode = STRINGS.successStatusCode
                                response.message = STRINGS.SuccessString
                                response.data = object
                                resolve(response)
                            // }
                        // }
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }




    this.GoodVibesListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                var GoodVibesListDao = await HomeDaoObject.GoodVibesListDao(request.body)
                if (GoodVibesListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    // object.articlesList = getArticlesListDao.result
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = GoodVibesListDao.result
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }




    this.userGlobalSearchService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                if (request.body.search) {

                    request.body.pageNumber = request.body.pageNumber.length == 0 ? 0 : request.body.pageNumber
                    pageNumber = request.body.pageNumber
                    // console.log(pageNumber);
                var getBlockedUsers=await this.getBlockedUsers(request.body)

                    var getTotaluserGlobalSearchDao = await HomeDaoObject.getTotaluserGlobalSearchDao(request.body,getBlockedUsers)
                    console.log("getTotaluserGlobalSearchDao",getTotaluserGlobalSearchDao);

                    if (getTotaluserGlobalSearchDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.commanErrorString
                        resolve(response)
                    } else {
                        var lenght = getTotaluserGlobalSearchDao.result
                        var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber, 10)

                        var userGlobalSearchDao = await HomeDaoObject.userGlobalSearchDao(request.body,getBlockedUsers)
                        if (userGlobalSearchDao.error) {
                            response.error = true
                            response.statusCode = STRINGS.errorStatusCode
                            response.message = STRINGS.commanErrorString
                            resolve(response)
                        } else {
                            // object.articlesList = getArticlesListDao.result
                            response.error = false
                            response.statusCode = STRINGS.successStatusCode
                            response.message = STRINGS.SuccessString
                            response.totalPages = paginationDetails.totalPages
                            response.data = userGlobalSearchDao.result
                            resolve(response)

                        }
                    }
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.totalPages = 0
                    response.data = []
                    return resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }

    this.HomePagePinoypreneursListService = async (request) => {
        var response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                var HomePagePinoypreneursListDao = await HomeDaoObject.HomePagePinoypreneursListDao(request.body)
                if (HomePagePinoypreneursListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    // object.articlesList = getArticlesListDao.result
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = HomePagePinoypreneursListDao.result
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }

        })

    }



    this.homePageJobCentreListService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                // request.body.uid = '4c19d0cd-aa55-4751-a43a-efc9ef6e63c8'
                var getAllJobListDao = await HomeDaoObject.getJobFairListDao(request.body)
                if (getAllJobListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = getAllJobListDao.result
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }


    this.HomePageBuyanihanListService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                // request.body.uid = '4c19d0cd-aa55-4751-a43a-efc9ef6e63c8'
                var getAllJobListDao = await HomeDaoObject.getDonasaynListDao(request.body)
                if (getAllJobListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = getAllJobListDao.data
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }


    this.homePageBazaarCityListService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                // request.body.uid = '4c19d0cd-aa55-4751-a43a-efc9ef6e63c8'
                var homePageBazaarCityListDao = await HomeDaoObject.homePageBazaarCityListDao(request.body)
                if (homePageBazaarCityListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = homePageBazaarCityListDao.result
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }


    this.homePagePnationCalendarListService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                // request.body.uid = '4c19d0cd-aa55-4751-a43a-efc9ef6e63c8'
                var homePagePnationCalendarListDao = await HomeDaoObject.homePagePnationCalendarListDao(request.body)
                if (homePagePnationCalendarListDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {



                    var iteraration = homePagePnationCalendarListDao.data.length
                    var datas = homePagePnationCalendarListDao.data
                    var store1 = {}

                    for (var i = 0; i < iteraration; i++) {
                        var convert = (datas[i]._id).toString()
                        var obj = {}
                        obj.post_id = convert

                        //remove
                        var chec = datas[i].event_date
                        var current = chec
                        //console.log("nowwwwwww",current)
                        if (chec >= current) {

                            //var getpNationCalanderResponse = await pNationCalanderDaoObject.getpNationCalanderDao(obj)
                            let p2 = Object.assign({}, datas[i]);
                            var datefield = p2.event_date
                            var a = JSON.stringify(datefield)
                            var b = a.substring(1, 11)
                            console.log('dateeeee', p2)

                            //check for key
                            const hasKey = store1.hasOwnProperty(b);

                            if (hasKey) {
                                // store1[b]=[]
                                // store1[b].push(p2)
                                var a = [...store1[b], p2]
                                store1[b] = a
                                console.log('The key exists.', a);
                            } else {
                                store1[b] = []
                                store1[b].push(p2)
                                console.log('The key does not exist.');
                            }

                        }
                    }








                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = store1
                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }



}