module.exports = function () {
    const pNationCalanderDao = require('../../dao/web/P-NationCalendarDao')
    const profiledao = require('../../dao/web/MyProfileDao')
    const STRINGS = require('../../strings.json')
    require('dotenv').config()
    const pNationCalanderDaoObject = new pNationCalanderDao()

    const profileDao = new profiledao()
    const FoodTripDao = require('../../dao/web/FoodTripDao')

    const foodTripDaoObject = new FoodTripDao()
    this.pNationCalanderPostService = async (request) => {

        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                //request.body.uid="9d8957c7-015f-4e4b-9afe-64c91776bbf2"
                var getOneProfileDao = await pNationCalanderDaoObject.getOneProfileForPnationDao(request.body)
                // console.log("fetchprof", getOneProfileDao)
                object.is_active = 1
                object.event_date_in_local = request.body.date
                var a = request.body.date
                // console.log("date", a)
                object.event_date = new Date(a).toISOString()
                delete request.body.date
                request.body.full_name = getOneProfileDao.result.full_name
                request.body.profile_photo = getOneProfileDao.result.profile_photo
                var persist = Object.assign(request.body, object)

                var pNationCalanderDaoResponse = await pNationCalanderDaoObject.pNationCalanderPostDao(persist)
                // console.log("pNationCalanderDaoResponse", pNationCalanderDaoResponse)

                if (pNationCalanderDaoResponse.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = pNationCalanderDaoResponse.data

                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }

    this.pNationCalanderListService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}

                request.body.pageNumber = request.body.pageNumber.length == 0 ? 0 : request.body.pageNumber
                pageNumber = request.body.pageNumber
                var getTotalpNationCalanderListCountDao = await pNationCalanderDaoObject.getTotalpNationCalanderListCountDao(request.body)
                // console.log("getTotalpNationCalanderListCountDao",getTotalpNationCalanderListCountDao)
                if (getTotalpNationCalanderListCountDao.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.commanErrorString
                    resolve(response)
                } else {
                    var lenght = getTotalpNationCalanderListCountDao.data.length
                    // console.log("pnation length", lenght)
                    var paginationDetails = await this.getPaginationDetailsWithSize(lenght, pageNumber, 10)
                    var pNationCalanderList = await pNationCalanderDaoObject.getpNationCalanderListDao(request.body)
                    // console.log("pnation details", paginationDetails)

                    //loop
                    var iteraration = pNationCalanderList.data.length
                    var datas = pNationCalanderList.data
                    var store1 = {}

                    // console.log("dataaaaaa",pNationCalanderList.data)

                    for (var i = 0; i < iteraration; i++) {
                        var convert = (datas[i]._id).toString()
                        var obj = {}
                        obj.post_id = convert
                        // console.log("oooobbbjjj",obj)

                        //remove
                        var chec = datas[i].event_date
                        var current = chec
                        // console.log("checkkkkkk",chec)
                        if (chec >= current) {

                            //var getpNationCalanderResponse = await pNationCalanderDaoObject.getpNationCalanderDao(obj)
                            let p2 = Object.assign({}, datas[i]);
                            // console.log("p2",p2)
                            var datefield = p2.event_date
                            // console.log("datefield",datefield)
                            var a = JSON.stringify(datefield)
                            // console.log("a",a)
                            var b = a.substring(1, 11)
                            // console.log('dateeeee', p2)
                            // console.log("b",b)

                            //check for key
                            const hasKey = store1.hasOwnProperty(b);
                            // console.log("has key",hasKey)

                            if (hasKey) {
                                // store1[b]=[]
                                // store1[b].push(p2)
                                var a = [...store1[b], p2]
                                store1[b] = a
                                // console.log('The key exists.', a);
                            } else {
                                store1[b] = []
                                store1[b].push(p2)
                                // console.log('The key does not exist.');
                            }
                            //check for element in arr

                            // if(store1.indexOf(b) !== -1)  
                            // {  
                            //     var a=[...store1.store1[b],p2]
                            //     store1[b].push(a)

                            //         console.log("Yes, the value exists!")   
                            // }   
                            // else  
                            // {   store1[b]=[]
                            //     store1[b].push(p2)
                            //         console.log("no, the value exists!")  
                            // }  
                            // var grouping = await pNationCalanderDaoObject.getTotalpNationGroupDao(p2)
                            // store1[b]=grouping.data


                            // var abs=[...store1[b]]
                            //  console.log('dateeeee2',abs )
                            //store1[b].push(p2)
                        }
                    }
                    // console.log('forloop', store1)
                    if (pNationCalanderDaoObject.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.totalPages = paginationDetails.totalPages
                        response.data = store1

                        resolve(response)
                    }
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }


    this.getpNationCalanderService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                var getpNationCalanderResponse = await pNationCalanderDaoObject.getpNationCalanderDao(request.body)
                if (pNationCalanderDaoObject.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    var checkFeaturePostDao = await pNationCalanderDaoObject.checkFeaturePostDao(request.body)
                    var checkUserFeaturePostDao = await pNationCalanderDaoObject.checkUserFeaturePostDao(request.body)

                    if (checkFeaturePostDao.error || checkUserFeaturePostDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        // console.log("checkFeaturPostDao", checkFeaturePostDao)
                        object = getpNationCalanderResponse.result
                        object.FeaturePost = checkFeaturePostDao.result > 0 ? 1 : 0
                        object.userFeaturePosted = checkUserFeaturePostDao.result > 0 ? 1 : 0
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = object
                        resolve(response)
                    }
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })

    }


    this.searchpNationCalanderService = async (request) => {
        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                // console.log("searchresponse", request.body)
                if (request.body.arr.length == 0 && request.body.search == '') {
                    object.search = request.body.search
                    // console.log("searchresponse3")
                    var searchpNationCalanderResponse = await pNationCalanderDaoObject.searchpNationCalanderDao(object)

                } else if (request.body.arr.length != 0 && request.body.search !== '') {

                    // console.log("searchresponse4")
                    var searchpNationCalanderResponse = await pNationCalanderDaoObject.filterpNationCalanderDao1(request.body)

                } else if (request.body.search == "") {
                    object.arr = request.body.arr
                    // console.log("searchresponse1")
                    var searchpNationCalanderResponse = await pNationCalanderDaoObject.searchpNationCalanderDao(object)

                } else if (request.body.arr.length == 0) {
                    object.search = request.body.search
                    // console.log("searchresponse2")
                    var searchpNationCalanderResponse = await pNationCalanderDaoObject.searchpNationCalanderDao(object)

                } else {
                    var searchpNationCalanderResponse = await pNationCalanderDaoObject.searchpNationCalanderDao(request.body)
                }
                if (pNationCalanderDaoObject.error) {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = STRINGS.oopsErrorMessage
                    resolve(response)
                } else {
                    response.error = false
                    response.statusCode = STRINGS.successStatusCode
                    response.message = STRINGS.SuccessString
                    response.data = searchpNationCalanderResponse.data

                    resolve(response)
                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }

    this.editOnePnationCalanderService = async (request) => {

        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                //request.body.uid="9d8957c7-015f-4e4b-9afe-64c91776bbf2"
                var getpNationCalanderDao = await pNationCalanderDaoObject.getpNationCalanderDao(request.body)
                // console.log("getpNationCalanderDao", getpNationCalanderDao)


                if (getpNationCalanderDao.result) {

                    object.is_active = 1
                    object.event_date_in_local = request.body.date
                    var a = request.body.date
                    // console.log("date", a)
                    object.event_date = new Date(a).toISOString()
                    delete request.body.date
                    var persist = Object.assign(request.body, object)
                    var pNationCalanderDaoResponse = await pNationCalanderDaoObject.editOnePnationCalanderPostDao(persist)

                    if (pNationCalanderDaoObject.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = pNationCalanderDaoResponse.data

                        resolve(response)
                    }
                } else {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = "Post Not Found"
                    resolve(response)

                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }



    this.deleteOnePnationCalanderService = async (request) => {

        const response = {}
        return new Promise(async function (resolve) {
            try {
                var object = {}
                //request.body.uid="9d8957c7-015f-4e4b-9afe-64c91776bbf2"
                var getpNationCalanderDao = await pNationCalanderDaoObject.getpNationCalanderDao(request.body)
                // console.log("getpNationCalanderDao", getpNationCalanderDao)


                if (getpNationCalanderDao.result) {

                    var deleteOnePnationCalanderDao = await pNationCalanderDaoObject.deleteOnePnationCalanderDao(request.body)

                    if (deleteOnePnationCalanderDao.error) {
                        response.error = true
                        response.statusCode = STRINGS.errorStatusCode
                        response.message = STRINGS.oopsErrorMessage
                        resolve(response)
                    } else {
                        response.error = false
                        response.statusCode = STRINGS.successStatusCode
                        response.message = STRINGS.SuccessString
                        response.data = deleteOnePnationCalanderDao.data
                        resolve(response)
                    }
                } else {
                    response.error = true
                    response.statusCode = STRINGS.errorStatusCode
                    response.message = "Post Not Found"
                    resolve(response)

                }
            } catch (e) {
                console.log(e)
                response.error = true
                response.statusCode = STRINGS.errorStatusCode
                response.message = STRINGS.oopsErrorMessage
                resolve(response)
            }
        })
    }



}